-- *************************************************************
--  KOHA 3.0 MARC 21 STANDARD DEFAULT BIBLIOGRAPHIC FRAMEWORK
--
--                     PRETEST VERSION 0.1.7
--                          2007-11-05
--
--                            edited
--                            by thd
--
--                          BASED UPON
--
--     KOHA MARC 21 STANDARD DEFAULT BIBLIOGRAPHIC FRAMEWORK
--
--                     PRETEST VERSION 0.2.8
--                          2007-11-05
--
--     original default requiring greater user customisation
--                  created by a few Koha Hands
--                    guided by Paul POULAIN
--
--          revised and greatly enlarged to completion,
--               well not quite complete yet today
--           but close enough for someone to have use,
--                      by thd for LibLime
--
--               MARC21 UPDATE 15 (September 2012)
--                          2013-02-11
-- *************************************************************




-- ******************************************************
-- KOHA RECORD AND HOLDINGS MANAGEMENT FIELDS/SUBFIELDS.
-- ******************************************************

-- These ought to be adjusted for different less conflicting and more
-- rationally chosen fields and subfields but I had left that for last.

-- ADJUST ME
-- Use values from your dump of marc_tag_structure and marc_subfield_structure
-- to provide support for your Koha database.


-- ******************************************************

-- Current Record ID Field/Subfields

INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('999', 'NÚMEROS DE CONTROL DEL SISTEMA (KOHA)', 'NÚMEROS DE CONTROL DEL SISTEMA (KOHA)', 1, 0, '', '');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('999', 'a', 'Item type [OBSOLETE]', 'Item type [OBSOLETE]', 0, 0, NULL, -1, NULL, NULL, '', NULL, -5, '', '', '', NULL),
		('999', 'b', 'Koha Dewey Subclass [OBSOLETE]', 'Koha Dewey Subclass [OBSOLETE]', 0, 0, NULL, 0, NULL, NULL, '', NULL, -5, '', '', '', NULL),
		('999', 'c', 'Koha biblionumber', 'Koha biblionumber', 0, 0, 'biblio.biblionumber', -1, NULL, NULL, '', NULL, -5, '', '', '', NULL),
		('999', 'd', 'Koha biblioitemnumber', 'Koha biblioitemnumber', 0, 0, 'biblioitems.biblioitemnumber', -1, NULL, NULL, '', NULL, -5, '', '', '', NULL);


-- ******************************************************


-- Plugins which need to be written for primary biblioitems Field/Subfields.


-- 		('942', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'biblioitems.cn_source', 9, '', '', 'marc21_classcodes.pl', NULL, 0, '', '', '', NULL),
-- 		('942', 'h', 'Classification part', 'Classification part', 0, 0, 'biblioitems.cn_class', 9, '', '', 'marc21_callnumber.pl', NULL, 0, '', '', '', NULL),



-- Current primary biblioitems Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('942', 'ENTRADA PARA ELEMENTOS AGREGADOS (KOHA)', 'ENTRADA PARA ELEMENTOS AGREGADOS (KOHA)', 0, 0, '', '');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('942', '0', 'Koha préstamos (prestados)', 'Koha préstamos (prestados)', 0, 0, 'biblioitems.totalissues', 9, '', '', '', NULL, -5, '', '', '', NULL),
		('942', '2', 'Fuente de clasificación o esquema de ordenación en estanterías', 'Fuente de clasificación o esquema de ordenación en estanterías', 0, 0, 'biblioitems.cn_source', 9, 'cn_source', '', '', NULL, 0, '', '', '', NULL),
		('942', '6', 'Clasificación normalizada Koha para ordenar', 'Clasificación normalizada Koha para ordenar', 0, 0, 'biblioitems.cn_sort', -1, '', '', '', 0, 7, '', '', '', NULL),
		('942', 'a', 'Institution code [OBSOLETE]', 'Institution code [OBSOLETE]', 0, 0, '', 9, '', '', '', NULL, -5, '', '', '', NULL),
		('942', 'c', 'Koha [por defecto] tipo de  item', 'Koha [por defecto] tipo de  item', 0, 1, 'biblioitems.itemtype', 9, 'itemtypes', '', '', NULL, 0, '', '', '', NULL),
		('942', 'e', 'Edición', 'Edición', 0, 0, 'biblioitems.cn_edition', 9, 'CN_EDITION', '', '', NULL, 0, '', '', '', NULL),
		('942', 'h', 'Parte de Clasificación', 'Parte de Clasificación', 0, 0, 'biblioitems.cn_class', 9, '', '', '', NULL, 0, '', '', '', NULL),
		('942', 'i', 'Parte del item', 'Parte del item', 1, 0, 'biblioitems.cn_item', 9, '', '', '', NULL, 0, '', '', '', NULL),
		('942', 'k', 'Prefijo de signatura', 'Prefijo de signatura', 0, 0, 'biblioitems.cn_prefix', 9, '', '', '', NULL, 0, '', '', '', NULL),
		('942', 'm', 'Sufijo de signatura', 'Sufijo de signatura', 0, 0, 'biblioitems.cn_suffix', 9, '', '', '', 0, 0, '', '', '', NULL),
		('942', 'n', 'Suprimido en OPAC', 'Suprimido en OPAC', 0, 0, NULL, 9, '', '', '', 0, 0, '', '', '', NULL),
		('942', 's', 'Marca de registro de periódicas', 'Marca de registro de periódicas', 0, 0, 'biblio.serial', 9, '', '', '', NULL, -5, '', '', '', NULL);


-- ******************************************************


-- Plugins which need to be written for items Field/Subfields


-- 		('952', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'items.cn_source', 10, '', '', 'marc21_classcodes.pl', NULL, 0, '', '', '', NULL),
-- 		('952', 'o', 'Koha full call number', 'Koha full call number', 0, 0, 'items.itemcallnumber', 10, '', 'marc21_itemcallnumber.pl', NULL, 0, 0, '', '', '', NULL),



-- Current Items Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('952', 'INFORMACIÓN DE EJEMPLAR Y UBICACIÓN (KOHA)', 'INFORMACIÓN DE EJEMPLAR Y UBICACIÓN (KOHA)', 1, 0, '', '');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
               ('952', '0', 'Suprimido', 'Suprimido', 0, 0, 'items.withdrawn', 10, 'WITHDRAWN', '', '', 0, 0, '', '', '', NULL),
		('952', '1', 'Estado de pérdida', 'Estado de pérdida', 0, 0, 'items.itemlost', 10, 'LOST', '', '', 0, -5, '', '', '', NULL),
		('952', '2', 'Fuente de clasificación o esquema de ordenación en estanterías', 'Fuente de clasificación o esquema de ordenación en estanterías', 0, 0, 'items.cn_source', 10, 'cn_source', '', '', NULL, 0, '', '', '', NULL),
		('952', '3', 'Materiales especializados (volumen obligatorio u otra parte)', 'Materiales especializados (volumen obligatorio u otra parte)', 0, 0, 'items.materials', 10, '', '', '', NULL, -1, '', '', '', NULL),
		('952', '4', 'Estropeado', 'Estropeado', 0, 0, 'items.damaged', 10, 'DAMAGED', '', '', NULL, 0, '', '', '', NULL),
		('952', '5', 'Restricciones de uso', 'Restricciones de uso', 0, 0, 'items.restricted', 10, 'RESTRICTED', '', '', 0, 0, '', '', '', NULL),
		('952', '6', 'Clasificación normalizada Koha para ordenar', 'Clasificación normalizada Koha para ordenar', 0, 0, 'items.cn_sort', -1, '', '', '', 0, 7, '', '', '', NULL),
		('952', '7', 'No para préstamo', 'No para préstamo', 0, 0, 'items.notforloan', 10, 'NOT_LOAN', '', '', 0, 0, '', '', '', NULL),
		('952', '8', 'Código de colección', 'Código de colección', 0, 0, 'items.ccode', 10, 'CCODE', '', '', 0, 0, '', '', '', NULL),
		('952', '9', 'Itemnumber de  Koha (autogenerado)', 'Itemnumber de  Koha (autogenerado)', 0, 0, 'items.itemnumber', -1, '', '', '', 0, 7, '', '', '', NULL),
		('952', 'a', 'Localización permanente', 'Localización permanente', 0, 0, 'items.homebranch', 10, 'branches', '', '', 0, 0, '', '', '', NULL),
		('952', 'b', 'Localización actual', 'Localización actual', 0, 0, 'items.holdingbranch', 10, 'branches', '', '', 0, 0, '', '', '', NULL),
		('952', 'c', 'Localización en estanterías', 'Localización en estanterías', 0, 0, 'items.location', 10, 'LOC', '', '', 0, 0, '', '', '', NULL),
		('952', 'd', 'Fecha de adquisición', 'Fecha de adquisición', 0, 0, 'items.dateaccessioned', 10, '', '', 'dateaccessioned.pl', 0, 0, '', '', '', NULL),
		('952', 'e', 'Fuente de adquisición', 'Fuente de adquisición', 0, 0, 'items.booksellerid', 10, '', '', '', 0, 0, '', '', '', NULL),
		('952', 'f', 'Calificador de ubicación codificada', 'Calificador de ubicación codificada', 0, 0, 'items.coded_location_qualifier', 10, '', '', '', NULL, 0, '', '', '', NULL),
		('952', 'g', 'Coste', 'Coste', 0, 0, 'items.price', 10, '', '', '', 0, 0, '', '', '', NULL),
		('952', 'h', 'Enumeración de seriadas / cronología', 'Enumeración de seriadas / cronología', 0, 0, 'items.enumchron', 10, '', '', '', 0, 0, '', '', '', NULL),
		('952', 'i', 'Número de inventario', 'Número de inventario', 0, 0, 'items.stocknumber', 10, '', '', '', 0, 0, '', '', '', NULL),
		('952', 'j', 'Número de control de estantería', 'Número de control de estantería', 0, 0, 'items.stack', 10, 'STACK', '', '', NULL, -1, '', '', '', NULL),
		('952', 'l', 'Préstamos totales', 'Préstamos totales', 0, 0, 'items.issues', 10, '', '', '', NULL, -5, '', '', '', NULL),
		('952', 'm', 'Renovaciones totales', 'Renovaciones totales', 0, 0, 'items.renewals', 10, '', '', '', NULL, -5, '', '', '', NULL),
		('952', 'n', 'Reserva totales', 'Reserva totales', 0, 0, 'items.reserves', 10, '', '', '', NULL, -5, '', '', '', NULL),
		('952', 'o', 'Signatura completa', 'Signatura completa', 0, 0, 'items.itemcallnumber', 10, '', '', NULL, 0, 0, '', '', '', NULL),
		('952', 'p', 'Código de barras', 'Código de barras', 0, 0, 'items.barcode', 10, '', '', 'barcode.pl', 0, 0, '', '', '', NULL),
		('952', 'q', 'Prestado', 'Prestado', 0, 0, 'items.onloan', 10, '', '', '', NULL, -5, '', '', '', NULL),
		('952', 'r', 'Fecha última consulta', 'Fecha última consulta', 0, 0, 'items.datelastseen', 10, '', '', '', NULL, -5, '', '', '', NULL),
		('952', 's', 'Fecha último préstamo', 'Fecha último préstamo', 0, 0, 'items.datelastborrowed', 10, '', '', '', NULL, -5, '', '', '', NULL),
		('952', 't', 'Número de ejemplar', 'Número de ejemplar', 0, 0, 'items.copynumber', 10, '', '', '', NULL, 0, '', '', '', NULL),
		('952', 'u', 'Identificador uniforme del recurso', 'Identificador uniforme del recurso', 0, 0, 'items.uri', 10, '', '', '', 1, 0, '', '', '', NULL),
		('952', 'v', 'Coste', 'Coste', 0, 0, 'items.replacementprice', 10, '', '', '', 0, 0, '', '', '', NULL),
		('952', 'w', 'Fecha del precio de reemplazo', 'Fecha del precio de reemplazo', 0, 0, 'items.replacementpricedate', 10, '', '', '', 0, 0, '', '', '', NULL),
		('952', 'x', 'Nota no pública', 'Nota no pública', 0, 0, '', 10, '', '', '', NULL, 1, '', '', '', NULL),
		('952', 'y', 'Tipo de item de Koha', 'Tipo de item de Koha', 0, 0, 'items.itype', 10, 'itemtypes', '', '', NULL, 0, '', '', '', NULL),
		('952', 'z', 'Note pública', 'Note pública', 0, 0, 'items.itemnotes', 10, '', '', '', NULL, 0, '', '', '', NULL);




-- *******************************************************



-- *******************************************************
-- MARC 21 FIELDS/SUBFIELDS AND COMMMONLY USED EXTENSIONS
-- *******************************************************


-- A Few local use codes need specifying.  Several seealso, plugin, and
-- authority framework columns need improving.  $9 for authority record linking
-- needs to be added where not already provided by RLIN specifications.
-- Needs checking for errors but probably tolerable for use on a production.
-- A server can be upgraded easily from later versions of this file.
--
-- In the absense of more column support for qualifying the relative
-- importance of subfields to the record editor, some modest modification of
-- the default framework is needed setting the not-useful non-Koha holdings
-- subfields to not managed in Koha.

-- MARC fields including letters as part of the field identifier are from RLIN
-- and should be expected to remain along with RLIN $% subfields.  RLIN has
-- been using letters in fields because there are not enough local use number
-- fields which have not already been specified for very large union catalogue
-- networks such as RLIN itself.


-- Fields ending in c, o, or r are temporary placeholders for information from
-- a numeric value until a non-conflicting way to treat the content under the
-- proper original numeric field is adopted.
--
-- 090 for LC call numbers has been restored.  Formerly, 999, now used for the
-- Koha record ID, had been provided as a temporary place holder until all
-- Koha code for finding control fields has been changed from a numeric test
-- of < 10 to a regular expression match of m/^00/ to prevent mistaken
-- matching of fields with letters such as 09o if they were control fields.
--
-- [Fields with letters have now been moved to a development file in the misc
-- directory for lack of time to test for problems.]


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('000', 'CABECERA', 'CABECERA', 0, 1, '', ''),
		('001', 'NÚMERO DE CONTROL', 'NÚMERO DE CONTROL', 0, 0, '', ''),
		('003', 'IDENTIFICADOR DEL NÚMERO DE CONTROL', 'IDENTIFICADOR DEL NÚMERO DE CONTROL', 0, 1, '', ''),
		('005', 'FECHA Y HORA DE LA ÚLTIMA TRANSACCIÓN', 'FECHA Y HORA DE LA ÚLTIMA TRANSACCIÓN', 0, 1, '', ''),
		('006', 'CÓDIGOS DE INFORMACIÓN DE LONGITUD FIJA - CARACTERÍSTICAS DEL MATERIAL ADICIONAL', 'CÓDIGOS DE INFORMACIÓN DE LONGITUD FIJA - CARACTERÍSTICAS DEL MATERIAL ADICIONAL', 1, 0, '', ''),
		('007', 'CAMPO FIJO DE DESCRIPCIÓN FÍSICA', 'CAMPO FIJO DE DESCRIPCIÓN FÍSICA', 1, 0, '', ''),
		('008', 'CÓDIGOS DE INFORMACIÓN DE LONGITUD FIJA', 'CÓDIGOS DE INFORMACIÓN DE LONGITUD FIJA', 0, 1, '', ''),
		('009', 'PHYSICAL DESCRIPTION FIXED-FIELD FOR ARCHIVAL COLLECTION (VM) [OBSOLETE]', 'PHYSICAL DESCRIPTION FIXED-FIELD FOR ARCHIVAL COLLECTION (VM) [OBSOLETE]', 1, 0, '', ''),
		('010', 'NÚMERO DE CONTROL DE LA BIBLIOTECA DEL CONGRESO', 'NÚMERO DE CONTROL DE LA BIBLIOTECA DEL CONGRESO', 0, 0, '', ''),
		('011', 'LINKING LIBRARY OF CONGRESS CONTROL NUMBER [OBSOLETE]', 'LINKING LIBRARY OF CONGRESS CONTROL NUMBER [OBSOLETE]', 0, 0, '', ''),
		('013', 'INFORMACIÓN DE CONTROL DE PATENTES', 'INFORMACIÓN DE CONTROL DE PATENTES', 1, 0, '', ''),
		('015', 'NÚMERO DE BIBLIOGRAFÍA NACIONAL', 'NÚMERO DE BIBLIOGRAFÍA NACIONAL', 1, 0, '', ''),
		('016', 'NÚMERO DE CONTROL DE UNA AGENCIA BIBLIOGRÁFICA NACIONAL', 'NÚMERO DE CONTROL DE UNA AGENCIA BIBLIOGRÁFICA NACIONAL', 1, 0, '', ''),
		('017', 'NÚMERO DE COPYRIGHT O DE DEPÓSITO LEGAL', 'NÚMERO DE COPYRIGHT O DE DEPÓSITO LEGAL', 1, 0, '', ''),
		('018', 'CÓDIGO DE COPYRIGHT SOBRE LA TARIFA DEL ARTÍCULO', 'CÓDIGO DE COPYRIGHT SOBRE LA TARIFA DEL ARTÍCULO', 0, 0, '', ''),
		('01e', 'CODED FIELD ERROR (RLIN)', 'CODED FIELD ERROR (RLIN)', 1, 0, '', ''),
		('020', 'NÚMERO INTERNACIONAL NORMALIZADO PARA LIBROS (ISBN)', 'NÚMERO INTERNACIONAL NORMALIZADO PARA LIBROS (ISBN)', 1, 0, NULL, ''),
		('022', 'NÚMERO INTERNACIONAL NORMALIZADO PARA PUBLICACIONES SERIADAS (ISSN)', 'NÚMERO INTERNACIONAL NORMALIZADO PARA PUBLICACIONES SERIADAS (ISSN)', 1, 0, NULL, ''),
		('023', 'STANDARD FILM NUMBER (VM) [DELETED]', 'STANDARD FILM NUMBER (VM) [DELETED]', 1, 0, NULL, ''),
		('024', 'OTROS IDENTIFICADORES NORMALIZADOS', 'OTROS IDENTIFICADORES NORMALIZADOS', 1, 0, NULL, ''),
		('025', 'NÚMERO DE ADQUISICIÓN EN EL EXTRANJERO', 'NÚMERO DE ADQUISICIÓN EN EL EXTRANJERO', 1, 0, '', ''),
		('026', 'IDENTIFICADOR TIPOGRÁFICO', 'IDENTIFICADOR TIPOGRÁFICO', 1, 0, '', ''),
		('027', 'NÚMERO NORMALIZADO DE INFORME TÉCNICO', 'NÚMERO NORMALIZADO DE INFORME TÉCNICO', 1, 0, '', ''),
		('028', 'NÚMERO DE EDITOR', 'NÚMERO DE EDITOR', 1, 0, NULL, ''),
		('029', 'OTHER SYSTEM CONTROL NUMBER (OCLC)', 'OTHER SYSTEM CONTROL NUMBER (OCLC)', 1, 0, '', ''),
		('030', 'DESIGNACIÓN CODEN', 'DESIGNACIÓN CODEN', 1, 0, '', ''),
		('031', 'INFORMACIÓN SOBRE EL ÍNCIPIT MUSICAL', 'INFORMACIÓN SOBRE EL ÍNCIPIT MUSICAL', 1, 0, '', ''),
		('032', 'NÚMERO DE REGISTRO POSTAL', 'NÚMERO DE REGISTRO POSTAL', 1, 0, '', ''),
		('033', 'FECHA/HORA Y LUGAR DE UN ACONTECIMIENTO', 'FECHA/HORA Y LUGAR DE UN ACONTECIMIENTO', 1, 0, '', ''),
		('034', 'DATOS MATEMÁTICOS CARTOGRÁFICOS CODIFICADOS', 'DATOS MATEMÁTICOS CARTOGRÁFICOS CODIFICADOS', 1, 0, '', ''),
		('035', 'NÚMERO DE CONTROL DEL SISTEMA', 'NÚMERO DE CONTROL DEL SISTEMA', 1, 0, NULL, ''),
		('036', 'NÚMERO DE ESTUDIO ORIGINAL PARA ARCHIVOS DE ORDENADOR', 'NÚMERO DE ESTUDIO ORIGINAL PARA ARCHIVOS DE ORDENADOR', 0, 0, '', ''),
		('037', 'FUENTE DE ADQUISICIÓN', 'FUENTE DE ADQUISICIÓN', 1, 0, NULL, ''),
		('038', 'LICENCIADOR DEL CONTENIDO DEL REGISTRO', 'LICENCIADOR DEL CONTENIDO DEL REGISTRO', 0, 0, '', ''),
		('039', 'LEVEL OF BIBLIOGRAPHIC CONTROL AND CODING DETAIL [OBSOLETE]', 'LEVEL OF BIBLIOGRAPHIC CONTROL AND CODING DETAIL [OBSOLETE]', 0, 0, '', ''),
		('040', 'FUENTE DE LA CATALOGACIÓN', 'FUENTE DE LA CATALOGACIÓN', 0, 1, NULL, ''),
		('041', 'CÓDIGO DE LENGUA', 'CÓDIGO DE LENGUA', 1, 0, '', ''),
		('042', 'CÓDIGO DE AUTENTICACIÓN', 'CÓDIGO DE AUTENTICACIÓN', 0, 0, '', ''),
		('043', 'CÓDIGO DE ÁREA GEOGRÁFICA', 'CÓDIGO DE ÁREA GEOGRÁFICA', 0, 0, NULL, ''),
		('044', 'CÓDIGO DEL PAÍS DE LA ENTIDAD EDITORA/PRODUCTORA', 'CÓDIGO DEL PAÍS DE LA ENTIDAD EDITORA/PRODUCTORA', 0, 0, '', ''),
		('045', 'PERIODO DE TIEMPO DEL CONTENIDO', 'PERIODO DE TIEMPO DEL CONTENIDO', 0, 0, '', ''),
		('046', 'FECHAS CON CODIFICACIÓN ESPECIAL', 'FECHAS CON CODIFICACIÓN ESPECIAL', 1, 0, '', ''),
		('047', 'CÓDIGO DE FORMA DE LA COMPOSICIÓN MUSICAL', 'CÓDIGO DE FORMA DE LA COMPOSICIÓN MUSICAL', 1, 0, '', ''),
		('048', 'CÓDIGO DEL NÚMERO DE INSTRUMENTOS MUSICALES O VOCES', 'CÓDIGO DEL NÚMERO DE INSTRUMENTOS MUSICALES O VOCES', 1, 0, '', ''),
		('049', 'LOCAL HOLDINGS (OCLC)', 'LOCAL HOLDINGS (OCLC)', 0, 0, '', ''),
		('050', 'SIGNATURA TOPOGRÁFICA DE LA BIBLIOTECA DEL CONGRESO', 'SIGNATURA TOPOGRÁFICA DE LA BIBLIOTECA DEL CONGRESO', 1, 0, NULL, ''),
		('051', 'LIBRARY OF CONGRESS COPY, ISSUE, OFFPRINT STATEMENT', 'LIBRARY OF CONGRESS COPY, ISSUE, OFFPRINT STATEMENT', 1, 0, NULL, ''),
		('052', 'CLASIFICACIÓN GEOGRÁFICA', 'CLASIFICACIÓN GEOGRÁFICA', 1, 0, NULL, ''),
		('055', 'NÚMEROS DE CLASIFICACIÓN ASIGNADOS EN CANADÁ', 'NÚMEROS DE CLASIFICACIÓN ASIGNADOS EN CANADÁ', 1, 0, NULL, ''),
		('060', 'SIGNATURA TOPOGRÁFICA DE LA NATIONAL LIBRARY OF MEDICINE', 'SIGNATURA TOPOGRÁFICA DE LA NATIONAL LIBRARY OF MEDICINE', 1, 0, NULL, ''),
		('061', 'MENCIÓN DE LA NATIONAL LIBRARY OF MEDICINE SOBRE EJEMPLARES', 'MENCIÓN DE LA NATIONAL LIBRARY OF MEDICINE SOBRE EJEMPLARES', 1, 0, NULL, ''),
		('066', 'JUEGO DE CARACTERES UTILIZADO', 'JUEGO DE CARACTERES UTILIZADO', 0, 0, NULL, ''),
		('070', 'SIGNATURA TOPOGRÁFICA DE LA NATIONAL AGRICULTURAL LIBRARY', 'SIGNATURA TOPOGRÁFICA DE LA NATIONAL AGRICULTURAL LIBRARY', 1, 0, NULL, ''),
		('071', 'MENCIÓN DE LA NATIONAL AGRICULTURAL LIBRARY SOBRE EJEMPLARES', 'MENCIÓN DE LA NATIONAL AGRICULTURAL LIBRARY SOBRE EJEMPLARES', 1, 0, NULL, ''),
		('072', 'CÓDIGO DE CATEGORÍA DE MATERIA', 'CÓDIGO DE CATEGORÍA DE MATERIA', 1, 0, NULL, ''),
		('074', 'NÚMERO DE DOCUMENTO DE LA GPO', 'NÚMERO DE DOCUMENTO DE LA GPO', 1, 0, NULL, ''),
		('080', 'NÚMERO DE LA CLASIFICACIÓN DECIMAL UNIVERSAL', 'NÚMERO DE LA CLASIFICACIÓN DECIMAL UNIVERSAL', 1, 0, NULL, ''),
		('082', 'NÚMERO DE LA CLASIFICACIÓN DECIMAL DEWEY', 'NÚMERO DE LA CLASIFICACIÓN DECIMAL DEWEY', 1, 0, NULL, ''),
		('083', 'NÚMERO ADICIONAL DE LA CLASIFICACIÓN DECIMAL DEWEY', 'NÚMERO ADICIONAL DE LA CLASIFICACIÓN DECIMAL DEWEY',1,0,'',''),
		('084', 'OTRO NÚMERO DE CLASIFICACIÓN', 'OTRO NÚMERO DE CLASIFICACIÓN', 1, 0, NULL, ''),
		('085', 'COMPONENTES DE UN NÚMERO DE CLASIFICACIÓN SINTÉTICO', 'COMPONENTES DE UN NÚMERO DE CLASIFICACIÓN SINTÉTICO', 1, 0, NULL, ''),
		('086', 'NÚMERO DE CLASIFICACIÓN PARA DOCUMENTOS GUBERNAMENTALES', 'NÚMERO DE CLASIFICACIÓN PARA DOCUMENTOS GUBERNAMENTALES', 1, 0, NULL, ''),
		('087', 'REPORT NUMBER [OBSOLETE; CAN/MARC]', 'REPORT NUMBER [OBSOLETE; CAN/MARC]', 1, 0, NULL, ''),
		('088', 'NÚMERO DE INFORME', 'NÚMERO DE INFORME', 1, 0, NULL, ''),
		('090', 'LOCALLY ASSIGNED LC-TYPE CALL NUMBER (OCLC); LOCAL CALL NUMBER (RLIN)', 'LOCALLY ASSIGNED LC-TYPE CALL NUMBER (OCLC); LOCAL CALL NUMBER (RLIN)', 1, 0, '', ''),
		('091', 'MICROFILM SHELF LOCATION (AM) [OBSOLETE]', 'MICROFILM SHELF LOCATION (AM) [OBSOLETE]', 0, 0, '', ''),
		('092', 'LOCALLY ASSIGNED DEWEY CALL NUMBER (OCLC)', 'LOCALLY ASSIGNED DEWEY CALL NUMBER (OCLC)', 1, 0, '', ''),
		('096', 'LOCALLY ASSIGNED NLM-TYPE CALL NUMBER (OCLC)', 'LOCALLY ASSIGNED NLM-TYPE CALL NUMBER (OCLC)', 1, 0, '', ''),
		('098', 'OTHER CLASSIFICATION SCHEMES (OCLC)', 'OTHER CLASSIFICATION SCHEMES (OCLC)', 1, 0, '', ''),
		('099', 'LOCAL FREE-TEXT CALL NUMBER (OCLC)', 'LOCAL FREE-TEXT CALL NUMBER (OCLC)', 1, 0, '', ''),
		('100', 'PUNTO DE ACCESO PRINCIPAL - NOMBRE DE PERSONA', 'PUNTO DE ACCESO PRINCIPAL - NOMBRE DE PERSONA', 0, 0, NULL, ''),
		('110', 'PUNTO DE ACCESO PRINCIPAL - NOMBRE DE ENTIDAD CORPORATIVA', 'PUNTO DE ACCESO PRINCIPAL - NOMBRE DE ENTIDAD CORPORATIVA', 0, 0, NULL, ''),
		('111', 'PUNTO DE ACCESO PRINCIPAL - NOMBRE DE CONGRESO', 'PUNTO DE ACCESO PRINCIPAL - NOMBRE DE CONGRESO', 0, 0, NULL, ''),
		('130', 'PUNTO DE ACCESO PRINCIPAL - TÍTULO UNIFORME', 'PUNTO DE ACCESO PRINCIPAL - TÍTULO UNIFORME', 0, 0, NULL, ''),
		('210', 'TÍTULO ABREVIADO', 'TÍTULO ABREVIADO', 1, 0, NULL, ''),
		('211', 'ACRONYM OR SHORTENED TITLE [OBSOLETE]', 'ACRONYM OR SHORTENED TITLE [OBSOLETE]', 1, 0, NULL, ''),
		('212', 'VARIANT ACCESS TITLE [OBSOLETE]', 'VARIANT ACCESS TITLE [OBSOLETE]', 1, 0, NULL, ''),
		('214', 'AUGMENTED TITLE [OBSOLETE]', 'AUGMENTED TITLE [OBSOLETE]', 1, 0, NULL, ''),
		('222', 'TÍTULO CLAVE', 'TÍTULO CLAVE', 1, 0, NULL, ''),
		('240', 'TÍTULO UNIFORME', 'TÍTULO UNIFORME', 0, 0, 'Unititle', ''),
		('241', 'ROMANIZED TITLE (BK AM CF MP MU VM) [OBSOLETE]', 'ROMANIZED TITLE (BK AM CF MP MU VM) [OBSOLETE]', 0, 0, '', ''),
		('242', 'TÍTULO TRADUCIDO POR EL CENTRO CATALOGADOR', 'TÍTULO TRADUCIDO POR EL CENTRO CATALOGADOR', 1, 0, NULL, ''),
		('243', 'TÍTULO UNIFORME COLECTIVO', 'TÍTULO UNIFORME COLECTIVO', 0, 0, '', ''),
		('245', 'MENCIÓN DE TÍTULO', 'MENCIÓN DE TÍTULO', 0, 1, '', ''),
		('246', 'VARIANTES DE TÍTULO', 'VARIANTES DE TÍTULO', 1, 0, NULL, ''),
		('247', 'TÍTULO ANTERIOR', 'TÍTULO ANTERIOR', 1, 0, NULL, ''),
		('250', 'MENCIÓN DE EDICIÓN', 'MENCIÓN DE EDICIÓN', 0, 0, NULL, ''),
		('254', 'MENCIÓN DE PRESENTACIÓN MUSICAL', 'MENCIÓN DE PRESENTACIÓN MUSICAL', 0, 0, NULL, ''),
		('255', 'DATOS MATEMÁTICOS CARTOGRÁFICOS', 'DATOS MATEMÁTICOS CARTOGRÁFICOS', 1, 0, NULL, ''),
		('256', 'CARACTERÍSTICAS DEL ARCHIVO DE ORDENADOR', 'CARACTERÍSTICAS DEL ARCHIVO DE ORDENADOR', 0, 0, NULL, ''),
		('257', 'PAÍS DE LA ENTIDAD PRODUCTORA', 'PAÍS DE LA ENTIDAD PRODUCTORA', 1, 0, NULL, ''),
		('258', 'DATOS DE EMISIÓN FILATÉLICA', 'DATOS DE EMISIÓN FILATÉLICA', 1, 0, NULL, ''),
		('260', 'PUBLICATION, DISTRIBUTION, ETC. (IMPRINT)', 'PUBLICATION, DISTRIBUTION, ETC. (IMPRINT)', 1, 0, NULL, ''),
		('261', 'IMPRINT STATEMENT FOR FILMS (Pre-AACR 1 Revised) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'IMPRINT STATEMENT FOR FILMS (Pre-AACR 1 Revised) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 0, 0, NULL, ''),
		('262', 'IMPRINT STATEMENT FOR SOUND RECORDINGS (PRE-AACR 2) [LOCAL; USA]', 'IMPRINT STATEMENT FOR SOUND RECORDINGS (PRE-AACR 2) [LOCAL; USA]', 0, 0, NULL, ''),
		('263', 'FECHA PROYECTADA DE PUBLICACIÓN', 'FECHA PROYECTADA DE PUBLICACIÓN', 0, 0, NULL, ''),
		('264','PRODUCTION, PUBLICATION, DISTRIBUTION, MANUFACTURE, AND COPYRIGHT NOTICE','PRODUCTION, PUBLICATION, DISTRIBUTION, MANUFACTURE, AND COPYRIGHT NOTICE','1','0','',''),
		('265', 'SOURCE FOR ACQUISITION/SUBSCRIPTION ADDRESS [OBSOLETE]', 'SOURCE FOR ACQUISITION/SUBSCRIPTION ADDRESS [OBSOLETE]', 0, 0, NULL, ''),
		('270', 'DIRECCIÓN', 'DIRECCIÓN', 1, 0, NULL, ''),
		('300', 'DESCRIPCIÓN FÍSICA', 'DESCRIPCIÓN FÍSICA', 1, 0, NULL, ''),
		('301', 'PHYSICAL DESCRIPTION FOR FILMS (PRE-AACR 2) (VM) [OBSOLETE; USMARC]', 'PHYSICAL DESCRIPTION FOR FILMS (PRE-AACR 2) (VM) [OBSOLETE; USMARC]', 0, 0, NULL, ''),
		('302', 'PAGE OR ITEM COUNT (BK AM) [OBSOLETE]', 'PAGE OR ITEM COUNT (BK AM) [OBSOLETE]', 0, 0, NULL, ''),
		('303', 'UNIT COUNT (AM) [OBSOLETE; USMARC]', 'UNIT COUNT (AM) [OBSOLETE; USMARC]', 0, 0, NULL, ''),
		('304', 'LINEAR FOOTAGE (AM) [OBSOLETE; USMARC]', 'LINEAR FOOTAGE (AM) [OBSOLETE; USMARC]', 0, 0, NULL, ''),
		('305', 'PHYSICAL DESCRIPTION FOR SOUND RECORDINGS (PRE-AACR 2) (MU) [OBSOLETE]', 'PHYSICAL DESCRIPTION FOR SOUND RECORDINGS (PRE-AACR 2) (MU) [OBSOLETE]', 0, 0, NULL, ''),
		('306', 'DURACIÓN', 'DURACIÓN', 0, 0, NULL, ''),
		('307', 'HORARIO; ETC.', 'HORARIO; ETC.', 1, 0, NULL, ''),
		('308', 'PHYSICAL DESCRIPTION FOR FILMS (ARCHIVAL) (VM) [OBSOLETE]', 'PHYSICAL DESCRIPTION FOR FILMS (ARCHIVAL) (VM) [OBSOLETE]', 1, 0, NULL, ''),
		('310', 'PERIODICIDAD ACTUAL', 'PERIODICIDAD ACTUAL', 0, 0, NULL, ''),
		('315', 'FREQUENCY (CF MP) [OBSOLETE]', 'FREQUENCY (CF MP) [OBSOLETE]', 0, 0, NULL, ''),
		('321', 'PERIODICIDAD ANTERIOR', 'PERIODICIDAD ANTERIOR', 1, 0, NULL, ''),
		('336', 'TIPO DE CONTENIDO', 'TIPO DE CONTENIDO', 1, 0, NULL, ''),
		('337', 'TIPO DE MEDIO', 'TIPO DE MEDIO', 1, 0, NULL, ''),
		('338', 'TIPO DE SOPORTE', 'TIPO DE SOPORTE', 1, 0, NULL, ''),
		('340', 'MEDIO FÍSICO', 'MEDIO FÍSICO', 1, 0, NULL, ''),
		('342', 'INFORMACIÓN DE REFERENCIA GEOESPACIAL', 'INFORMACIÓN DE REFERENCIA GEOESPACIAL', 1, 0, NULL, ''),
		('343', 'INFORMACIÓN DE COORDENADAS PLANAS', 'INFORMACIÓN DE COORDENADAS PLANAS', 1, 0, NULL, ''),
		('344', 'CARACTERÍSTICAS DE SONIDO', 'CARACTERÍSTICAS DE SONIDO', 1, 0, NULL, ''),
		('345', 'CARACTERÍSTICAS DE LA PROYECCIÓN DE IMAGEN EN MOVIMIENTO', 'CARACTERÍSTICAS DE LA PROYECCIÓN DE IMAGEN EN MOVIMIENTO', 1, 0, NULL, ''),
		('346', 'CARACTERÍSTICAS DE VÍDEO', 'CARACTERÍSTICAS DE VÍDEO', 1, 0, NULL, ''),
		('347', 'CARACTERÍSTICAS DEL ARCHIVO DIGITAL', 'CARACTERÍSTICAS DEL ARCHIVO DIGITAL', 1, 0, NULL, ''),
		('350', 'PRICE (BK AM CF MU VM SE) [OBSOLETE]', 'PRICE (BK AM CF MU VM SE) [OBSOLETE]', 1, 0, NULL, ''),
		('351', 'ORGANIZACIÓN Y ORDENACIÓN DE LOS MATERIALES', 'ORGANIZACIÓN Y ORDENACIÓN DE LOS MATERIALES', 1, 0, NULL, ''),
		('352', 'REPRESENTACIÓN GRÁFICA DIGITAL', 'REPRESENTACIÓN GRÁFICA DIGITAL', 1, 0, NULL, ''),
		('355', 'CLASIFICACIÓN DE SEGURIDAD', 'CLASIFICACIÓN DE SEGURIDAD', 1, 0, NULL, ''),
		('357', 'CONTROL DE LA DIFUSIÓN', 'CONTROL DE LA DIFUSIÓN', 0, 0, NULL, ''),
		('359', 'RENTAL PRICE (VM) [OBSOLETE]', 'RENTAL PRICE (VM) [OBSOLETE]', 0, 0, NULL, ''),
		('362', 'FECHAS DE PUBLICACIÓN Y/O DESIGNACIÓN SECUENCIAL', 'FECHAS DE PUBLICACIÓN Y/O DESIGNACIÓN SECUENCIAL', 1, 0, NULL, ''),
		('363', 'FECHA NORMALIZADA Y DESIGNACIÓN SECUENCIAL', 'FECHA NORMALIZADA Y DESIGNACIÓN SECUENCIAL', 1, 0, NULL, ''),
		('365', 'PRECIO COMERCIAL', 'PRECIO COMERCIAL', 1, 0, NULL, ''),
		('366', 'INFORMACIÓN SOBRE DISPONIBILIDAD COMERCIAL', 'INFORMACIÓN SOBRE DISPONIBILIDAD COMERCIAL', 1, 0, NULL, ''),
		('377', 'LENGUA ASOCIADA', 'LENGUA ASOCIADA', 1 , 0 , NULL, ''),
		('380', 'FORMA DE LA OBRA', 'FORMA DE LA OBRA', 1, 0, NULL, ''),
		('381', 'OTRAS CARACTERÍSTICAS DISTINTIVAS DE OBRA O EXPRESIÓN', 'OTRAS CARACTERÍSTICAS DISTINTIVAS DE OBRA O EXPRESIÓN', 1, 0, NULL, ''),
		('382', 'MEDIO DE INTERPRETACIÓN', 'MEDIO DE INTERPRETACIÓN', 1, 0, NULL, ''),
		('383', 'DESIGNACIÓN NUMÉRICA DE OBRA MUSICAL', 'DESIGNACIÓN NUMÉRICA DE OBRA MUSICAL', 1, 0, NULL, ''),
		('384', 'TONALIDAD', 'TONALIDAD', 0, 0, NULL, ''),
		('400', 'SERIES STATEMENT/ADDED ENTRY--PERSONAL NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--PERSONAL NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, ''),
		('410', 'SERIES STATEMENT/ADDED ENTRY--CORPORATE NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--CORPORATE NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, ''),
		('411', 'SERIES STATEMENT/ADDED ENTRY--MEETING NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--MEETING NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, ''),
		('440', 'MENCIÓN DE SERIE/ASIENTO SECUNDARIO—TÍTULO [OBSOLETO]', 'MENCIÓN DE SERIE/ASIENTO SECUNDARIO—TÍTULO [OBSOLETO]', 1, 0, NULL, ''),
		('490', 'MENCIÓN DE SERIE', 'MENCIÓN DE SERIE', 1, 0, '', ''),
		('500', 'NOTA GENERAL', 'NOTA GENERAL', 1, 0, NULL, ''),
		('501', 'NOTA DE “CON”', 'NOTA DE “CON”', 1, 0, NULL, ''),
		('502', 'NOTA DE TESIS', 'NOTA DE TESIS', 1, 0, NULL, ''),
		('503', 'BIBLIOGRAPHIC HISTORY NOTE (BK CF MU) [OBSOLETE]', 'BIBLIOGRAPHIC HISTORY NOTE (BK CF MU) [OBSOLETE]', 1, 0, NULL, ''),
		('504', 'NOTA DE BIBLIOGRAFÍA; ETC.', 'NOTA DE BIBLIOGRAFÍA; ETC.', 1, 0, NULL, ''),
		('505', 'NOTA DE CONTENIDO CON FORMATO', 'NOTA DE CONTENIDO CON FORMATO', 1, 0, NULL, ''),
		('506', 'NOTA DE RESTRICCIONES AL ACCESO', 'NOTA DE RESTRICCIONES AL ACCESO', 1, 0, NULL, ''),
		('507', 'NOTA DE ESCALA PARA MATERIAL GRÁFICO', 'NOTA DE ESCALA PARA MATERIAL GRÁFICO', 0, 0, NULL, ''),
		('508', 'NOTA DE CRÉDITOS DE CREACIÓN O PRODUCCIÓN', 'NOTA DE CRÉDITOS DE CREACIÓN O PRODUCCIÓN', 1, 0, NULL, ''),
		('509', 'INFORMAL NOTES (RLIN)', 'INFORMAL NOTES (RLIN)', 0, 0, NULL, ''),
		('510', 'NOTA DE CITAS O REFERENCIAS BIBLIOGRÁFICAS', 'NOTA DE CITAS O REFERENCIAS BIBLIOGRÁFICAS', 1, 0, NULL, ''),
		('511', 'NOTA DE PARTICIPANTES O INTÉRPRETES', 'NOTA DE PARTICIPANTES O INTÉRPRETES', 1, 0, NULL, ''),
		('512', 'EARLIER OR LATER VOLUMES SEPARATELY CATALOGED NOTE (SE) [OBSOLETE]', 'EARLIER OR LATER VOLUMES SEPARATELY CATALOGED NOTE (SE) [OBSOLETE]', 1, 0, NULL, ''),
		('513', 'NOTA DE TIPO DE INFORME Y PERÍODO CUBIERTO', 'NOTA DE TIPO DE INFORME Y PERÍODO CUBIERTO', 1, 0, NULL, ''),
		('514', 'NOTA DE CALIDAD DE LOS DATOS', 'NOTA DE CALIDAD DE LOS DATOS', 0, 0, NULL, ''),
		('515', 'NOTA DE PECULIARIDADES DE LA NUMERACIÓN', 'NOTA DE PECULIARIDADES DE LA NUMERACIÓN', 1, 0, NULL, ''),
		('516', 'NOTA DE TIPO DE ARCHIVO DE ORDENADOR O DE DATOS', 'NOTA DE TIPO DE ARCHIVO DE ORDENADOR O DE DATOS', 1, 0, NULL, ''),
		('517', 'CATEGORIES OF FILMS NOTE (ARCHIVAL) (VM) [OBSOLETE]', 'CATEGORIES OF FILMS NOTE (ARCHIVAL) (VM) [OBSOLETE]', 0, 0, NULL, ''),
		('518', 'NOTA DE FECHA/HORA Y LUGAR DE UN ACONTECIMIENTO', 'NOTA DE FECHA/HORA Y LUGAR DE UN ACONTECIMIENTO', 1, 0, NULL, ''),
		('520', 'NOTA DE SUMARIO; ETC.', 'NOTA DE SUMARIO; ETC.', 1, 0, NULL, ''),
		('521', 'NOTA DEL NIVEL DE DESTINATARIO', 'NOTA DEL NIVEL DE DESTINATARIO', 1, 0, NULL, ''),
		('522', 'NOTA DE ÁMBITO GEOGRÁFICO', 'NOTA DE ÁMBITO GEOGRÁFICO', 1, 0, NULL, ''),
		('523', 'TIME PERIOD OF CONTENT NOTE (CF) [OBSOLETE]', 'TIME PERIOD OF CONTENT NOTE (CF) [OBSOLETE]', 0, 0, NULL, ''),
		('524', 'NOTA DE FORMA USUAL DE CITA DE LOS MATERIALES DESCRITOS', 'NOTA DE FORMA USUAL DE CITA DE LOS MATERIALES DESCRITOS', 1, 0, NULL, ''),
		('525', 'NOTA DE SUPLEMENTO', 'NOTA DE SUPLEMENTO', 0, 0, NULL, ''),
		('526', 'NOTA DE INFORMACIÓN SOBRE EL PROGRAMA DE ESTUDIO', 'NOTA DE INFORMACIÓN SOBRE EL PROGRAMA DE ESTUDIO', 0, 0, NULL, ''),
		('527', 'CENSORSHIP NOTE (VM) [OBSOLETE]', 'CENSORSHIP NOTE (VM) [OBSOLETE]', 1, 0, NULL, ''),
		('530', 'NOTA DE FORMATO FÍSICO ADICIONAL DISPONIBLE', 'NOTA DE FORMATO FÍSICO ADICIONAL DISPONIBLE', 1, 0, NULL, ''),
		('533', 'NOTA DE REPRODUCCIÓN', 'NOTA DE REPRODUCCIÓN', 1, 0, NULL, ''),
		('534', 'NOTA SOBRE LA OBRA ORIGINAL', 'NOTA SOBRE LA OBRA ORIGINAL', 1, 0, NULL, ''),
		('535', 'NOTA DE LOCALIZACIÓN DE ORIGINALES/DUPLICADOS', 'NOTA DE LOCALIZACIÓN DE ORIGINALES/DUPLICADOS', 1, 0, NULL, ''),
		('536', 'NOTA DE PATROCINADOR', 'NOTA DE PATROCINADOR', 1, 0, NULL, ''),
		('537', 'SOURCE OF DATA NOTE (CF) [OBSOLETE]', 'SOURCE OF DATA NOTE (CF) [OBSOLETE]', 0, 0, NULL, ''),
		('538', 'NOTA DE DETALLES DEL SISTEMA', 'NOTA DE DETALLES DEL SISTEMA', 1, 0, NULL, ''),
		('540', 'NOTA DE CONDICIONES DE USO Y REPRODUCCIÓN', 'NOTA DE CONDICIONES DE USO Y REPRODUCCIÓN', 1, 0, NULL, ''),
		('541', 'NOTA DE FUENTE DE ADQUISICIÓN DIRECTA', 'NOTA DE FUENTE DE ADQUISICIÓN DIRECTA', 1, 0, NULL, ''),
		('542', 'NOTA DE INFORMACIÓN RELACIONADA CON EL ESTADO DEL COPYRIGHT', 'NOTA DE INFORMACIÓN RELACIONADA CON EL ESTADO DEL COPYRIGHT','1','0','',''),
		('543', 'SOLICITATION INFORMATION NOTE (AM) [OBSOLETE]', 'SOLICITATION INFORMATION NOTE (AM) [OBSOLETE]', 1, 0, NULL, ''),
		('544', 'NOTA DE LOCALIZACIÓN DE MATERIALES DE ARCHIVO RELACIONADOS', 'NOTA DE LOCALIZACIÓN DE MATERIALES DE ARCHIVO RELACIONADOS', 1, 0, NULL, ''),
		('545', 'NOTA BIOGRÁFICA O HISTÓRICA', 'NOTA BIOGRÁFICA O HISTÓRICA', 1, 0, NULL, ''),
		('546', 'NOTA DE LENGUA', 'NOTA DE LENGUA', 1, 0, NULL, ''),
		('547', 'NOTA DE RELACIÓN COMPLEJA CON LOS TÍTULOS ANTERIORES', 'NOTA DE RELACIÓN COMPLEJA CON LOS TÍTULOS ANTERIORES', 1, 0, NULL, ''),
		('550', 'NOTA DE ENTIDAD RESPONSABLE', 'NOTA DE ENTIDAD RESPONSABLE', 1, 0, NULL, ''),
		('552', 'NOTA DE INFORMACIÓN SOBRE EL OBJETO Y SU ATRIBUTO', 'NOTA DE INFORMACIÓN SOBRE EL OBJETO Y SU ATRIBUTO', 1, 0, NULL, ''),
		('555', 'NOTA DE ÍNDICE ACUMULATIVO U OTROS INSTRUMENTOS BIBLIOGRÁFICOS', 'NOTA DE ÍNDICE ACUMULATIVO U OTROS INSTRUMENTOS BIBLIOGRÁFICOS', 1, 0, NULL, ''),
		('556', 'NOTA DE INFORMACIÓN SOBRE LA DOCUMENTACIÓN', 'NOTA DE INFORMACIÓN SOBRE LA DOCUMENTACIÓN', 1, 0, NULL, ''),
		('561', 'NOTA DE PROCEDENCIA', 'NOTA DE PROCEDENCIA', 1, 0, NULL, ''),
		('562', 'NOTA DE IDENTIFICACIÓN DE LA COPIA Y VERSIÓN', 'NOTA DE IDENTIFICACIÓN DE LA COPIA Y VERSIÓN', 1, 0, NULL, ''),
		('563', 'NOTA DE ENCUADERNACIÓN', 'NOTA DE ENCUADERNACIÓN', 1, 0, NULL, ''),
		('565', 'NOTA DE CARACTERÍSTICAS DEL EXPEDIENTE', 'NOTA DE CARACTERÍSTICAS DEL EXPEDIENTE', 1, 0, NULL, ''),
		('567', 'NOTA SOBRE LA METODOLOGÍA', 'NOTA SOBRE LA METODOLOGÍA', 1, 0, NULL, ''),
		('570', 'EDITOR NOTE (SE) [OBSOLETE]', 'EDITOR NOTE (SE) [OBSOLETE]', 1, 0, NULL, ''),
		('580', 'NOTA DE RELACIÓN COMPLEJA', 'NOTA DE RELACIÓN COMPLEJA', 1, 0, NULL, ''),
		('581', 'NOTA DE PUBLICACIONES SOBRE LOS MATERIALES DESCRITOS', 'NOTA DE PUBLICACIONES SOBRE LOS MATERIALES DESCRITOS', 1, 0, NULL, ''),
		('582', 'RELATED COMPUTER FILES NOTE (CF) [OBSOLETE]', 'RELATED COMPUTER FILES NOTE (CF) [OBSOLETE]', 1, 0, NULL, ''),
		('583', 'NOTA DE ACCIÓN', 'NOTA DE ACCIÓN', 1, 0, NULL, ''),
		('584', 'NOTA DE CRECIMIENTO Y FRECUENCIA DE USO', 'NOTA DE CRECIMIENTO Y FRECUENCIA DE USO', 1, 0, NULL, ''),
		('585', 'NOTA DE EXPOSICIONES', 'NOTA DE EXPOSICIONES', 1, 0, NULL, ''),
		('586', 'NOTA DE PREMIOS', 'NOTA DE PREMIOS', 1, 0, NULL, ''),
		('588', 'NOTA DE FUENTE DE LA DESCRIPCIÓN', 'NOTA DE FUENTE DE LA DESCRIPCIÓN', 1, 0, NULL, ''),
		('590', 'LOCAL NOTE (RLIN)', 'LOCAL NOTE (RLIN)', 1, 0, NULL, ''),
		('600', 'PUNTO DE ACCESO ADICIONAL DE MATERIA - NOMBRE DE PERSONA', 'PUNTO DE ACCESO ADICIONAL DE MATERIA - NOMBRE DE PERSONA', 1, 0, NULL, ''),
		('610', 'PUNTO DE ACCESO ADICIONAL DE MATERIA - NOMBRE DE ENTIDAD CORPORATIVA', 'PUNTO DE ACCESO ADICIONAL DE MATERIA - NOMBRE DE ENTIDAD CORPORATIVA', 1, 0, NULL, ''),
		('611', 'PUNTO DE ACCESO ADICIONAL DE MATERIA - NOMBRE DE CONGRESO', 'PUNTO DE ACCESO ADICIONAL DE MATERIA - NOMBRE DE CONGRESO', 1, 0, NULL, ''),
		('630', 'PUNTO DE ACCESO ADICIONAL DE MATERIA - TÍTULO UNIFORME', 'PUNTO DE ACCESO ADICIONAL DE MATERIA - TÍTULO UNIFORME', 1, 0, NULL, ''),
		('648', 'PUNTO DE ACCESO ADICIONAL DE MATERIA - TÉRMINO CRONOLÓGICO', 'PUNTO DE ACCESO ADICIONAL DE MATERIA - TÉRMINO CRONOLÓGICO', 1, 0, NULL, ''),
		('650', 'PUNTO DE ACCESO ADICIONAL DE MATERIA - TÉRMINO DE MATERIA', 'PUNTO DE ACCESO ADICIONAL DE MATERIA - TÉRMINO DE MATERIA', 1, 0, NULL, ''),
		('651', 'PUNTO DE ACCESO ADICIONAL DE MATERIA - NOMBRE GEOGRÁFICO', 'PUNTO DE ACCESO ADICIONAL DE MATERIA - NOMBRE GEOGRÁFICO', 1, 0, NULL, ''),
		('652', 'SUBJECT ADDED ENTRY--REVERSE GEOGRAPHIC (BK MP SE) [OBSOLETE]', 'SUBJECT ADDED ENTRY--REVERSE GEOGRAPHIC (BK MP SE) [OBSOLETE]', 1, 0, NULL, ''),
		('653', 'TÉRMINO DE INDIZACIÓN - NO CONTROLADO', 'TÉRMINO DE INDIZACIÓN - NO CONTROLADO', 1, 0, NULL, ''),
		('654', 'PUNTO DE ACCESO ADICIONAL - TÉRMINOS DE MATERIA POR FACETAS', 'PUNTO DE ACCESO ADICIONAL - TÉRMINOS DE MATERIA POR FACETAS', 1, 0, NULL, ''),
		('655', 'TÉRMINO DE INDIZACIÓN - GÉNERO/FORMA', 'TÉRMINO DE INDIZACIÓN - GÉNERO/FORMA', 1, 0, NULL, ''),
		('656', 'TÉRMINO DE INDIZACIÓN - PROFESIÓN', 'TÉRMINO DE INDIZACIÓN - PROFESIÓN', 1, 0, NULL, ''),
		('657', 'TÉRMINO DE INDIZACIÓN - FUNCIÓN', 'TÉRMINO DE INDIZACIÓN - FUNCIÓN', 1, 0, NULL, ''),
		('658', 'TÉRMINO DE INDIZACIÓN - OBJETIVO CURRICULAR', 'TÉRMINO DE INDIZACIÓN - OBJETIVO CURRICULAR', 1, 0, NULL, ''),
		('662', 'PUNTO DE ACCESO ADICIONAL - NOMBRE JERÁRQUICO DE LUGAR', 'PUNTO DE ACCESO ADICIONAL - NOMBRE JERÁRQUICO DE LUGAR', 1, 0, NULL, ''),
		('690', 'LOCAL SUBJECT ADDED ENTRY--TOPICAL TERM (OCLC; RLIN)', 'LOCAL SUBJECT ADDED ENTRY--TOPICAL TERM (OCLC; RLIN)', 1, 0, '', ''),
		('691', 'LOCAL SUBJECT ADDED ENTRY--GEOGRAPHIC NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--GEOGRAPHIC NAME (RLIN)', 1, 0, '', ''),
		('696', 'LOCAL SUBJECT ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', ''),
		('697', 'LOCAL SUBJECT ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', ''),
		('698', 'LOCAL SUBJECT ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', ''),
		('699', 'LOCAL SUBJECT ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', ''),
		('700', 'PUNTO DE ACCESO ADICIONAL - NOMBRE DE PERSONA', 'PUNTO DE ACCESO ADICIONAL - NOMBRE DE PERSONA', 1, 0, NULL, ''),
		('705', 'ADDED ENTRY--PERSONAL NAME (PERFORMER) (MU) [OBSOLETE]', 'ADDED ENTRY--PERSONAL NAME (PERFORMER) (MU) [OBSOLETE]', 1, 0, NULL, ''),
		('710', 'PUNTO DE ACCESO ADICIONAL - NOMBRE DE ENTIDAD', 'PUNTO DE ACCESO ADICIONAL - NOMBRE DE ENTIDAD', 1, 0, NULL, ''),
		('711', 'PUNTO DE ACCESO ADICIONAL - NOMBRE DE CONGRESO', 'PUNTO DE ACCESO ADICIONAL - NOMBRE DE CONGRESO', 1, 0, NULL, ''),
		('715', 'ADDED ENTRY--CORPORATE NAME (PERFORMER) (MU) [OBSOLETE]', 'ADDED ENTRY--CORPORATE NAME (PERFORMER) (MU) [OBSOLETE]', 1, 0, NULL, ''),
		('720', 'PUNTO DE ACCESO ADICIONAL - NOMBRE NO CONTROLADO', 'PUNTO DE ACCESO ADICIONAL - NOMBRE NO CONTROLADO', 1, 0, NULL, ''),
		('730', 'PUNTO DE ACCESO ADICIONAL - TÍTULO UNIFORME', 'PUNTO DE ACCESO ADICIONAL - TÍTULO UNIFORME', 1, 0, NULL, ''),
		('740', 'PUNTO DE ACCESO ADICIONAL - TÍTULO RELACIONADO O ANALÍTICO O NO CONTROLADO', 'PUNTO DE ACCESO ADICIONAL - TÍTULO RELACIONADO O ANALÍTICO O NO CONTROLADO', 1, 0, NULL, ''),
		('751', 'PUNTO DE ACCESO ADICIONAL - NOMBRE GEOGRÁFICO', 'PUNTO DE ACCESO ADICIONAL - NOMBRE GEOGRÁFICO', 1, 0, NULL, ''),
		('752', 'PUNTO DE ACCESO ADICIONAL - NOMBRE JERÁRQUICO DE LUGAR', 'PUNTO DE ACCESO ADICIONAL - NOMBRE JERÁRQUICO DE LUGAR', 1, 0, NULL, ''),
		('753', 'INFORMACIÓN TÉCNICA SOBRE ACCESO A ARCHIVOS DE ORDENADOR', 'INFORMACIÓN TÉCNICA SOBRE ACCESO A ARCHIVOS DE ORDENADOR', 1, 0, NULL, ''),
		('754', 'PUNTO DE ACCESO ADICIONAL - IDENTIFICACIÓN TAXONÓMICA', 'PUNTO DE ACCESO ADICIONAL - IDENTIFICACIÓN TAXONÓMICA', 1, 0, NULL, ''),
		('755', 'ADDED ENTRY--PHYSICAL CHARACTERISTICS [OBSOLETE]', 'ADDED ENTRY--PHYSICAL CHARACTERISTICS [OBSOLETE]', 1, 0, NULL, ''),
		('760', 'ENLACE A UNA SERIE PRINCIPAL', 'ENLACE A UNA SERIE PRINCIPAL', 1, 0, NULL, ''),
		('762', 'ENLACE A UNA SUBSERIE', 'ENLACE A UNA SUBSERIE', 1, 0, NULL, ''),
		('765', 'ENLACE A LA LENGUA ORIGINAL', 'ENLACE A LA LENGUA ORIGINAL', 1, 0, NULL, ''),
		('767', 'ENLACE A UNA TRADUCCIÓN', 'ENLACE A UNA TRADUCCIÓN', 1, 0, NULL, ''),
		('770', 'ENLACE A UN SUPLEMENTO/NÚMERO ESPECIAL', 'ENLACE A UN SUPLEMENTO/NÚMERO ESPECIAL', 1, 0, NULL, ''),
		('772', 'ENLACE A LA PUBLICACIÓN PRINCIPAL', 'ENLACE A LA PUBLICACIÓN PRINCIPAL', 1, 0, NULL, ''),
		('773', 'ENLACE AL DOCUMENTO FUENTE', 'ENLACE AL DOCUMENTO FUENTE', 1, 0, NULL, ''),
		('774', 'ENLACE A UNA UNIDAD CONSTITUYENTE', 'ENLACE A UNA UNIDAD CONSTITUYENTE', 1, 0, NULL, ''),
		('775', 'ENLACE A OTRA EDICIÓN', 'ENLACE A OTRA EDICIÓN', 1, 0, NULL, ''),
		('776', 'ENLACE A UN FORMATO FÍSICO ADICIONAL', 'ENLACE A UN FORMATO FÍSICO ADICIONAL', 1, 0, NULL, ''),
		('777', 'ENLACE A “PUBLICADO CON”', 'ENLACE A “PUBLICADO CON”', 1, 0, NULL, ''),
		('780', 'ENLACE A UN TÍTULO ANTERIOR', 'ENLACE A UN TÍTULO ANTERIOR', 1, 0, NULL, ''),
		('785', 'ENLACE A UN TÍTULO POSTERIOR', 'ENLACE A UN TÍTULO POSTERIOR', 1, 0, NULL, ''),
		('786', 'ENLACE A UNA FUENTE DE INFORMACIÓN', 'ENLACE A UNA FUENTE DE INFORMACIÓN', 1, 0, NULL, ''),
		('787', 'OTRAS RELACIONES', 'OTRAS RELACIONES', 1, 0, NULL, ''),
		('789', 'COMPONENT ITEM ENTRY (RLIN)', 'COMPONENT ITEM ENTRY (RLIN)', 1, 0, '', ''),
		('796', 'LOCAL ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', ''),
		('797', 'LOCAL ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', ''),
		('798', 'LOCAL ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', ''),
		('799', 'LOCAL ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', ''),
		('800', 'PUNTO DE ACCESO ADICIONAL DE SERIE - NOMBRE DE PERSONA', 'PUNTO DE ACCESO ADICIONAL DE SERIE - NOMBRE DE PERSONA', 1, 0, NULL, ''),
		('810', 'PUNTO DE ACCESO ADICIONAL DE SERIE - NOMBRE DE ENTIDAD', 'PUNTO DE ACCESO ADICIONAL DE SERIE - NOMBRE DE ENTIDAD', 1, 0, NULL, ''),
		('811', 'PUNTO DE ACCESO ADICIONAL DE SERIE - NOMBRE DE CONGRESO', 'PUNTO DE ACCESO ADICIONAL DE SERIE - NOMBRE DE CONGRESO', 1, 0, NULL, ''),
		('830', 'PUNTO DE ACCESO ADICIONAL DE SERIE - TÍTULO UNIFORME', 'PUNTO DE ACCESO ADICIONAL DE SERIE - TÍTULO UNIFORME', 1, 0, NULL, ''),
		('840', 'SERIES ADDED ENTRY--TITLE [OBSOLETE]', 'SERIES ADDED ENTRY--TITLE [OBSOLETE]', 1, 0, NULL, ''),
		('841', 'VALORES CODIFICADOS DE LOS FONDOS', 'VALORES CODIFICADOS DE LOS FONDOS', 0, 0, NULL, ''),
		('842', 'DENOMINACIÓN TEXTUAL DEL FORMATO FÍSICO', 'DENOMINACIÓN TEXTUAL DEL FORMATO FÍSICO', 0, 0, NULL, ''),
		('843', 'NOTA DE REPRODUCCIÓN', 'NOTA DE REPRODUCCIÓN', 1, 0, NULL, ''),
		('844', 'NOMBRE DE LA UNIDAD', 'NOMBRE DE LA UNIDAD', 0, 0, NULL, ''),
		('845', 'CONDICIONES DE USO Y REPRODUCCIÓN', 'CONDICIONES DE USO Y REPRODUCCIÓN', 1, 0, NULL, ''),
		('850', 'INSTITUCIÓN QUE POSEE LOS FONDOS', 'INSTITUCIÓN QUE POSEE LOS FONDOS', 1, 0, NULL, ''),
		('851', 'LOCATION [OBSOLETE]', 'LOCATION [OBSOLETE]', 1, 0, NULL, ''),
		('852', 'LOCALIZACIÓN', 'LOCALIZACIÓN', 1, 0, NULL, ''),
		('853', 'DENOMINACIÓN Y MODELO - UNIDAD BIBLIOGRÁFICA BÁSICA', 'DENOMINACIÓN Y MODELO - UNIDAD BIBLIOGRÁFICA BÁSICA', 1, 0, NULL, ''),
		('854', 'DENOMINACIÓN Y MODELO - MATERIAL ADICIONAL', 'DENOMINACIÓN Y MODELO - MATERIAL ADICIONAL', 1, 0, NULL, ''),
		('855', 'DENOMINACIÓN Y MODELO - ÍNDICES', 'DENOMINACIÓN Y MODELO - ÍNDICES', 1, 0, NULL, ''),
		('856', 'LOCALIZACIÓN Y ACCESO ELECTRÓNICOS', 'LOCALIZACIÓN Y ACCESO ELECTRÓNICOS', 1, 0, NULL, ''),
		('859', 'LOCAL CONTROL INFORMATION (RLIN)', 'LOCAL CONTROL INFORMATION (RLIN)', 1, 0, '', ''),
		('863', 'NUMERACIÓN Y CRONOLOGÍA - UNIDAD BIBLIOGRÁFICA BÁSICA', 'NUMERACIÓN Y CRONOLOGÍA - UNIDAD BIBLIOGRÁFICA BÁSICA', 1, 0, NULL, ''),
		('864', 'NUMERACIÓN Y CRONOLOGÍA - MATERIAL ADICIONAL', 'NUMERACIÓN Y CRONOLOGÍA - MATERIAL ADICIONAL', 1, 0, NULL, ''),
		('865', 'NUMERACIÓN Y CRONOLOGÍA - ÍNDICES', 'NUMERACIÓN Y CRONOLOGÍA - ÍNDICES', 1, 0, NULL, ''),
		('866', 'MENCIÓN TEXTUAL DE FONDOS - UNIDAD BIBLIOGRÁFICA BÁSICA', 'MENCIÓN TEXTUAL DE FONDOS - UNIDAD BIBLIOGRÁFICA BÁSICA', 1, 0, NULL, ''),
		('867', 'MENCIÓN TEXTUAL DE FONDOS - MATERIAL ADICIONAL', 'MENCIÓN TEXTUAL DE FONDOS - MATERIAL ADICIONAL', 1, 0, NULL, ''),
		('868', 'MENCIÓN TEXTUAL DE FONDOS - ÍNDICES', 'MENCIÓN TEXTUAL DE FONDOS - ÍNDICES', 1, 0, NULL, ''),
		('870', 'VARIANT PERSONAL NAME (SE) [OBSOLETE]', 'VARIANT PERSONAL NAME (SE) [OBSOLETE]', 1, 0, NULL, ''),
		('871', 'VARIANT CORPORATE NAME (SE)[OBSOLETE]', 'VARIANT CORPORATE NAME (SE)[OBSOLETE]', 1, 0, NULL, ''),
		('872', 'VARIANT CONFERENCE OR MEETING NAME (SE) [OBSOLETE]', 'VARIANT CONFERENCE OR MEETING NAME (SE) [OBSOLETE]', 1, 0, NULL, ''),
		('873', 'VARIANT UNIFORM TITLE HEADING (SE) [OBSOLETE]', 'VARIANT UNIFORM TITLE HEADING (SE) [OBSOLETE]', 1, 0, NULL, ''),
		('876', 'INFORMACIÓN SOBRE LA UNIDAD FÍSICA - UNIDAD BIBLIOGRÁFICA BÁSICA', 'INFORMACIÓN SOBRE LA UNIDAD FÍSICA - UNIDAD BIBLIOGRÁFICA BÁSICA', 1, 0, NULL, ''),
		('877', 'INFORMACIÓN SOBRE LA UNIDAD FÍSICA - MATERIAL ADICIONAL', 'INFORMACIÓN SOBRE LA UNIDAD FÍSICA - MATERIAL ADICIONAL', 1, 0, NULL, ''),
		('878', 'INFORMACIÓN SOBRE LA UNIDAD FÍSICA - ÍNDICES', 'INFORMACIÓN SOBRE LA UNIDAD FÍSICA - ÍNDICES', 1, 0, NULL, ''),
		('880', 'REPRESENTACIÓN GRÁFICA ALTERNATIVA', 'REPRESENTACIÓN GRÁFICA ALTERNATIVA', 1, 0, NULL, ''),
		('882', 'INFORMACIÓN SOBRE EL REGISTRO QUE SUSTITUYE A UN REGISTRO ELIMINADO', 'INFORMACIÓN SOBRE EL REGISTRO QUE SUSTITUYE A UN REGISTRO ELIMINADO', 0, 0, NULL, ''),
		('883', 'PROCEDENCIA DE METADATOS GENERADOS POR MÁQUINA', 'PROCEDENCIA DE METADATOS GENERADOS POR MÁQUINA', 1, 0, NULL, ''),
		('886', 'CAMPO PARA INFORMACIÓN DE OTROS FORMATOS MARC', 'CAMPO PARA INFORMACIÓN DE OTROS FORMATOS MARC', 1, 0, NULL, ''),
		('887', 'CAMPO PARA INFORMACIÓN DE REGISTROS NO - MARC', 'CAMPO PARA INFORMACIÓN DE REGISTROS NO - MARC', 1, 0, NULL, ''),
		('896', 'LOCAL SERIES ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', ''),
		('897', 'LOCAL SERIES ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', ''),
		('898', 'LOCAL SERIES ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', ''),
		('899', 'LOCAL SERIES ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL SERIES ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', ''),
		('900', 'EQUIVALENCE OR CROSS-REFERENCE-PERSONAL NAME [LOCAL; CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-PERSONAL NAME [LOCAL; CANADA]', 1, 0, '', ''),
		('901', 'LOCAL DATA ELEMENT A; LDA (RLIN)', 'LOCAL DATA ELEMENT A; LDA (RLIN)', 1, 0, '', ''),
		('902', 'LOCAL DATA ELEMENT B; LDB (RLIN)', 'LOCAL DATA ELEMENT B; LDB (RLIN)', 1, 0, '', ''),
		('903', 'LOCAL DATA ELEMENT C; LDC (RLIN)', 'LOCAL DATA ELEMENT C; LDC (RLIN)', 1, 0, '', ''),
		('904', 'LOCAL DATA ELEMENT D; LDD (RLIN)', 'LOCAL DATA ELEMENT D; LDD (RLIN)', 1, 0, '', ''),
		('905', 'LOCAL DATA ELEMENT E; LDE (RLIN)', 'LOCAL DATA ELEMENT E; LDE (RLIN)', 1, 0, '', ''),
		('906', 'LOCAL DATA ELEMENT F; LDF (RLIN)', 'LOCAL DATA ELEMENT F; LDF (RLIN)', 1, 0, '', ''),
		('907', 'LOCAL DATA ELEMENT G; LDG (RLIN)', 'LOCAL DATA ELEMENT G; LDG (RLIN)', 1, 0, '', ''),
		('908', 'PUT COMMAND PARAMETER (RLIN)', 'PUT COMMAND PARAMETER (RLIN)', 0, 0, '', ''),
		('910', 'USER-OPTION DATA (OCLC)', 'USER-OPTION DATA (OCLC)', 0, 0, '', ''),
		('911', 'EQUIVALENCE OR CROSS-REFERENCE-CONFERENCE OR MEETING NAME [LOCAL; CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-CONFERENCE OR MEETING NAME [LOCAL; CANADA]', 1, 0, '', ''),
		('930', 'EQUIVALENCE OR CROSS-REFERENCE-UNIFORM TITLE HEADING [LOCAL; CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-UNIFORM TITLE HEADING [LOCAL; CANADA]', 1, 0, '', ''),
		('936', 'OCLC/CONSER MISCELLANEOUS DATA (OCLC); PIECE USED FOR CATALOGING (PRE-AACR2) (RLIN)', 'OCLC/CONSER MISCELLANEOUS DATA (OCLC); PIECE USED FOR CATALOGING (PRE-AACR2) (RLIN)', 0, 0, '', ''),
		('940', 'EQUIVALENCE OR CROSS-REFERENCE--UNIFORM TITLE [OBSOLETE] [CAN/MARC ONLY]', 'EQUIVALENCE OR CROSS-REFERENCE--UNIFORM TITLE [OBSOLETE] [CAN/MARC ONLY]', 1, 0, '', ''),
		('941', 'EQUIVALENCE OR CROSS-REFERENCE--ROMANIZED TITLE [OBSOLETE] [CAN/MARC ONLY]', 'EQUIVALENCE OR CROSS-REFERENCE--ROMANIZED TITLE [OBSOLETE] [CAN/MARC ONLY]', 1, 0, '', ''),
		('943', 'EQUIVALENCE OR CROSS-REFERENCE--COLLECTIVE TITLE [OBSOLETE] [CAN/MARC ONLY]', 'EQUIVALENCE OR CROSS-REFERENCE--COLLECTIVE TITLE [OBSOLETE] [CAN/MARC ONLY]', 1, 0, '', ''),
		('945', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', ''),
		('946', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', ''),
		('947', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', ''),
		('948', 'LOCAL PROCESSING INFORMATION (OCLC); SERIES PART DESIGNATOR (RLIN)', 'LOCAL PROCESSING INFORMATION (OCLC); SERIES PART DESIGNATOR (RLIN)', 1, 0, '', ''),
		('949', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', ''),
		('950', 'LOCAL HOLDINGS (RLIN)', 'LOCAL HOLDINGS (RLIN)', 1, 0, '', ''),
		('951', 'EQUIVALENCE OR CROSS-REFERENCE--GEOGRAPHIC NAME/AREA NAME [OBSOLETE] [CAN/MARC ONLY]', 'EQUIVALENCE OR CROSS-REFERENCE--GEOGRAPHIC NAME/AREA NAME [OBSOLETE] [CAN/MARC ONLY]', 1, 0, '', ''),
		('955', 'COPY-LEVEL INFORMATION (RLIN)', 'COPY-LEVEL INFORMATION (RLIN)', 1, 0, '', ''),
		('956', 'LOCAL ELECTRONIC LOCATION AND ACCESS (OCLC)', 'LOCAL ELECTRONIC LOCATION AND ACCESS (OCLC)', 1, 0, '', ''),
		('960', 'PHYSICAL LOCATION (RLIN)', 'PHYSICAL LOCATION (RLIN)', 1, 0, '', ''),
		('967', 'ADDITIONAL ESTC CODES (RLIN)', 'ADDITIONAL ESTC CODES (RLIN)', 1, 0, '', ''),
		('980', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--PERSONAL NAME/TITLE [LOCAL; CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--PERSONAL NAME/TITLE [LOCAL; CANADA]', 1, 0, '', ''),
		('981', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CORPORATE NAME/TITLE [LOCAL; CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CORPORATE NAME/TITLE [LOCAL; CANADA]', 1, 0, '', ''),
		('982', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CONFERENCE OR MEETING NAME/TITLE [LOCAL; CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CONFERENCE OR MEETING NAME/TITLE [LOCAL; CANADA]', 1, 0, '', ''),
		('983', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--TITLE/UNIFORM TITLE [LOCAL; CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--TITLE/UNIFORM TITLE [LOCAL; CANADA]', 1, 0, '', ''),
		('984', 'WLN AUTOMATIC HOLDINGS STATEMENT (OCLC)', 'WLN AUTOMATIC HOLDINGS STATEMENT (OCLC)', 1, 0, '', ''),
		('987', 'LOCAL ROMANIZATION/CONVERSION HISTORY (OCLC)', 'LOCAL ROMANIZATION/CONVERSION HISTORY (OCLC)', 1, 0, '', ''),
		('990', 'EQUIVALENCES OR CROSS-REFERENCES [LOCAL; CANADA]', 'EQUIVALENCES OR CROSS-REFERENCES [LOCAL; CANADA]', 1, 0, '', ''),
		('995', 'RECOMMENDATION 995 [LOCAL; UNIMARC FRANCE]', 'RECOMMENDATION 995 [LOCAL; UNIMARC FRANCE]', 1, 0, '', ''),
		('998', 'LOCAL CONTROL INFORMATION (RLIN)', 'LOCAL CONTROL INFORMATION (RLIN)', 1, 0, '', '');



INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('000', '@', 'Campo de control de longitud fija', 'Campo de control de longitud fija', 0, 1, '', 0, '', '', 'marc21_leader.pl', 0, 0, '', '', '', NULL),
		('001', '@', 'Campo de control', 'Campo de control', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('003', '@', 'Campo de control', 'Campo de control', 0, 1, '', 0, '', '', 'marc21_field_003.pl', 0, 0, '', '', '', NULL),
		('005', '@', 'Campo de control', 'Campo de control', 0, 1, '', 0, '', '', 'marc21_field_005.pl', 0, 0, '', '', '', NULL),
		('006', '@', 'Campo de control de longitud fija', 'Campo de control de longitud fija', 0, 0, '', 0, '', '', 'marc21_field_006.pl', 0, -1, '', '', '', NULL),
		('007', '@', 'Campo de control de longitud fija', 'Campo de control de longitud fija', 0, 0, '', 0, '', '', 'marc21_field_007.pl', 0, 0, '', '', '', NULL),
		('008', '@', 'Campo de control de longitud fija', 'Campo de control de longitud fija', 0, 1, '', 0, '', '', 'marc21_field_008.pl', 0, 0, '', '', '', NULL),
		('009', '@', 'Campo de control de longitud fija', 'Campo de control de longitud fija', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('010', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', NULL, 0, -6, '', '', '', NULL),
		('010', 'a', 'Número de control de LC', 'Número de control de LC', 0, 0, 'biblioitems.lccn', 0, '', '', '', 0, 0, '', '', '', NULL),
		('010', 'b', 'Número de control de NUCMC', 'Número de control de NUCMC', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('010', 'z', 'Número de control de LC cancelado o no válido', 'Número de control de LC cancelado o no válido', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('011', 'a', 'LC control number', 'LC control number', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('013', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', NULL, 0, -6, '', '', '', NULL),
		('013', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('013', 'a', 'Número', 'Número', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('013', 'b', 'País', 'País', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('013', 'c', 'Tipo de número', 'Tipo de número', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('013', 'd', 'Fecha', 'Fecha', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('013', 'e', 'Estado', 'Estado', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('013', 'f', 'Parte responsable del documento', 'Parte responsable del documento', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('015', '2', 'Fuente', 'Fuente', 0, 0, '', 0, '', '', NULL, 0, 0, '', '', '', NULL),
		('015', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('015', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('015', 'a', 'Número de bibliografía nacional', 'Número de bibliografía nacional', 1, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('015', 'z', 'Número de bibliografía nacional cancelado/no válido', 'Número de bibliografía nacional cancelado/no válido', 1, 0,'', 1, '', '', '', 0,0, '', '', '', NULL),
		('016', '2', 'Fuente', 'Fuente', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('016', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('016', 'a', 'Número de control del registro', 'Número de control del registro', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('016', 'z', 'Número de control cancelado/no válido', 'Número de control cancelado/no válido', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('017', '2', 'Fuente', 'Fuente', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('017', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('017', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('017', 'a', 'Número de copyright o de depósito legal', 'Número de copyright o de depósito legal', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('017', 'b', 'Agencia que asigna el número', 'Agencia que asigna el número', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('017', 'd', 'Fecha', 'Fecha', 0, 0, '', 0, '', '', NULL, 0, -6, '', '', '', NULL),
		('017', 'i', 'Texto de visualización', 'Texto de visualización', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('017', 'z', 'Número de copyright o de depósito legal cancelado/no válido', 'Número de copyright o de depósito legal cancelado/no válido','1','0','','1','','','','0','-6','','','',NULL),
		('018', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('018', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('018', 'a', 'Código de copyright sobre la tarifa del artículo', 'Código de copyright sobre la tarifa del artículo', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('01e', 'a', 'Coded field error', 'Coded field error', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('020', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('020', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('020', 'a', 'Número Internacional Normalizado para Libros (ISBN)', 'Número Internacional Normalizado para Libros (ISBN)', 0, 0, 'biblioitems.isbn', 0, '', '', '', 0, 0, '', '', '', NULL),
		('020', 'c', 'Condiciones de disponibilidad', 'Condiciones de disponibilidad', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('020', 'z', 'ISBN cancelado o no válido', 'ISBN cancelado o no válido', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('022', '2', 'Fuente', 'Fuente', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('022', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('022', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('022', 'a', 'Número Internacional Normalizado para Publicaciones Seriadas', 'Número Internacional Normalizado para Publicaciones Seriadas', 0, 0, 'biblioitems.issn', 0, '', '', '', 0, 0, '', '', '', NULL),
		('022', 'l', 'ISSN-L', 'ISSN-L','0','0','','0','','','','0','0','','','',NULL),
		('022', 'm', 'ISSN-L cancelado', 'ISSN-L cancelado','1','0','','0','','','','0','0','','','',NULL),
		('022', 'y', 'ISSN incorrecto', 'ISSN incorrecto', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('022', 'z', 'ISSN cancelado', 'ISSN cancelado', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('023', 'a', 'Standard film number', 'Standard film number', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('024', '2', 'Fuente del número o código', 'Fuente del número o código', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('024', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('024', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('024', 'a', 'Número normalizado o código', 'Número normalizado o código', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('024', 'c', 'Condiciones de disponibilidad', 'Condiciones de disponibilidad', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('024', 'd', 'Códigos adicionales que siguen al número normalizado o código', 'Códigos adicionales que siguen al número normalizado o código', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('024', 'z', 'Número normalizado o código cancelado/no válido', 'Número normalizado o código cancelado/no válido', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('025', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('025', 'a', 'Número de adquisición en el extranjero', 'Número de adquisición en el extranjero', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('026', '2', 'Fuente', 'Fuente', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('026', '5', 'Institución que aplica el campo', 'Institución que aplica el campo', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('026', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('026', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('026', 'a', 'Primer y segundo grupo de caracteres', 'Primer y segundo grupo de caracteres', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('026', 'b', 'Tercer y cuarto grupo de caracteres', 'Tercer y cuarto grupo de caracteres', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('026', 'c', 'Fecha', 'Fecha', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('026', 'd', 'Número de volumen o parte', 'Número de volumen o parte', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('026', 'e', 'Identificador tipográfico no disgregado', 'Identificador tipográfico no disgregado', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('027', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('027', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('027', 'a', 'Número Normalizado de Informe Técnico', 'Número Normalizado de Informe Técnico', 0, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('027', 'z', 'Número cancelado/no válido', 'Número cancelado/no válido', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('028', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('028', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('028', 'a', 'Número de editor', 'Número de editor', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('028', 'b', 'Fuente', 'Fuente', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('028', 'q', 'Información de cualificación', 'Información de cualificación', 1, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('029', 'a', 'OCLC library identifier', 'OCLC library identifier', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('029', 'b', 'System control number', 'System control number', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('029', 'c', 'OAI set name', 'OAI set name', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('029', 't', 'Content type identifier', 'Content type identifier', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('030', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('030', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('030', 'a', 'CODEN', 'CODEN', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('030', 'z', 'CODEN cancelado/no válido', 'CODEN cancelado/no válido', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', '2', 'Código del sistema', 'Código del sistema', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'a', 'Número de la obra', 'Número de la obra', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'b', 'Número del movimiento', 'Número del movimiento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'c', 'Número del pasaje', 'Número del pasaje', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'd', 'Título o encabezamiento', 'Título o encabezamiento', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'e', 'Personaje', 'Personaje', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'g', 'Clave', 'Clave', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'm', 'Voz/instrumento', 'Voz/instrumento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'n', 'Armadura', 'Armadura', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'o', 'Compás', 'Compás', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'p', 'Notación musical', 'Notación musical', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'q', 'Nota general', 'Nota general', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'r', 'Tonalidad o modo', 'Tonalidad o modo', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 's', 'Nota de validez codificada', 'Nota de validez codificada', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 't', 'Texto del íncipit', 'Texto del íncipit', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'u', 'Identificador Uniforme del Recurso', 'Identificador Uniforme del Recurso', 1, 0, '', 0, '', '', '', 1, -6, '', '', '', NULL),
		('031', 'y', 'Texto del enlace', 'Texto del enlace', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'z', 'Nota pública', 'Nota pública', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('032', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', NULL, 0, -6, '', '', '', NULL),
		('032', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('032', 'a', 'Número de registro postal', 'Número de registro postal', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('032', 'b', 'Agencia que asigna el número', 'Agencia que asigna el número', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('033', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','0','','','','0','-6', '', '', '', NULL),
		('033', '2', 'Fuente del término', 'Fuente del término','1','0','','0','','','','0','-6', '', '', '', NULL),
		('033', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('033', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('033', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('033', 'a', 'Fecha/hora formateada', 'Fecha/hora formateada', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('033', 'b', 'Código de clasificación de área geográfica', 'Código de clasificación de área geográfica', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('033', 'c', 'Código de clasificación de subárea geográfica', 'Código de clasificación de subárea geográfica', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('033', 'p', 'Lugar del acontecimiento', 'Lugar del acontecimiento','1','0','','0','','','','0','-6', '', '', '', NULL),
		('034', '0', 'Número de control del registro de autoridad o número normalizado', 'Número de control del registro de autoridad o número normalizado','1','0','','0','','','','0','-6', '', '', '', NULL),
		('034', '2', 'Fuente', 'Fuente', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', '3', 'Especificación de materiales', 'Especificación de materiales','0','0','','0','','','','0','-6', '', '', '', NULL),
		('034', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'a', 'Tipo de scala', 'Tipo de scala', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'b', 'Escala horizontal lineal (razón constante)', 'Escala horizontal lineal (razón constante)', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'c', 'Escala vertical lineal (razón constante)', 'Escala vertical lineal (razón constante)', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'd', 'Coordenadas - longitud más occidental', 'Coordenadas - longitud más occidental', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'e', 'Coordenadas - longitud más oriental', 'Coordenadas - longitud más oriental', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'f', 'Coordenadas - latitud más septentrional', 'Coordenadas - latitud más septentrional', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'g', 'Coordenadas - latitud más meridional', 'Coordenadas - latitud más meridional', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'h', 'Escala angular', 'Escala angular', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'j', 'Declinación-límite septentrional', 'Declinación-límite septentrional', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'k', 'Declinación-límite meridional', 'Declinación-límite meridional', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'm', 'Ascensión recta-límite oriental', 'Ascensión recta-límite oriental', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'n', 'Ascensión recta-límite occidental', 'Ascensión recta-límite occidental', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'p', 'Equinoccio', 'Equinoccio', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'r', 'Distancia desde la tierra', 'Distancia desde la tierra', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 's', 'Latitud del anillo-G', 'Latitud del anillo-G', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 't', 'Longitud del anillo-G', 'Longitud del anillo-G', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'x', 'Fecha de inicio', 'Fecha de inicio', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'y', 'Fecha de finalización', 'Fecha de finalización', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'z', 'Nombre del cuerpo extraterrestre', 'Nombre del cuerpo extraterrestre', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('035', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('035', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('035', 'a', 'Número de control del sistema', 'Número de control del sistema', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('035', 'z', 'Número de control cancelado/no válido', 'Número de control cancelado/no válido', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('036', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('036', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('036', 'a', 'Número de estudio original', 'Número de estudio original', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('036', 'b', 'Fuente (agencia que asigna el número)', 'Fuente (agencia que asigna el número)', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('037', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('037', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('037', 'a', 'Número de adquisición', 'Número de adquisición', 0, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('037', 'b', 'Fuente del número de adquisición', 'Fuente del número de adquisición', 0, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('037', 'c', 'Condiciones de disponibilidad', 'Condiciones de disponibilidad', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('037', 'f', 'Formato de la publicación', 'Formato de la publicación', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('037', 'g', 'Características adicionales del formato', 'Características adicionales del formato', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('037', 'n', 'Nota', 'Nota', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('038', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('038', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('038', 'a', 'Licenciador del contenido del registro', 'Licenciador del contenido del registro', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('039', 'a', 'Bibliographic description - level of rules used', 'Bibliographic description - level of rules used', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('039', 'b', 'Access points excluding subject access - level of effort used to assign access', 'Access points excluding subject access - level of effort used to assign access', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('039', 'c', 'Subject headings - level of effort used to assign', 'Subject headings - level of effort used to assign', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('039', 'd', 'Classification - level of effort used to assign', 'Classification - level of effort used to assign', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('039', 'e', 'Fixed fields - number of positions coded', 'Fixed fields - number of positions coded', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('040', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('040', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('040', 'a', 'Centro catalogador de origen', 'Centro catalogador de origen', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('040', 'b', 'Lengua de catalogación', 'Lengua de catalogación', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('040', 'c', 'Centro transcriptor', 'Centro transcriptor', 0, 1, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('040', 'd', 'Centro modificador', 'Centro modificador', 1, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('040', 'e', 'Normas de descripción', 'Normas de descripción', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('041', '2', 'Fuente del código', 'Fuente del código', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('041', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('041', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('041', 'a', 'Código de lengua del texto/banda sonora o título independiente', 'Código de lengua del texto/banda sonora o título independiente', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('041', 'b', 'Código de lengua del sumario o resumen', 'Código de lengua del sumario o resumen', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('041', 'd', 'Código de lengua del texto cantado o hablado', 'Código de lengua del texto cantado o hablado', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('041', 'e', 'Código de lengua de los libretos', 'Código de lengua de los libretos', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('041', 'f', 'Código de lengua de la tabla de contenido', 'Código de lengua de la tabla de contenido', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('041', 'g', 'Código de lengua del material anejo si no son libretos', 'Código de lengua del material anejo si no son libretos', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('041', 'h', 'Código de lengua original', 'Código de lengua original', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('041', 'j', 'Código de lengua de los subtítulos o leyendas', 'Código de lengua de los subtítulos o leyendas','1','0','','0','','','','0','-1', '', '', '', NULL),
		('041', 'k', 'Código de lengua de las traducciones intermedias', 'Código de lengua de las traducciones intermedias','1','0','','0','','','','0','-1', '', '', '', NULL),
		('041', 'm', 'Código de lengua del material anejo original si no son libretos', 'Código de lengua del material anejo original si no son libretos','1','0','','0','','','','0','-1', '', '', '', NULL),
		('041', 'n', 'Código de lengua del libreto original', 'Código de lengua del libreto original','1','0','','0','','','','0','-1', '', '', '', NULL),
		('042', 'a', 'Código de autenticación', 'Código de autenticación', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('043', '0', 'Número de control del registro de autoridad o número normalizado', 'Número de control del registro de autoridad o número normalizado','1','0','','0','','','','0','-6', '', '', '', NULL),
		('043', '2', 'Fuente del código local', 'Fuente del código local', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('043', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('043', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('043', 'a', 'Código de área geográfica', 'Código de área geográfica', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('043', 'b', 'Código local GAC', 'Código local GAC', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('043', 'c', 'Código ISO', 'Código ISO', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('044', '2', 'Fuente del código de subentidad local', 'Fuente del código de subentidad local', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('044', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('044', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('044', 'a', 'Código MARC del país', 'Código MARC del país', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('044', 'b', 'Código de subentidad local', 'Código de subentidad local', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('044', 'c', 'Código ISO del país', 'Código ISO del país', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('045', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('045', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('045', 'a', 'Código de periodo de tiempo', 'Código de periodo de tiempo', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('045', 'b', 'Periodo de tiempo normalizado  posterior a 9999 a.C.', 'Periodo de tiempo normalizado  posterior a 9999 a.C.', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('045', 'c', 'Periodo de tiempo normalizado  anterior a 9999 a.C.', 'Periodo de tiempo normalizado  anterior a 9999 a.C.', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', '2', 'Fuente de la fecha', 'Fuente de la fecha', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', 'a', 'Código de tipo de fecha', 'Código de tipo de fecha', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', 'b', 'Primera fecha (fecha a.C.)', 'Primera fecha (fecha a.C.)', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', 'c', 'Primera fecha (fecha d.C.)', 'Primera fecha (fecha d.C.)', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', 'd', 'Segunda fecha (fecha a.C.)', 'Segunda fecha (fecha a.C.)', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', 'e', 'Segunda fecha (fecha d.C.)', 'Segunda fecha (fecha d.C.)', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', 'j', 'Fecha de modificación del recurso', 'Fecha de modificación del recurso', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', 'k', 'Fecha única o de inicio de la creación', 'Fecha única o de inicio de la creación', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', 'l', 'Fecha de finalización de la creación', 'Fecha de finalización de la creación', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', 'm', 'Fecha de inicio de validez', 'Fecha de inicio de validez', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', 'n', 'Fecha de fin de validez', 'Fecha de fin de validez', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('047', '2', 'Fuente del código', 'Fuente del código', 0, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('047', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('047', 'a', 'Código de forma de la composición musical', 'Código de forma de la composición musical', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('048', '2', 'Fuente del código', 'Fuente del código', 0, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('048', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('048', 'a', 'Intérprete o conjunto', 'Intérprete o conjunto', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('048', 'b', 'Solista', 'Solista', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('049', 'a', 'Holding library', 'Holding library', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'c', 'Copy statement', 'Copy statement', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'd', 'Definition of bibliographic subdivisions', 'Definition of bibliographic subdivisions', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'l', 'Local processing data', 'Local processing data', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'm', 'Missing elements', 'Missing elements', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'n', 'Notes about holdings', 'Notes about holdings', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'o', 'Local processing data', 'Local processing data', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'p', 'Secondary bibliographic subdivision', 'Secondary bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'q', 'Third bibliographic subdivision', 'Third bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'r', 'Fourth bibliographic subdivision', 'Fourth bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 's', 'Fifth bibliographic subdivision', 'Fifth bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 't', 'Sixth bibliographic subdivision', 'Sixth bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'u', 'Seventh bibliographic subdivision', 'Seventh bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'v', 'Primary bibliographic subdivision', 'Primary bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'y', 'Inclusive dates of publication or coverage', 'Inclusive dates of publication or coverage', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('050', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('050', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('050', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('050', 'a', 'Número de clasificación', 'Número de clasificación', 1, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('050', 'b', 'Número de documento', 'Número de documento', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('051', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('051', 'a', 'Número de clasificación', 'Número de clasificación', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('051', 'b', 'Número de ejemplar', 'Número de ejemplar', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('051', 'c', 'Información sobre otras copias', 'Información sobre otras copias', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('052', '2', 'Fuente del código', 'Fuente del código', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('052', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('052', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('052', 'a', 'Código de clasificación de área geográfica', 'Código de clasificación de área geográfica', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('052', 'b', 'Código de clasificación de subárea geográfica', 'Código de clasificación de subárea geográfica', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('052', 'd', 'Nombre de la población', 'Nombre de la población', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('055', '2', 'Fuente del número de signatura/clasificación', 'Fuente del número de signatura/clasificación', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('055', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('055', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('055', 'a', 'Número de clasificación', 'Número de clasificación', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('055', 'b', 'Número del documento', 'Número del documento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('060', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('060', 'a', 'Número de clasificación', 'Número de clasificación', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('060', 'b', 'Número de documento', 'Número de documento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('061', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('061', 'a', 'Número de clasificación', 'Número de clasificación', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('061', 'b', 'Número de documento', 'Número de documento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('061', 'c', 'Información sobre otras copias', 'Información sobre otras copias', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('066', 'a', 'Juego de caracteres básico G0', 'Juego de caracteres básico G0', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('066', 'b', 'Juego de caracteres básico G1', 'Juego de caracteres básico G1', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('066', 'c', 'Juego de caracteres alternativo G0 o G1', 'Juego de caracteres alternativo G0 o G1', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('070', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('070', 'a', 'Número de clasificación', 'Número de clasificación', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('070', 'b', 'Número de documento', 'Número de documento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('071', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('071', 'a', 'Número de clasificación', 'Número de clasificación', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('071', 'b', 'Número de documento', 'Número de documento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('071', 'c', 'Información sobre otras copias', 'Información sobre otras copias', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('072', '2', 'Fuente', 'Fuente', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('072', '6', 'Enlace', 'Enlace', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('072', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('072', 'a', 'Código de categoría de materia', 'Código de categoría de materia', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('072', 'x', 'Subdivisión del código de categoría de materia', 'Subdivisión del código de categoría de materia', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('074', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('074', 'a', 'Número de documento de la GPO', 'Número de documento de la GPO', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('074', 'z', 'Número de documento de la GPO cancelado/no válido', 'Número de documento de la GPO cancelado/no válido', 1, 0, NULL, 0, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('080', '2', 'Identificador de la edición', 'Identificador de la edición', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('080', '6', 'Enlace', 'Enlace', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('080', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('080', 'a', 'Número de la Clasificación Decimal Universal', 'Número de la Clasificación Decimal Universal', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('080', 'b', 'Número del documento', 'Número del documento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('080', 'x', 'Subdivisión auxiliar común', 'Subdivisión auxiliar común', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('082', '2', 'Número de edición', 'Número de edición', 0, 0, '', 0, '', '', '', NULL, 0, '', '', '', NULL),
		('082', '6', 'Enlace', 'Enlace', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('082', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('082', 'a', 'Número de clasificación', 'Número de clasificación', 1, 0, '', 0, '', '', '', NULL, 0, '', '', '', NULL),
		('082', 'b', 'Número de documento', 'Número de documento', 0, 0, '', 0, '', '', '', NULL, 0, '', '', '', NULL),
		('082', 'm', 'Designación estándar u opcional', 'Designación estándar u opcional','0','0','','0','','','','0','0', '', '', '', NULL),
		('082', 'q', 'Agencia que asigna el número', 'Agencia que asigna el número','0','0','','0','','','','0','0', '', '', '', NULL),
		('083', '2', 'Número de edición', 'Número de edición','0','0','','0','','','','0','0', '', '', '', NULL),
		('083', '6', 'Enlace', 'Enlace','0','0','','0','','','','0','0', '', '', '', NULL),
		('083', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia','1','0','','0','','','','0','0', '', '', '', NULL),
		('083', 'a', 'Número de clasificación', 'Número de clasificación','1','0','','0','','','','0','0', '', '', '', NULL),
		('083', 'c', 'Número de clasificación - Último número del rango', 'Número de clasificación - Último número del rango','1','0','','0','','','','0','0', '', '', '', NULL),
		('083', 'm', 'Designación estándar u opcional', 'Designación estándar u opcional','0','0','','0','','','','0','0', '', '', '', NULL),
		('083', 'q', 'Agencia que asigna el número', 'Agencia que asigna el número','0','0','','0','','','','0','0', '', '', '', NULL),
		('083', 'y', 'Número secuencial de tabla para subordenación interna o tabla añadida', 'Número secuencial de tabla para subordenación interna o tabla añadida','1','0','','0','','','','0','0', '', '', '', NULL),
		('083', 'z', 'Identificador de tabla', 'Identificador de tabla','1','0','','0','','','','0','0', '', '', '', NULL),
		('084', '2', 'Fuente del número', 'Fuente del número', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('084', '6', 'Enlace', 'Enlace', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('084', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('084', 'a', 'Número de clasificación', 'Número de clasificación', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('084', 'b', 'Número de documento', 'Número de documento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('084', 'q', 'Agencia que asigna el número', 'Agencia que asigna el número','0','0','','0','','','','0','-6','','','',NULL),
		('085', '6', 'Enlace', 'Enlace','0','0','','0','','','','0','-6', '', '', '', NULL),
		('085', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia','1','0','','0','','','','0','-6', '', '', '', NULL),
		('085', 'a', 'Número de donde se han tomado las instrucciones - número único o comienzo de un rango numérico', 'Número de donde se han tomado las instrucciones - número único o comienzo de un rango numérico','1','0','','0','','','','0','-6', '', '', '', NULL),
		('085', 'b', 'Número base', 'Número base','1','0','','0','','','','0','-6', '', '', '', NULL),
		('085', 'c', 'Número de clasificación - final de un rango numérico', 'Número de clasificación - final de un rango numérico','1','0','','0','','','','0','-6', '', '', '', NULL),
		('085', 'f', 'Indicador de faceta', 'Indicador de faceta','1','0','','0','','','','0','-6', '', '', '', NULL),
		('085', 'r', 'Número raíz', 'Número raíz','1','0','','0','','','','0','-6', '', '', '', NULL),
		('085', 's', 'Dígitos añadidos a partir de un número de clasificación de un esquema o tabla externa', 'Dígitos añadidos a partir de un número de clasificación de un esquema o tabla externa','1','0','','0','','','','0','-6', '', '', '', NULL),
		('085', 't', 'Dígitos añadidos a partir de una subordenación interna o una tabla adicional', 'Dígitos añadidos a partir de una subordenación interna o una tabla adicional','1','0','','0','','','','0','-6', '', '', '', NULL),
		('085', 'u', 'Número que se analiza', 'Número que se analiza','1','0','','0','','','','0','-6', '', '', '', NULL),
		('085', 'v', 'Número de una subordenación interna o tabla adicional en el que se dan las pautas [de agregación]', 'Número de una subordenación interna o tabla adicional en el que se dan las pautas [de agregación]','1','0','','0','','','','0','-6', '', '', '', NULL),
		('085', 'w', 'Identificador de tabla - Subordenación interna o tabla adicional', 'Identificador de tabla - Subordenación interna o tabla adicional','1','0','','0','','','','0','-6', '', '', '', NULL),
		('085', 'y', 'Número secuencial de tabla para subordenación interna o tabla adicional', 'Número secuencial de tabla para subordenación interna o tabla adicional','1','0','','0','','','','0','-6', '', '', '', NULL),
		('085', 'z', 'Identificador de tabla', 'Identificador de tabla','1','0','','0','','','','0','-6', '', '', '', NULL),
		('086', '2', 'Fuente del número', 'Fuente del número', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('086', '6', 'Enlace', 'Enlace', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('086', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('086', 'a', 'Número de clasificación', 'Número de clasificación', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('086', 'z', 'Número de clasificación cancelado/no válido', 'Número de clasificación cancelado/no válido', 1, 0, NULL, 0, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('087', 'a', 'Report number [OBSOLETE, CAN/MARC]', 'Report number [OBSOLETE, CAN/MARC]', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('087', 'z', 'Canceled/invalid report number [OBSOLETE, CAN/MARC]', 'Canceled/invalid report number [OBSOLETE, CAN/MARC]', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('088', '6', 'Enlace', 'Enlace', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('088', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('088', 'a', 'Número de informe', 'Número de informe', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('088', 'z', 'Número de informe cancelado/no válido', 'Número de informe cancelado/no válido', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('090', 'a', 'Classification number (OCLC) (R) ; Classification number, CALL (RLIN) (NR)', 'Classification number (OCLC) (R) ; Classification number, CALL (RLIN) (NR)', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('090', 'b', 'Local cutter number (OCLC) ; Book number/undivided call number, CALL (RLIN)', 'Local cutter number (OCLC) ; Book number/undivided call number, CALL (RLIN)', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('090', 'e', 'Feature heading (OCLC)', 'Feature heading (OCLC)', 0, 0, '', 0, '', '', '', 0, 5, '', '', '', NULL),
		('090', 'f', 'Filing suffix (OCLC); Footnote, FNT (RLIN)', 'Filing suffix (OCLC); Footnote, FNT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, '', '', '', NULL),
		('090', 'h', 'Output transaction history, HST (RLIN)', 'Output transaction history, HST (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, '', '', '', NULL),
		('090', 'i', 'Output transaction instruction, INS (RLIN)', 'Output transaction instruction, INS (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, '', '', '', NULL),
		('090', 'l', 'Extra card control statement, EXT (RLIN)', 'Extra card control statement, EXT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, '', '', '', NULL),
		('090', 'n', 'Additional local notes, ANT (RLIN)', 'Additional local notes, ANT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, '', '', '', NULL),
		('090', 'p', 'Pathfinder code, PTH (RLIN)', 'Pathfinder code, PTH (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, '', '', '', NULL),
		('090', 't', 'Field suppresion, FSP (RLIN)', 'Field suppresion, FSP (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, '', '', '', NULL),
		('090', 'v', 'Volumes, VOL (RLIN)', 'Volumes, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, '', '', '', NULL),
		('090', 'y', 'Date, VOL (RLIN)', 'Date, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, '', '', '', NULL),
		('090', 'z', 'Retention, VOL (RLIN)', 'Retention, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, '', '', '', NULL),
		('091', 'a', 'Microfilm shelf location', 'Microfilm shelf location', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('092', '2', 'Edition number', 'Edition number', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('092', 'a', 'Classification number', 'Classification number', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('092', 'b', 'Item number', 'Item number', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('092', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('092', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('096', 'a', 'Classification number', 'Classification number', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('096', 'b', 'Item number', 'Item number', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('096', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('096', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('098', 'a', 'Call number based on other classification scheme', 'Call number based on other classification scheme', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('098', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('098', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('099', 'a', 'Classification number', 'Classification number', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('099', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('099', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('100', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','0','','','','0','-6', '', '', '', NULL),
		('100', '4', 'Código de función', 'Código de función', 1, 0, '', 1, '', '', '', 0, 0, '', '', '', NULL),
		('100', '6', 'Enlace', 'Enlace', 0, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('100', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('100', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('100', 'a', 'Nombre de persona', 'Nombre de persona', 0, 0, 'biblio.author', 1, '', 'PERSO_NAME', '', 0, 0, '', '''100b'',''100c'',''100q'',''100d'',''100e'',''110a'',''110b'',''110c'',''110d'',''110e'',''111a'',''111e'',''111c'',''111d'',''130a'',''700a'',''700b'',''700c'',''700q'',''700d'',''700e'',''710a'',''710b'',''710c'',''710d'',''710e'',''711a'',''711e'',''711c'',''711d'',''720a'',''720e'',''796a'',''796b'',''796c'',''796q'',''796d'',''796e'',''797a'',''797b'',''797c'',''797d'',''797e'',''798a'',''798e'',''798c'',''798d'',''800a'',''800b'',''800c'',''800q'',''800d'',''800e'',''810a'',''810b'',''810c'',''810d'',''810e'',''811a'',''811e'',''811c'',''811d'',''896a'',''896b'',''896c'',''896q'',''896d'',''896e'',''897a'',''897b'',''897c'',''897d'',''897e'',''898a'',''898e'',''898c'',''898d'',''505r''', '', NULL),
		('100', 'b', 'Numeración', 'Numeración', 0, 0, '', 1, '', '', '', 0, -1, '', '', '', NULL),
		('100', 'c', 'Títulos y otros términos asociados al nombre', 'Títulos y otros términos asociados al nombre', 1, 0, '', 1, '', '', '', 0, -1, '', '', '', NULL),
		('100', 'd', 'Fechas asociadas al nombre', 'Fechas asociadas al nombre', 0, 0, '', 1, '', '', '', 0, 0, '', '', '', NULL),
		('100', 'e', 'Término indicativo de función', 'Término indicativo de función', 1, 0, '', 1, '', '', '', 0, 0, '', '', '', NULL),
		('100', 'f', 'Fecha de publicación', 'Fecha de publicación', 0, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('100', 'g', 'Información miscelánea', 'Información miscelánea', 0, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('100', 'j', 'Calificador de atribución', 'Calificador de atribución', 1, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('100', 'k', 'Subencabezamiento de forma', 'Subencabezamiento de forma', 1, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('100', 'l', 'Lengua de la obra', 'Lengua de la obra', 0, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('100', 'n', 'Número de parte o sección de la obra', 'Número de parte o sección de la obra', 1, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('100', 'p', 'Nombre de parte o sección de la obra', 'Nombre de parte o sección de la obra', 1, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('100', 'q', 'Forma desarrollada del nombre', 'Forma desarrollada del nombre', 0, 0, '', 1, '', '', '', 0, 0, '', '', '', NULL),
		('100', 't', 'Título de la obra', 'Título de la obra', 0, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('100', 'u', 'Filiación', 'Filiación', 0, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('110', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','0','','','','0','-6', '', '', '', NULL),
		('110', '4', 'Código de función', 'Código de función', 1, 0, '', 1, '', '', '', NULL, 0, '', '', '', NULL),
		('110', '6', 'Enlace', 'Enlace', 0, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('110', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('110', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('110', 'a', 'Nombre de entidad corporativa o nombre de jurisdicción como elemento inicial', 'Nombre de entidad corporativa o nombre de jurisdicción como elemento inicial', 0, 0, '', 1, '', 'CORPO_NAME', '', NULL, 0, '', '', '', NULL),
		('110', 'b', 'Unidad subordinada', 'Unidad subordinada', 1, 0, '', 1, '', '', '', NULL, 0, '', '', '', NULL),
		('110', 'c', 'Sede del congreso', 'Sede del congreso', 0, 0, '', 1, '', '', '', NULL, -1, '', '', '', NULL),
		('110', 'd', 'Fecha del congreso o de la firma de un tratado', 'Fecha del congreso o de la firma de un tratado', 1, 0, '', 1, '', '', '', NULL, -1, '', '', '', NULL),
		('110', 'e', 'Término indicativo de función', 'Término indicativo de función', 1, 0, '', 1, '', '', '', NULL, 0, '', '', '', NULL),
		('110', 'f', 'Fecha de publicación', 'Fecha de publicación', 0, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('110', 'g', 'Información miscelánea', 'Información miscelánea', 0, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('110', 'k', 'Subencabezamiento de forma', 'Subencabezamiento de forma', 1, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('110', 'l', 'Lengua de la obra', 'Lengua de la obra', 0, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('110', 'n', 'Número del congreso o número de parte o sección de la obra', 'Número del congreso o número de parte o sección de la obra', 1, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('110', 'p', 'Nombre de parte o sección de la obra', 'Nombre de parte o sección de la obra', 1, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('110', 't', 'Título de la obra', 'Título de la obra', 0, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('110', 'u', 'Filiación', 'Filiación', 0, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('111', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','0','','','','0','-6', '', '', '', NULL),
		('111', '4', 'Código de función', 'Código de función', 1, 0, NULL, 1, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('111', '6', 'Enlace', 'Enlace', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('111', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('111', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('111', 'a', 'Nombre de congreso o jurisdicción como elemento de entrada', 'Nombre de congreso o jurisdicción como elemento de entrada', 0, 0, NULL, 1, NULL, 'MEETI_NAME', '', NULL, 0, '', '', '', NULL),
		('111', 'c', 'Sede del congreso', 'Sede del congreso', 0, 0, NULL, 1, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('111', 'd', 'Fecha del congreso', 'Fecha del congreso', 0, 0, NULL, 1, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('111', 'e', 'Unidad subordinada', 'Unidad subordinada', 1, 0, NULL, 1, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('111', 'f', 'Fecha de publicación', 'Fecha de publicación', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('111', 'g', 'Información miscelánea', 'Información miscelánea', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('111', 'j', 'Término indicativo de función', 'Término indicativo de función', 1, 0, NULL, 1, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('111', 'k', 'Subencabezamiento de forma', 'Subencabezamiento de forma', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('111', 'l', 'Lengua de la obra', 'Lengua de la obra', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('111', 'n', 'Número del congreso o número de parte o sección de la obra', 'Número del congreso o número de parte o sección de la obra', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('111', 'p', 'Nombre de parte o sección de la obra', 'Nombre de parte o sección de la obra', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('111', 'q', 'Nombre de congreso que sigue a un nombre de jurisdicción como elemento de entrada', 'Nombre de congreso que sigue a un nombre de jurisdicción como elemento de entrada', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('111', 't', 'Título de la obra', 'Título de la obra', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('111', 'u', 'Filiación', 'Filiación', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','0','','','','0','-6', '', '', '', NULL),
		('130', '6', 'Enlace', 'Enlace', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('130', 'a', 'Título uniforme', 'Título uniforme', 0, 0, NULL, 1, NULL, 'UNIF_TITLE', '', NULL, -1, '', '''130o'',''130m'',''130r'',''130s'',''130d'',''130k'',''130n'',''130p'',''130g'',''130l'',''130f'',''130h'',''130t''', '', NULL),
		('130', 'd', 'Fecha de la firma de un tratado', 'Fecha de la firma de un tratado', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', 'f', 'Fecha de publicación', 'Fecha de publicación', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', 'g', 'Información miscelánea', 'Información miscelánea', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', 'h', 'Medio', 'Medio', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', 'k', 'Subencabezamiento de forma', 'Subencabezamiento de forma', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', 'l', 'Lengua de la obra', 'Lengua de la obra', 0, 0, NULL, 1, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('130', 'm', 'Medio de interpretación', 'Medio de interpretación', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', 'n', 'Número de parte o sección de la obra', 'Número de parte o sección de la obra', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', 'o', 'Arreglo', 'Arreglo', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', 'p', 'Nombre de parte o sección de la obra', 'Nombre de parte o sección de la obra', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', 'r', 'Tonalidad', 'Tonalidad', 0, 0, NULL, 1, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('130', 's', 'Versión', 'Versión', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', 't', 'Título de la obra', 'Título de la obra', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('210', '2', 'Fuente', 'Fuente', 1, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('210', '6', 'Enlace', 'Enlace', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('210', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('210', 'a', 'Título abreviado', 'Título abreviado', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('210', 'b', 'Información adicional', 'Información adicional', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('211', '6', 'Linkage', 'Linkage', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('211', 'a', 'Acronym or shortened title', 'Acronym or shortened title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('212', '6', 'Linkage', 'Linkage', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('212', 'a', 'Variant access title', 'Variant access title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('214', '6', 'Linkage', 'Linkage', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('214', 'a', 'Augmented title', 'Augmented title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('222', '6', 'Enlace', 'Enlace', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('222', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('222', 'a', 'Título clave', 'Título clave', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('222', 'b', 'Información adicional', 'Información adicional', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('240', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','2','','','','0','-1', '', '', '', NULL),
		('240', '6', 'Enlace', 'Enlace', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('240', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('240', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 2, '', '', '', 0, -5, '', '', '', NULL),
		('240', 'a', 'Título uniforme', 'Título uniforme', 0, 0, 'biblio.unititle', 2, '', '', '', 1, -1, '', '', '', NULL),
		('240', 'd', 'Fecha de la firma de un tratado', 'Fecha de la firma de un tratado', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('240', 'f', 'Fecha de la obra', 'Fecha de la obra', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('240', 'g', 'Información miscelánea', 'Información miscelánea', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('240', 'h', 'Tipo de material', 'Tipo de material', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL),
		('240', 'k', 'Subencabezamiento de forma', 'Subencabezamiento de forma', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('240', 'l', 'Lengua de la obra', 'Lengua de la obra', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL),
		('240', 'm', 'Medio de interpretación', 'Medio de interpretación', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('240', 'n', 'Número de parte o sección de la obra', 'Número de parte o sección de la obra', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('240', 'o', 'Arreglo', 'Arreglo', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('240', 'p', 'Nombre de parte o sección de la obra', 'Nombre de parte o sección de la obra', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('240', 'r', 'Tonalidad', 'Tonalidad', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL),
		('240', 's', 'Versión', 'Versión', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL),
		('241', 'a', 'Romanized title', 'Romanized title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('241', 'h', 'Medium', 'Medium', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('242', '6', 'Enlace', 'Enlace', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('242', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('242', 'a', 'Título', 'Título', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('242', 'b', 'Resto del título', 'Resto del título', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('242', 'c', 'Mención de responsabilidad  etc.', 'Mención de responsabilidad  etc.', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('242', 'h', 'Medio', 'Medio', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('242', 'n', 'Número de parte o sección de la obra', 'Número de parte o sección de la obra', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('242', 'p', 'Nombre de parte o sección de la obra', 'Nombre de parte o sección de la obra', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('242', 'y', 'Código de lengua del título traducido', 'Código de lengua del título traducido', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('243', '6', 'Enlace', 'Enlace', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('243', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('243', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 2, '', '', '', 0, -5, '', '', '', NULL),
		('243', 'a', 'Título uniforme', 'Título uniforme', 0, 0, '', 2, '', '', '', 1, -1, '', '', '', NULL),
		('243', 'd', 'Fecha de la firma de un tratado', 'Fecha de la firma de un tratado', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('243', 'f', 'Fecha de la obra', 'Fecha de la obra', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('243', 'g', 'Información miscelánea', 'Información miscelánea', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('243', 'h', 'Tipo de material', 'Tipo de material', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL),
		('243', 'k', 'Subencabezamiento de forma', 'Subencabezamiento de forma', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('243', 'l', 'Lengua de la obra', 'Lengua de la obra', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL),
		('243', 'm', 'Medio de interpretación', 'Medio de interpretación', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('243', 'n', 'Número de parte o sección de la obra', 'Número de parte o sección de la obra', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('243', 'o', 'Arreglo', 'Arreglo', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('243', 'p', 'Nombre de parte o sección de la obra', 'Nombre de parte o sección de la obra', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('243', 'r', 'Tonalidad', 'Tonalidad', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('243', 's', 'Versión', 'Versión', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL),
		('245', '6', 'Enlace', 'Enlace', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('245', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('245', 'a', 'Título', 'Título', 0, 1, 'biblio.title', 2, '', '', '', NULL, 0, '', '''245b'',''245f'',''245g'',''245k'',''245n'',''245p'',''245s'',''245h'',''246i'',''246a'',''246b'',''246f'',''246g'',''246n'',''246p'',''246h'',''242a'',''242b'',''242n'',''242p'',''242h'',''505t''', '', NULL),
		('245', 'b', 'Resto del título', 'Resto del título', 0, 0, 'bibliosubtitle.subtitle', 2, '', '', '', NULL, 0, '', '', '', NULL),
		('245', 'c', 'Mención de responsabilidad  etc.', 'Mención de responsabilidad  etc.', 0, 0, '', 2, '', '', '', NULL, 0, '', '', '', NULL),
		('245', 'f', 'Fechas extremas', 'Fechas extremas', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('245', 'g', 'Fechas predominantes', 'Fechas predominantes', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('245', 'h', 'Tipo de material', 'Tipo de material', 0, 0, '', 2, '', '', '', NULL, 0, '', '', '', NULL),
		('245', 'k', 'Forma', 'Forma', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('245', 'n', 'Número de parte o sección de la obra', 'Número de parte o sección de la obra', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('245', 'p', 'Nombre de parte o sección de la obra', 'Nombre de parte o sección de la obra', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('245', 's', 'Versión', 'Versión', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('246', '5', 'Institución que aplica el campo', 'Institución que aplica el campo', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('246', '6', 'Enlace', 'Enlace', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('246', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('246', 'a', 'Título propio / Titulo en breve', 'Título propio / Titulo en breve', 0, 0, '', 2, '', '', '', NULL, -1, '', '', '', NULL),
		('246', 'b', 'Resto de título', 'Resto de título', 0, 0, '', 2, '', '', '', NULL, -1, '', '', '', NULL),
		('246', 'f', 'Fecha o designación secuencial', 'Fecha o designación secuencial', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('246', 'g', 'Información miscelánea', 'Información miscelánea', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('246', 'h', 'Tipo de material', 'Tipo de material', 0, 0, '', 2, '', '', '', NULL, -1, '', '', '', NULL),
		('246', 'i', 'Texto de visualización', 'Texto de visualización', 0, 0, '', 2, '', '', '', NULL, -1, '', '', '', NULL),
		('246', 'n', 'Número de parte o sección de la obra', 'Número de parte o sección de la obra', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('246', 'p', 'Nombre de parte o sección de la obra', 'Nombre de parte o sección de la obra', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('247', '6', 'Enlace', 'Enlace', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('247', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('247', 'a', 'Título', 'Título', 0, 0, '', 2, '', '', '', NULL, -1, '', '', '', NULL),
		('247', 'b', 'Resto de título', 'Resto de título', 0, 0, '', 2, '', '', '', NULL, -1, '', '', '', NULL),
		('247', 'f', 'Fecha o designación secuencial', 'Fecha o designación secuencial', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('247', 'g', 'Información miscelánea', 'Información miscelánea', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('247', 'h', 'Tipo de material', 'Tipo de material', 0, 0, '', 2, '', '', '', NULL, -1, '', '', '', NULL),
		('247', 'n', 'Número de parte o sección de la obra', 'Número de parte o sección de la obra', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('247', 'p', 'Nombre de parte o sección de la obra', 'Nombre de parte o sección de la obra', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('247', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('250', '6', 'Enlace', 'Enlace', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('250', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('250', 'a', 'Mención de edición', 'Mención de edición', 0, 0, 'biblioitems.editionstatement', 2, '', '', '', NULL, 0, '', '', '', NULL),
		('250', 'b', 'Resto de la mención de edición', 'Resto de la mención de edición', 0, 0, '', 2, '', '', '', NULL, 0, '', '', '', NULL),
		('254', '6', 'Enlace', 'Enlace', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('254', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('254', 'a', 'Mención de presentación musical', 'Mención de presentación musical', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('255', '6', 'Enlace', 'Enlace', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('255', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('255', 'a', 'Escala', 'Escala', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('255', 'b', 'Proyección', 'Proyección', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('255', 'c', 'Coordenadas', 'Coordenadas', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('255', 'd', 'Zona', 'Zona', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('255', 'e', 'Equinoccio', 'Equinoccio', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('255', 'f', 'Coordenadas del anillo-G exterior', 'Coordenadas del anillo-G exterior', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('255', 'g', 'Coordenadas del anillo-G de exclusión', 'Coordenadas del anillo-G de exclusión', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('256', '6', 'Enlace', 'Enlace', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('256', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('256', 'a', 'Características del archivo de ordenador', 'Características del archivo de ordenador', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('257', '2', 'Fuente', 'Fuente','0','0','','2','','','','0','-6', '', '', '', NULL),
		('257', '6', 'Enlace', 'Enlace', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('257', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('257', 'a', 'País de la entidad productora', 'País de la entidad productora', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('258', '6', 'Enlace', 'Enlace', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('258', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('258', 'a', 'Jurisdicción emisora', 'Jurisdicción emisora', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('258', 'b', 'Valor facial', 'Valor facial', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('260', '3', 'Especificación de materiales', 'Especificación de materiales','0','0','','2','','','','0','-6', '', '', '', NULL),
		('260', '6', 'Enlace', 'Enlace', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('260', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('260', 'a', 'Lugar de publicación  distribución  etc.', 'Lugar de publicación  distribución  etc.', 1, 0, 'biblioitems.place', 2, '', '', '', NULL, 0, '', '', '', NULL),
		('260', 'b', 'Nombre del editor  distribuidor  etc.', 'Nombre del editor  distribuidor  etc.', 1, 0, 'biblioitems.publishercode', 2, '', '', '', NULL, 0, '', '', '', NULL),
		('260', 'c', 'Fecha de publicación  distribución  etc.', 'Fecha de publicación  distribución  etc.', 1, 0, 'biblio.copyrightdate', 2, '', '', '', NULL, 0, '', '', '', NULL),
		('260', 'e', 'Lugar de fabricación', 'Lugar de fabricación', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('260', 'f', 'Fabricante', 'Fabricante', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('260', 'g', 'Fecha de fabricación', 'Fecha de fabricación', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('261', '6', 'Linkage', 'Linkage', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('261', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('261', 'a', 'Producing company', 'Producing company', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('261', 'b', 'Releasing company (primary distributor)', 'Releasing company (primary distributor)', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('261', 'c', 'Date of production, release, etc.', 'Date of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('261', 'd', 'Date of production, release, etc.', 'Date of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('261', 'e', 'Contractual producer', 'Contractual producer', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('261', 'f', 'Place of production, release, etc.', 'Place of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('262', '6', 'Linkage', 'Linkage', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('262', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('262', 'a', 'Place of production, release, etc.', 'Place of production, release, etc.', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('262', 'b', 'Publisher or trade name', 'Publisher or trade name', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('262', 'c', 'Date of production, release, etc.', 'Date of production, release, etc.', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('262', 'k', 'Serial identification', 'Serial identification', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('262', 'l', 'Matrix and/or take number', 'Matrix and/or take number', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('263', '6', 'Enlace', 'Enlace', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('263', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('263', 'a', 'Fecha proyectada de publicación', 'Fecha proyectada de publicación', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('264', '3', 'Especificación de materiales', 'Especificación de materiales','0','0','','2','','','','0','-6', '', '', '', NULL),
		('264', '6', 'Enlace', 'Enlace','0','0','','2','','','','0','-6', '', '', '', NULL),
		('264', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia','1','0','','2','','','','0','-6', '', '', '', NULL),
		('264', 'a', 'Lugar de producción  publicación  distribución  fabricación', 'Lugar de producción  publicación  distribución  fabricación','1','0','','2','','','','0','-6', '', '', '', NULL),
		('264', 'b', 'Nombre del de productor  editor  distribuidor  fabricante', 'Nombre del de productor  editor  distribuidor  fabricante','1','0','','2','','','','0','-6', '', '', '', NULL),
		('264', 'c', 'Fecha de de producción  publicación  distribución  fabricación o copyright', 'Fecha de de producción  publicación  distribución  fabricación o copyright','1','0','','2','','','','0','-6', '', '', '', NULL),
		('265', '6', 'Linkage [OBSOLETE]', 'Linkage [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('265', 'a', 'Source for acquisition/subscription address [OBSOLETE]', 'Source for acquisition/subscription address [OBSOLETE]', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('270', '4', 'Código de relación', 'Código de relación', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('270', '6', 'Enlace', 'Enlace', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('270', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('270', 'a', 'Dirección', 'Dirección', 1, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'b', 'Ciudad', 'Ciudad', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'c', 'Estado o provincia', 'Estado o provincia', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'd', 'País', 'País', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'e', 'Código postal', 'Código postal', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'f', 'Términos que preceden al nombre', 'Términos que preceden al nombre', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'g', 'Nombre', 'Nombre', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'h', 'Términos que siguen al nombre', 'Términos que siguen al nombre', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'i', 'Tipo de dirección', 'Tipo de dirección', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'j', 'Número de teléfono especial', 'Número de teléfono especial', 1, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'k', 'Número de teléfono', 'Número de teléfono', 1, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'l', 'Número de fax', 'Número de fax', 1, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'm', 'Dirección de correo electrónico', 'Dirección de correo electrónico', 1, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'n', 'Número TDD o TTY', 'Número TDD o TTY', 1, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'p', 'Persona de contacto', 'Persona de contacto', 1, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'q', 'Cargo de la persona de contacto', 'Cargo de la persona de contacto', 1, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'r', 'Horario', 'Horario', 1, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'z', 'Nota pública', 'Nota pública', 1, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('300', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('300', '6', 'Enlace', 'Enlace', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('300', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('300', 'a', 'Extensión', 'Extensión', 1, 0, 'biblioitems.pages', 3, '', '', '', NULL, 0, '', '', '', NULL),
		('300', 'b', 'Otras características físicas', 'Otras características físicas', 0, 0, 'biblioitems.illus', 3, '', '', '', 0, 0, '', '', '', NULL),
		('300', 'c', 'Dimensiones', 'Dimensiones', 1, 0, 'biblioitems.size', 3, '', '', '', NULL, 0, '', '', '', NULL),
		('300', 'e', 'Material anejo', 'Material anejo', 0, 0, '', 3, '', '', '', NULL, 0, '', '', '', NULL),
		('300', 'f', 'Tipo de unidad', 'Tipo de unidad', 1, 0, '', 3, '', '', '', NULL, 0, '', '', '', NULL),
		('300', 'g', 'Tamaño de la unidad', 'Tamaño de la unidad', 1, 0, '', 3, '', '', '', NULL, 0, '', '', '', NULL),
		('301', 'a', 'Extent of item', 'Extent of item', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('301', 'b', 'Sound characteristics', 'Sound characteristics', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('301', 'c', 'Color characteristics', 'Color characteristics', 0, 0, '', 3, '', '', NULL, NULL, -6, '', '', '', NULL),
		('301', 'd', 'Dimensions', 'Dimensions', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('301', 'e', 'Sound characteristics', 'Sound characteristics', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('301', 'f', 'Speed', 'Speed', 0, 0, '', 3, '', '', NULL, NULL, -6, '', '', '', NULL),
		('302', 'a', 'Page count', 'Page count', 0, 0, '', 3, '', '', NULL, NULL, -6, '', '', '', NULL),
		('303', 'a', 'Unit count', 'Unit count', 0, 0, '', 3, '', '', NULL, NULL, -6, '', '', '', NULL),
		('304', 'a', 'Linear footage', 'Linear footage', 0, 0, '', 3, '', '', NULL, NULL, -6, '', '', '', NULL),
		('305', '6', 'Linkage', 'Linkage', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('305', 'a', 'Extent', 'Extent', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('305', 'b', 'Other physical details', 'Other physical details', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('305', 'c', 'Dimensions', 'Dimensions', 0, 0, '', 3, '', '', NULL, NULL, -6, '', '', '', NULL),
		('305', 'd', 'Microgroove or standard', 'Microgroove or standard', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('305', 'e', 'Stereophonic, monaural', 'Stereophonic, monaural', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('305', 'f', 'Number of tracks', 'Number of tracks', 0, 0, '', 3, '', '', NULL, NULL, -6, '', '', '', NULL),
		('305', 'm', 'Serial identification', 'Serial identification', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('305', 'n', 'Matrix and/or take number', 'Matrix and/or take number', 0, 0, '', 3, '', '', NULL, NULL, -6, '', '', '', NULL),
		('306', '6', 'Enlace', 'Enlace', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('306', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('306', 'a', 'Duración', 'Duración', 1, 0, '', 3, '', '', '', NULL, 0, '', '', '', NULL),
		('307', '6', 'Enlace', 'Enlace', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('307', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('307', 'a', 'Horario', 'Horario', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('307', 'b', 'Información adicional', 'Información adicional', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('308', '6', 'Linkage', 'Linkage', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('308', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('308', 'a', 'Number of reels', 'Number of reels', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('308', 'b', 'Footage', 'Footage', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('308', 'c', 'Sound characteristics', 'Sound characteristics', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('308', 'd', 'Color characteristics', 'Color characteristics', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('308', 'e', 'Width', 'Width', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('308', 'f', 'Presentation format', 'Presentation format', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('310', '6', 'Enlace', 'Enlace', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('310', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('310', 'a', 'Periodicidad actual', 'Periodicidad actual', 0, 0, NULL, 3, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('310', 'b', 'Fecha de comienzo de la periodicidad actual', 'Fecha de comienzo de la periodicidad actual', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('315', '6', 'Linkage', 'Linkage', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('315', 'a', 'Frequency', 'Frequency', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('315', 'b', 'Dates of frequency', 'Dates of frequency', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('321', '6', 'Enlace', 'Enlace', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('321', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('321', 'a', 'Periodicidad anterior', 'Periodicidad anterior', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('321', 'b', 'Fechas de la periodicidad anterior', 'Fechas de la periodicidad anterior', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('336', '2', 'Fuente', 'Fuente','0','0','','3','','','','0','-6', '', '', '', NULL),
		('336', '3', 'Especificación de materiales', 'Especificación de materiales','0','0','','3','','','','0','-6', '', '', '', NULL),
		('336', '6', 'Enlace', 'Enlace','0','0','','3','','','','0','-6', '', '', '', NULL),
		('336', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia','1','0','','3','','','','0','-6', '', '', '', NULL),
		('336', 'a', 'Término de tipo de contenido', 'Término de tipo de contenido','1','0','','3','','','','0','-6', '', '', '', NULL),
		('336', 'b', 'Código de tipo de contenido', 'Código de tipo de contenido','1','0','','3','','','','0','-6', '', '', '', NULL),
		('337', '2', 'Fuente', 'Fuente','0','0','','3','','','','0','-6', '', '', '', NULL),
		('337', '3', 'Especificación de materiales', 'Especificación de materiales','0','0','','3','','','','0','-6', '', '', '', NULL),
		('337', '6', 'Enlace', 'Enlace','0','0','','3','','','','0','-6', '', '', '', NULL),
		('337', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia','1','0','','3','','','','0','-6', '', '', '', NULL),
		('337', 'a', 'Nombre del tipo de medio', 'Nombre del tipo de medio','1','0','','3','','','','0','-6', '', '', '', NULL),
		('337', 'b', 'Código del tipo de medio', 'Código del tipo de medio','1','0','','3','','','','0','-6', '', '', '', NULL),
		('338', '2', 'Fuente', 'Fuente','0','0','','3','','','','0','-6', '', '', '', NULL),
		('338', '3', 'Especificación de materiales', 'Especificación de materiales','0','0','','3','','','','0','-6', '', '', '', NULL),
		('338', '6', 'Enlace', 'Enlace','0','0','','3','','','','0','-6', '', '', '', NULL),
		('338', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia','1','0','','3','','','','0','-6', '', '', '', NULL),
		('338', 'a', 'Nombre del tipo de soporte', 'Nombre del tipo de soporte','1','0','','3','','','','0','-6', '', '', '', NULL),
		('338', 'b', 'Código del tipo de soporte', 'Código del tipo de soporte','1','0','','3','','','','0','-6', '', '', '', NULL),
		('340', '0', 'Número de control del registro de autoridad o número normalizado', 'Número de control del registro de autoridad o número normalizado','1','0','','3','','','','0','-6', '', '', '', NULL),
		('340', '2', 'Fuente', 'Fuente','0','0','','3','','','','0','-6', '', '', '', NULL),
		('340', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', '6', 'Enlace', 'Enlace', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', 'a', 'Base y configuración del material', 'Base y configuración del material', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', 'b', 'Dimensiones', 'Dimensiones', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', 'c', 'Materiales aplicados a la superficie', 'Materiales aplicados a la superficie', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', 'd', 'Técnica en que se registra la información', 'Técnica en que se registra la información', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', 'e', 'Soporte', 'Soporte', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', 'f', 'Coeficiente/proporción de la producción', 'Coeficiente/proporción de la producción', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', 'h', 'Localización interna', 'Localización interna', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', 'i', 'Especificaciones técnicas del medio', 'Especificaciones técnicas del medio', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', 'j', 'Generación', 'Generación','1','0','','3','','','','0','-6', '', '', '', NULL),
		('340', 'k', 'Diseño', 'Diseño','1','0','','3','','','','0','-6', '', '', '', NULL),
		('340', 'm', 'Formato del libro', 'Formato del libro','1','0','','3','','','','0','-6', '', '', '', NULL),
		('340', 'n', 'Tamaño de fuente', 'Tamaño de fuente','1','0','','3','','','','0','-6', '', '', '', NULL),
		('340', 'o', 'Polaridad', 'Polaridad','1','0','','3','','','','0','-6', '', '', '', NULL),
		('342', '2', 'Método de referencia utilizado', 'Método de referencia utilizado', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', '6', 'Enlace', 'Enlace', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'a', 'Nombre', 'Nombre', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'b', 'Unidades de coordenadas o de distancia', 'Unidades de coordenadas o de distancia', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'c', 'Resolución en latitud', 'Resolución en latitud', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'd', 'Resolución en longitud', 'Resolución en longitud', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'e', 'Paralelo estándar o latitud de línea oblicua', 'Paralelo estándar o latitud de línea oblicua', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'f', 'Longitud de línea oblicua', 'Longitud de línea oblicua', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'g', 'Longitud del meridiano central o centro de la proyección', 'Longitud del meridiano central o centro de la proyección', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'h', 'Latitud del centro de la proyección u origen de la proyección', 'Latitud del centro de la proyección u origen de la proyección', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'i', 'Falsa abscisa', 'Falsa abscisa', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'j', 'Falsa ordenada', 'Falsa ordenada', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'k', 'Factor de escala', 'Factor de escala', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'l', 'Altura del punto de vista sobre la superficie', 'Altura del punto de vista sobre la superficie', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'm', 'Ángulo acimutal', 'Ángulo acimutal', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'n', 'Longitud del acimut del punto de medida o longitud vertical recta desde el polo', 'Longitud del acimut del punto de medida o longitud vertical recta desde el polo', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'o', 'Número de Landsat y de trayectoria', 'Número de Landsat y de trayectoria', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'p', 'Identificador de zona', 'Identificador de zona', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'q', 'Nombre del elipsoide', 'Nombre del elipsoide', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'r', 'Semieje mayor', 'Semieje mayor', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 's', 'Denominador de proporción plana', 'Denominador de proporción plana', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 't', 'Resolución vertical', 'Resolución vertical', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'u', 'Método de codificación vertical', 'Método de codificación vertical', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'v', 'Proyección plana local  local u otra  o descripción de la cuadrícula', 'Proyección plana local  local u otra  o descripción de la cuadrícula', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'w', 'Información de georeferencia plana local o local', 'Información de georeferencia plana local o local', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('343', '6', 'Enlace', 'Enlace', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('343', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('343', 'a', 'Método de codificación de coordenadas planas', 'Método de codificación de coordenadas planas', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('343', 'b', 'Unidades de distancia plana', 'Unidades de distancia plana', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('343', 'c', 'Resolución de la abscisa', 'Resolución de la abscisa', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('343', 'd', 'Resolución de la ordenada', 'Resolución de la ordenada', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('343', 'e', 'Resolución de distancia', 'Resolución de distancia', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('343', 'f', 'Resolución de orientación', 'Resolución de orientación', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('343', 'g', 'Unidades de orientación', 'Unidades de orientación', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('343', 'h', 'Dirección de referencia de la orientación', 'Dirección de referencia de la orientación', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('343', 'i', 'Meridiano de referencia de la orientación', 'Meridiano de referencia de la orientación', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('344', '0', 'Número de control del registro de autoridad o número normalizado', 'Número de control del registro de autoridad o número normalizado','1','0','','3','','','','0','-6', '', '', '', NULL),
		('344', '2', 'Fuente', 'Fuente','0','0','','3','','','','0','-6', '', '', '', NULL),
		('344', '3', 'Especificación de materiales', 'Especificación de materiales','0','0','','3','','','','0','-6', '', '', '', NULL),
		('344', '6', 'Enlace', 'Enlace','0','0','','3','','','','0','-6', '', '', '', NULL),
		('344', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia','1','0','','3','','','','0','-6', '', '', '', NULL),
		('344', 'a', 'Tipo de grabación', 'Tipo de grabación','1','0','','3','','','','0','-6', '', '', '', NULL),
		('344', 'b', 'Medio de grabación', 'Medio de grabación','1','0','','3','','','','0','-6', '', '', '', NULL),
		('344', 'c', 'Velocidad de reproducción', 'Velocidad de reproducción','1','0','','3','','','','0','-6', '', '', '', NULL),
		('344', 'd', 'Características del surco', 'Características del surco','1','0','','3','','','','0','-6', '', '', '', NULL),
		('344', 'e', 'Configuración de la pista', 'Configuración de la pista','1','0','','3','','','','0','-6', '', '', '', NULL),
		('344', 'f', 'Configuración de la cinta', 'Configuración de la cinta','1','0','','3','','','','0','-6', '', '', '', NULL),
		('344', 'g', 'Configuración de los canales de reproducción del sonido', 'Configuración de los canales de reproducción del sonido','1','0','','3','','','','0','-6', '', '', '', NULL),
		('344', 'h', 'Características especiales de reproducción', 'Características especiales de reproducción','1','0','','3','','','','0','-6', '', '', '', NULL),
		('345', '0', 'Número de control del registro de autoridad o número normalizado', 'Número de control del registro de autoridad o número normalizado','1','0','','3','','','','0','-6', '', '', '', NULL),
		('345', '2', 'Fuente', 'Fuente','0','0','','3','','','','0','-6', '', '', '', NULL),
		('345', '3', 'Especificación de materiales', 'Especificación de materiales','0','0','','3','','','','0','-6', '', '', '', NULL),
		('345', '6', 'Enlace', 'Enlace','0','0','','3','','','','0','-6', '', '', '', NULL),
		('345', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia','1','0','','3','','','','0','-6', '', '', '', NULL),
		('345', 'a', 'Formato de presentación', 'Formato de presentación','1','0','','3','','','','0','-6', '', '', '', NULL),
		('345', 'b', 'Velocidad de proyección', 'Velocidad de proyección','1','0','','3','','','','0','-6', '', '', '', NULL),
		('346', '0', 'Número de control del registro de autoridad o número normalizado', 'Número de control del registro de autoridad o número normalizado','1','0','','3','','','','0','-6', '', '', '', NULL),
		('346', '2', 'Fuente', 'Fuente','0','0','','3','','','','0','-6', '', '', '', NULL),
		('346', '3', 'Especificación de materiales', 'Especificación de materiales','0','0','','3','','','','0','-6', '', '', '', NULL),
		('346', '6', 'Enlace', 'Enlace','0','0','','3','','','','0','-6', '', '', '', NULL),
		('346', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia','1','0','','3','','','','0','-6', '', '', '', NULL),
		('346', 'a', 'Formato de vídeo', 'Formato de vídeo','1','0','','3','','','','0','-6', '', '', '', NULL),
		('346', 'b', 'Estándar de emisión', 'Estándar de emisión','1','0','','3','','','','0','-6', '', '', '', NULL),
		('347', '0', 'Número de control del registro de autoridad o número normalizado', 'Número de control del registro de autoridad o número normalizado','1','0','','3','','','','0','-6', '', '', '', NULL),
		('347', '2', 'Fuente', 'Fuente','0','0','','3','','','','0','-6', '', '', '', NULL),
		('347', '3', 'Especificación de materiales', 'Especificación de materiales','0','0','','3','','','','0','-6', '', '', '', NULL),
		('347', '6', 'Enlace', 'Enlace','0','0','','3','','','','0','-6', '', '', '', NULL),
		('347', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia','1','0','','3','','','','0','-6', '', '', '', NULL),
		('347', 'a', 'Tipo de archivo', 'Tipo de archivo','1','0','','3','','','','0','-6', '', '', '', NULL),
		('347', 'b', 'Formato de codificación', 'Formato de codificación','1','0','','3','','','','0','-6', '', '', '', NULL),
		('347', 'c', 'Tamaño de archivo', 'Tamaño de archivo','1','0','','3','','','','0','-6', '', '', '', NULL),
		('347', 'd', 'Resolución', 'Resolución','1','0','','3','','','','0','-6', '', '', '', NULL),
		('347', 'e', 'Codificación regional', 'Codificación regional','1','0','','3','','','','0','-6', '', '', '', NULL),
		('347', 'f', 'Velocidad de transmisión', 'Velocidad de transmisión','1','0','','3','','','','0','-6', '', '', '', NULL),
		('350', '6', 'Linkage', 'Linkage', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('350', 'a', 'Price', 'Price', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('350', 'b', 'Form of issue', 'Form of issue', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('351', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('351', '6', 'Enlace', 'Enlace', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('351', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('351', 'a', 'Organización', 'Organización', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('351', 'b', 'Ordenación', 'Ordenación', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('351', 'c', 'Nivel jerárquico', 'Nivel jerárquico', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('352', '6', 'Enlace', 'Enlace', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('352', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('352', 'a', 'Método de referencia directo', 'Método de referencia directo', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('352', 'b', 'Tipo de objeto', 'Tipo de objeto', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('352', 'c', 'Contador de objetos', 'Contador de objetos', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('352', 'd', 'Contador de filas', 'Contador de filas', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('352', 'e', 'Contador de columnas', 'Contador de columnas', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('352', 'f', 'Contador vertical', 'Contador vertical', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('352', 'g', 'Nivel de topología VPF', 'Nivel de topología VPF', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('352', 'i', 'Descripción de una referencia indirecta', 'Descripción de una referencia indirecta', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('352', 'q', 'Formato de la imagen digital', 'Formato de la imagen digital','0','0','','3','','','','0','-6', '', '', '', NULL),
		('355', '6', 'Enlace', 'Enlace', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('355', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('355', 'a', 'Clasificación de seguridad', 'Clasificación de seguridad', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('355', 'b', 'Instrucciones de utilización', 'Instrucciones de utilización', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('355', 'c', 'Información para la difusión externa', 'Información para la difusión externa', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('355', 'd', 'Información sobre reducción de nivel de seguridad o desclasificación', 'Información sobre reducción de nivel de seguridad o desclasificación', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('355', 'e', 'Sistema de clasificación', 'Sistema de clasificación', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('355', 'f', 'Código del país de origen', 'Código del país de origen', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('355', 'g', 'Fecha de reducción del nivel de seguridad', 'Fecha de reducción del nivel de seguridad', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('355', 'h', 'Fecha de desclasificación', 'Fecha de desclasificación', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('355', 'j', 'Autorización', 'Autorización', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('357', '6', 'Enlace', 'Enlace', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('357', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('357', 'a', 'Término de control del emisor', 'Término de control del emisor', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('357', 'b', 'Agencia emisora', 'Agencia emisora', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('357', 'c', 'Destinatarios autorizados de los documentos', 'Destinatarios autorizados de los documentos', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('357', 'g', 'Otras restricciones', 'Otras restricciones', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('359', 'a', 'Rental price', 'Rental price', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('362', '6', 'Enlace', 'Enlace', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('362', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('362', 'a', 'Fecha de publicación y/o designación secuencial', 'Fecha de publicación y/o designación secuencial', 0, 0, 'biblioitems.volumedesc', 3, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('362', 'z', 'Fuente de información', 'Fuente de información', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('363', '6', 'Enlace', 'Enlace','0','0','','3','','','','0','-1', '', '', '', NULL),
		('363', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia','1','0','','3','','','','0','-6', '', '', '', NULL),
		('363', 'a', 'Primer nivel de enumeración', 'Primer nivel de enumeración','0','0','','3','','','','0','-6', '', '', '', NULL),
		('363', 'b', 'Segundo nivel de enumeración', 'Segundo nivel de enumeración','0','0','','3','','','','0','-1', '', '', '', NULL),
		('363', 'c', 'Tercer nivel de enumeración', 'Tercer nivel de enumeración','0','0','','3','','','','0','-1', '', '', '', NULL),
		('363', 'd', 'Cuarto nivel de enumeración', 'Cuarto nivel de enumeración','0','0','','3','','','','0','-1', '', '', '', NULL),
		('363', 'e', 'Quinto nivel de enumeración', 'Quinto nivel de enumeración','0','0','','3','','','','0','-6', '', '', '', NULL),
		('363', 'f', 'Sexto nivel de enumeración', 'Sexto nivel de enumeración','0','0','','3','','','','0','-6', '', '', '', NULL),
		('363', 'g', 'Esquema de numeración alternativo  primer nivel de enumeración', 'Esquema de numeración alternativo  primer nivel de enumeración','0','0','','3','','','','0','-1', '', '', '', NULL),
		('363', 'h', 'Esquema de numeración alternativo  segundo nivel de enumeración', 'Esquema de numeración alternativo  segundo nivel de enumeración','0','0','','3','','','','0','-1', '', '', '', NULL),
		('363', 'i', 'Primer nivel de cronología', 'Primer nivel de cronología','0','0','','3','','','','0','-1', '', '', '', NULL),
		('363', 'j', 'Segundo nivel de cronología', 'Segundo nivel de cronología','0','0','','3','','','','0','-6', '', '', '', NULL),
		('363', 'k', 'Tercer nivel de cronología', 'Tercer nivel de cronología','0','0','','3','','','','0','-6', '', '', '', NULL),
		('363', 'l', 'Cuarto nivel de cronología', 'Cuarto nivel de cronología','0','0','','3','','','','0','-1', '', '', '', NULL),
		('363', 'm', 'Esquema de numeración alternativo  cronología', 'Esquema de numeración alternativo  cronología','0','0','','3','','','','0','-1', '', '', '', NULL),
		('363', 'u', 'Primer nivel de designación textual', 'Primer nivel de designación textual','0','0','','3','','','','0','-6', '', '', '', NULL),
		('363', 'v', 'Primer nivel de cronología  publicación', 'Primer nivel de cronología  publicación','0','0','','3','','','','0','-1', '', '', '', NULL),
		('363', 'x', 'Nota interna', 'Nota interna','1','0','','3','','','','0','-1', '', '', '', NULL),
		('363', 'z', 'Nota pública', 'Nota pública','1','0','','3','','','','0','-1', '', '', '', NULL),
		('365', '2', 'Fuente del código de tipo de precio', 'Fuente del código de tipo de precio', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', '6', 'Enlace', 'Enlace', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('365', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('365', 'a', 'Código de tipo de precio', 'Código de tipo de precio', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', 'b', 'Cantidad', 'Cantidad', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', 'c', 'Código de moneda', 'Código de moneda', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', 'd', 'Unidad de precio', 'Unidad de precio', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', 'e', 'Nota sobre el precio', 'Nota sobre el precio', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', 'f', 'Precio válido a partir de', 'Precio válido a partir de', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', 'g', 'Precio válido hasta', 'Precio válido hasta', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', 'h', 'Impuesto 1', 'Impuesto 1', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', 'i', 'Impuesto 2', 'Impuesto 2', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', 'j', 'Código ISO de país', 'Código ISO de país', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', 'k', 'Código MARC de país', 'Código MARC de país', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', 'm', 'Identificación de la entidad que asigna el precio', 'Identificación de la entidad que asigna el precio', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('366', '2', 'Fuente del código de disponibilidad', 'Fuente del código de disponibilidad', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('366', '6', 'Enlace', 'Enlace', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('366', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('366', 'a', 'Identificación abreviada del título por parte del editor', 'Identificación abreviada del título por parte del editor', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('366', 'b', 'Fecha detallada de publicación', 'Fecha detallada de publicación', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('366', 'c', 'Código del estado de la disponibilidad', 'Código del estado de la disponibilidad', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('366', 'd', 'Próxima fecha prevista de disponibilidad', 'Próxima fecha prevista de disponibilidad', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('366', 'e', 'Nota', 'Nota', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('366', 'f', 'Categoría de descuento del editor', 'Categoría de descuento del editor', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('366', 'g', 'Fecha en la que se agotó', 'Fecha en la que se agotó', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('366', 'j', 'Código ISO de país', 'Código ISO de país', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('366', 'k', 'Código MARC de país', 'Código MARC de país', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('366', 'm', 'Identificación de la agencia', 'Identificación de la agencia', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('377', '2', 'Fuente', 'Fuente','0','0','','3','','','','0','-1', '', '', '', NULL),
		('377', '6', 'Enlace', 'Enlace','0','0','','3','','','','0','-1', '', '', '', NULL),
		('377', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia','1','0','','3','','','','0','-1', '', '', '', NULL),
		('377', 'a', 'Código de lengua', 'Código de lengua','1','0','','3','','','','0','-1', '', '', '', NULL),
		('377', 'l', 'Término de lengua', 'Término de lengua','1','0','','3','','','','0','-1', '', '', '', NULL),
		('380', '0', 'Número de control del registro', 'Número de control del registro','1','0','','3','','','','0','-1', '', '', '', NULL),
		('380', '2', 'Fuente del término', 'Fuente del término','0','0','','3','','','','0','-1', '', '', '', NULL),
		('380', '6', 'Enlace', 'Enlace','0','0','','3','','','','0','-1', '', '', '', NULL),
		('380', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia','1','0','','3','','','','0','-1', '', '', '', NULL),
		('380', 'a', 'Forma de la obra', 'Forma de la obra','1','0','','3','','','','0','-1', '', '', '', NULL),
		('381', '0', 'Número de control del registro', 'Número de control del registro','1','0','','3','','','','0','-1', '', '', '', NULL),
		('381', '2', 'Fuente del término', 'Fuente del término','0','0','','3','','','','0','-1', '', '', '', NULL),
		('381', '6', 'Enlace', 'Enlace','0','0','','3','','','','0','-1', '', '', '', NULL),
		('381', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia','1','0','','3','','','','0','-1', '', '', '', NULL),
		('381', 'a', 'Otras características distintivas', 'Otras características distintivas','1','0','','3','','','','0','-1', '', '', '', NULL),
		('381', 'u', 'Identificador Uniforme del Recurso', 'Identificador Uniforme del Recurso','1','0','','3','','','','0','-1', '', '', '', NULL),
		('381', 'v', 'Fuente de información', 'Fuente de información','1','0','','3','','','','0','-1', '', '', '', NULL),
		('382', '0', 'Número de control del registro', 'Número de control del registro','1','0','','3','','','','0','-1', '', '', '', NULL),
		('382', '2', 'Fuente del término', 'Fuente del término','0','0','','3','','','','0','-1', '', '', '', NULL),
		('382', '6', 'Enlace', 'Enlace','0','0','','3','','','','0','-1', '', '', '', NULL),
		('382', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia','1','0','','3','','','','0','-1', '', '', '', NULL),
		('382', 'a', 'Medio de interpretación', 'Medio de interpretación','1','0','','3','','','','0','-1', '', '', '', NULL),
		('382', 'b', 'Solista', 'Solista','1','0','','3','','','','0','-1', '', '', '', NULL),
		('382', 'd', 'Instrumento auxiliar', 'Instrumento auxiliar','1','0','','3','','','','0','-1', '', '', '', NULL),
		('382', 'n', 'Número de intérpretes de un mismo medio', 'Número de intérpretes de un mismo medio','1','0','','3','','','','0','-1', '', '', '', NULL),
		('382', 'p', 'Medio de interpretación alternativo', 'Medio de interpretación alternativo','1','0','','3','','','','0','-1', '', '', '', NULL),
		('382', 's', 'Número total de intérpretes', 'Número total de intérpretes','1','0','','3','','','','0','-1', '', '', '', NULL),
		('382', 'v', 'Nota', 'Nota','1','0','','3','','','','0','-1', '', '', '', NULL),
		('383', '2', 'Fuente', 'Fuente','0','0','','3','','','','0','-1', '', '', '', NULL),
		('383', '6', 'Enlace', 'Enlace','0','0','','3','','','','0','-1', '', '', '', NULL),
		('383', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia','1','0','','3','','','','0','-1', '', '', '', NULL),
		('383', 'a', 'Número de serie', 'Número de serie','1','0','','3','','','','0','-1', '', '', '', NULL),
		('383', 'b', 'Número de opus', 'Número de opus','1','0','','3','','','','0','-1', '', '', '', NULL),
		('383', 'c', 'Número de catálogo temático', 'Número de catálogo temático','1','0','','3','','','','0','-1', '', '', '', NULL),
		('383', 'd', 'Código de catálogo temático', 'Código de catálogo temático','0','0','','3','','','','0','-1', '', '', '', NULL),
		('383', 'e', 'Editor asociado al número de serie o de opus', 'Editor asociado al número de serie o de opus','0','0','','3','','','','0','-1', '', '', '', NULL),
		('384', '6', 'Enlace', 'Enlace','0','0','','3','','','','0','-1', '', '', '', NULL),
		('384', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia','1','0','','3','','','','0','-1', '', '', '', NULL),
		('384', 'a', 'Tonalidad', 'Tonalidad','0','0','','3','','','','0','-1', '', '', '', NULL),
		('400', '4', 'Relator code', 'Relator code', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', '6', 'Linkage', 'Linkage', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('400', 'a', 'Personal name', 'Personal name', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'b', 'Numeration', 'Numeration', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'c', 'Titles and other words associated with a name', 'Titles and other words associated with a name', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'd', 'Dates associated with a name', 'Dates associated with a name', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'e', 'Relator term', 'Relator term', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'f', 'Date of a work', 'Date of a work', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'k', 'Form subheading', 'Form subheading', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'l', 'Language of a work', 'Language of a work', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'n', 'Number of part/section of a work', 'Number of part/section of a work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'q', 'Fuller form of name', 'Fuller form of name', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 't', 'Title of a work', 'Title of a work', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'u', 'Affiliation', 'Affiliation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'v', 'Volume number/sequential designation', 'Volume number/sequential designation', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('400', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', '4', 'Relator code', 'Relator code', 1, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', '6', 'Linkage', 'Linkage', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('410', 'a', 'Corporate name or jurisdiction name as entry element', 'Corporate name or jurisdiction name as entry element', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'b', 'Subordinate unit', 'Subordinate unit', 1, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'c', 'Location of meeting', 'Location of meeting', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'd', 'Date of meeting or treaty signing', 'Date of meeting or treaty signing', 1, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'e', 'Relator term', 'Relator term', 1, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'f', 'Date of a work', 'Date of a work', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'k', 'Form subheading', 'Form subheading', 1, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'l', 'Language of a work', 'Language of a work', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'n', 'Number of part/section/meeting', 'Number of part/section/meeting', 1, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 't', 'Title of a work', 'Title of a work', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'u', 'Affiliation', 'Affiliation', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'v', 'Volume number/sequential designation', 'Volume number/sequential designation', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('411', '4', 'Relator code', 'Relator code', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', '6', 'Linkage', 'Linkage', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'a', 'Meeting name or jurisdiction name as entry element', 'Meeting name or jurisdiction name as entry element', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'c', 'Location of meeting', 'Location of meeting', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'd', 'Date of meeting', 'Date of meeting', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'e', 'Subordinate unit', 'Subordinate unit', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'f', 'Date of a work', 'Date of a work', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'k', 'Form subheading', 'Form subheading', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'l', 'Language of a work', 'Language of a work', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'n', 'Number of part/section/meeting', 'Number of part/section/meeting', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'q', 'Name of meeting following jurisdiction name entry element', 'Name of meeting following jurisdiction name entry element', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 't', 'Title of a work', 'Title of a work', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'u', 'Affiliation', 'Affiliation', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'v', 'Volume number/sequential designation', 'Volume number/sequential designation', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('411', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('440', '6', 'Enlace', 'Enlace', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('440', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('440', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'a', 'Título', 'Título', 0, 0, 'biblio.seriestitle', 4, '', 'UNIF_TITLE', '', NULL, 0, '', '''440n'',''440p'',''490a'',''830a'',''830n'',''830p'',''899a''', '', NULL),
		('440', 'n', 'Número de la parte/sección de una obra', 'Número de la parte/sección de una obra', 1, 0, 'biblioitems.number', 4, '', '', '', NULL, 0, '', '', '', NULL),
		('440', 'p', 'Nombre de la parte/sección de una obra', 'Nombre de la parte/sección de una obra', 1, 0, '', 4, '', '', '', NULL, 0, '', '', '', NULL),
		('440', 'v', 'Número de volumen/designación secuencial', 'Número de volumen/designación secuencial', 0, 0, 'biblioitems.volume', 4, '', '', '', NULL, 0, '', '', '', NULL),
		('440', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 0, 0, '', 4, '', '', '', NULL, 0, '', '', '', NULL),
		('490', '3', 'Especificación de materiales', 'Especificación de materiales','0','0','','3','','','','0','-1','','','', NULL),
		('490', '6', 'Enlace', 'Enlace', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('490', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 4, '', '', NULL, NULL, -6, '', '', '', NULL),
		('490', 'a', 'Mención de serie', 'Mención de serie', 1, 0, '', 4, '', '', '', NULL, -1, '', '', '', NULL),
		('490', 'l', 'Signatura topográfica de la Biblioteca del Congreso', 'Signatura topográfica de la Biblioteca del Congreso', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('490', 'v', 'Designación de volumen o secuencia', 'Designación de volumen o secuencia', 1, 0, '', 4, '', '', '', NULL, -1, '', '', '', NULL),
		('490', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 1, 0, '', 4, '', '', '', NULL, -1, '', '', '', NULL),
		('500', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('500', '5', 'Institución que aplica el campo', 'Institución que aplica el campo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('500', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('500', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('500', 'a', 'Nota general', 'Nota general', 0, 0, 'biblio.notes', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('501', '5', 'Institución que aplica el campo', 'Institución que aplica el campo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('501', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('501', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('501', 'a', 'Nota de \"Con\"', 'Nota de \"Con\"', 0, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('502', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('502', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('502', 'a', 'Nota de tesis', 'Nota de tesis', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('502', 'b', 'Tipo de título', 'Tipo de título','0','0','','5','','','','0','-6', '', '', '', NULL),
		('502', 'c', 'Nombre de la institución que otorga el título', 'Nombre de la institución que otorga el título','0','0','','5','','','','0','-6', '', '', '', NULL),
		('502', 'd', 'Año de obtención del título', 'Año de obtención del título','0','0','','5','','','','0','-6', '', '', '', NULL),
		('502', 'g', 'Información miscelánea', 'Información miscelánea','1','0','','5','','','','0','-6', '', '', '', NULL),
		('502', 'o', 'Identificador de la tesis', 'Identificador de la tesis','1','0','','5','','','','0','-6', '', '', '', NULL),
		('503', '8', 'Linkage', 'Linkage', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('503', 'a', 'Bibliographic history note', 'Bibliographic history note', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('504', '6', 'Enlace', 'Enlace', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('504', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('504', 'a', 'Nota de bibliografía  etc.', 'Nota de bibliografía  etc.', 0, 0, '', 5, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('504', 'b', 'Número de referencias', 'Número de referencias', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('505', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('505', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('505', 'a', 'Nota de contenido con formato', 'Nota de contenido con formato', 0, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('505', 'g', 'Información varia', 'Información varia', 1, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('505', 'r', 'Mención de responsabilidad', 'Mención de responsabilidad', 1, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('505', 't', 'Título', 'Título', 1, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('505', 'u', 'Identificador Uniforme del Recurso', 'Identificador Uniforme del Recurso', 1, 0, '', 5, '', '', '', 1, 0, '', '', '', NULL),
		('506', '2', 'Fuente del término', 'Fuente del término', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('506', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('506', '5', 'Institución que aplica el campo', 'Institución que aplica el campo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('506', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('506', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('506', 'a', 'Limitaciones de acceso', 'Limitaciones de acceso', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('506', 'b', 'Autoridad competente', 'Autoridad competente', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('506', 'c', 'Condiciones para el acceso físico', 'Condiciones para el acceso físico', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('506', 'd', 'Usuarios autorizados', 'Usuarios autorizados', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('506', 'e', 'Autorización', 'Autorización', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('506', 'f', 'Terminología normalizada para las restricciones de acceso', 'Terminología normalizada para las restricciones de acceso', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('506', 'u', 'Identificador Uniforme del Recurso (URI)', 'Identificador Uniforme del Recurso (URI)', 1, 0, '', 5, '', '', '', 1, -6, '', '', '', NULL),
		('507', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('507', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('507', 'a', 'Nota de escala o de fracción representativa', 'Nota de escala o de fracción representativa', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('507', 'b', 'Nota de resto de la escala', 'Nota de resto de la escala', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('508', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('508', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('508', 'a', 'Nota de créditos de creación o producción', 'Nota de créditos de creación o producción', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('509', 'a', 'Informal Notes', 'Informal Notes', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('510', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('510', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('510', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('510', 'a', 'Nombre de la fuente', 'Nombre de la fuente', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('510', 'b', 'Cobertura de la fuente', 'Cobertura de la fuente', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('510', 'c', 'Localización dentro de la fuente', 'Localización dentro de la fuente', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('510', 'u', 'Identificador Uniforme del Recurso (URI)', 'Identificador Uniforme del Recurso (URI)','1','0','','5','','','','0','-6', '', '', '', NULL),
		('510', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('511', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('511', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('511', 'a', 'Nota de participantes o intérpretes', 'Nota de participantes o intérpretes', 0, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('512', '6', 'Linkage', 'Linkage', 0, 0, '', -1, '', '', '', NULL, -6, '', '', '', NULL),
		('512', 'a', 'Earlier or later volumes separately cataloged note', 'Earlier or later volumes separately cataloged note', 0, 0, '', -1, '', '', '', NULL, -6, '', '', '', NULL),
		('513', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('513', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('513', 'a', 'Tipo de informe', 'Tipo de informe', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('513', 'b', 'Periodo cubierto', 'Periodo cubierto', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'a', 'Informe de exactitud del atributo', 'Informe de exactitud del atributo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'b', 'Valor de exactitud del atributo', 'Valor de exactitud del atributo', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'c', 'Explicación de exactitud del atributo', 'Explicación de exactitud del atributo', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'd', 'Informe de consistencia lógica', 'Informe de consistencia lógica', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'e', 'Informe de exhaustividad', 'Informe de exhaustividad', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'f', 'Informe de la exactitud de la posición horizontal', 'Informe de la exactitud de la posición horizontal', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'g', 'Valor de la exactitud de la posición horizontal', 'Valor de la exactitud de la posición horizontal', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'h', 'Explicación de la exactitud de la posición horizontal', 'Explicación de la exactitud de la posición horizontal', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'i', 'Informe de la exactitud de la posición vertical', 'Informe de la exactitud de la posición vertical', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'j', 'Valor de la exactitud de la posición vertical', 'Valor de la exactitud de la posición vertical', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'k', 'Explicación de la exactitud de la posición vertical', 'Explicación de la exactitud de la posición vertical', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'm', 'Cobertura nubosa', 'Cobertura nubosa', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'u', 'Identificador Uniforme del Recurso', 'Identificador Uniforme del Recurso', 1, 0, '', 5, '', '', '', 1, -6, '', '', '', NULL),
		('514', 'z', 'Nota de visualización', 'Nota de visualización', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('515', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('515', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('515', 'a', 'Nota de peculiaridades de la numeración', 'Nota de peculiaridades de la numeración', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('516', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('516', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('516', 'a', 'Nota de tipo de archivo de ordenador o de datos', 'Nota de tipo de archivo de ordenador o de datos', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('517', 'a', 'Different formats', 'Different formats', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('517', 'b', 'Content descriptors', 'Content descriptors', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('517', 'c', 'Additional animation techniques', 'Additional animation techniques', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('518', '0', 'Número de control del registro', 'Número de control del registro','1','0','','5','','','','0','-6', '', '', '', NULL),
		('518', '2', 'Fuente del término', 'Fuente del término','1','0','','5','','','','0','-6', '', '', '', NULL),
		('518', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('518', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('518', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('518', 'a', 'Nota de fecha/hora y lugar de un acontecimiento', 'Nota de fecha/hora y lugar de un acontecimiento', 0, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('518', 'd', 'Fecha del acontecimiento', 'Fecha del acontecimiento','1','0','','5','','','','0','0', '', '', '', NULL),
		('518', 'o', 'Otra información sobre el acontecimiento', 'Otra información sobre el acontecimiento','0','0','','5','','','','0','0', '', '', '', NULL),
		('518', 'p', 'Lugar del acontecimiento', 'Lugar del acontecimiento','1','0','','5','','','','0','0', '', '', '', NULL),
		('520', '2', 'Fuente', 'Fuente','0','0','','5','','','','0','0', '', '', '', NULL),
		('520', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('520', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('520', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('520', 'a', 'Sumario  etc.', 'Sumario  etc.', 0, 0, 'biblio.abstract', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('520', 'b', 'Ampliación de la nota de sumario', 'Ampliación de la nota de sumario', 0, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('520', 'c', 'Fuente proveedora', 'Fuente proveedora','0','0','','5','','','','0','0', '', '', '', NULL),
		('520', 'u', 'Identificador Uniforme del Recurso', 'Identificador Uniforme del Recurso', 1, 0, '', 5, '', '', '', 1, 0, '', '', '', NULL),
		('521', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('521', '6', 'Enlace', 'Enlace', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('521', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('521', 'a', 'Nota de público destinatario', 'Nota de público destinatario', 1, 0, NULL, 5, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('521', 'b', 'Fuente', 'Fuente', 0, 0, NULL, 5, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('522', '6', 'Enlace', 'Enlace', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('522', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('522', 'a', 'Nota de ámbito geográfico', 'Nota de ámbito geográfico', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('523', '6', 'Linkage', 'Linkage', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('523', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('523', 'a', 'Time period of content note', 'Time period of content note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('524', '2', 'Fuente', 'Fuente', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('524', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('524', '6', 'Enlace', 'Enlace', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('524', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('524', 'a', 'Nota de forma usual de cita de los materiales descritos', 'Nota de forma usual de cita de los materiales descritos', 0, 0, NULL, 5, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('525', '6', 'Enlace', 'Enlace', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('525', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('525', 'a', 'Nota de suplemento', 'Nota de suplemento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('526', '5', 'Institución que aplica el campo', 'Institución que aplica el campo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('526', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('526', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('526', 'a', 'Nombre del programa', 'Nombre del programa', 0, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('526', 'b', 'Nivel de interés', 'Nivel de interés', 0, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('526', 'c', 'Nivel de lectura', 'Nivel de lectura', 0, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('526', 'd', 'Puntuación del título', 'Puntuación del título', 0, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('526', 'i', 'Texto de visualización', 'Texto de visualización', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('526', 'x', 'Nota no pública', 'Nota no pública', 1, 0, '', 5, '', '', '', NULL, 6, '', '', '', NULL),
		('526', 'z', 'Nota pública', 'Nota pública', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('527', '6', 'Linkage', 'Linkage', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('527', 'a', 'Censorship note', 'Censorship note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('530', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('530', '6', 'Enlace', 'Enlace', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('530', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('530', 'a', 'Nota de formato físico adicional disponible', 'Nota de formato físico adicional disponible', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('530', 'b', 'Fuente para la adquisición', 'Fuente para la adquisición', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('530', 'c', 'Condiciones de adquisición', 'Condiciones de adquisición', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('530', 'd', 'Número de orden', 'Número de orden', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('530', 'u', 'Identificador Uniforme del Recurso', 'Identificador Uniforme del Recurso', 1, 0, NULL, 5, NULL, NULL, '', 1, -1, '', '', '', NULL),
		('533', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('533', '5', 'Institución que aplica el campo', 'Institución que aplica el campo','0','0','','5','','','','0','-6', '', '', '', NULL),
		('533', '6', 'Enlace', 'Enlace', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('533', '7', 'Datos de longitud fija sobre la reproducción', 'Datos de longitud fija sobre la reproducción', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('533', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('533', 'a', 'Tipo de reproducción', 'Tipo de reproducción', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('533', 'b', 'Lugar de la reproducción', 'Lugar de la reproducción', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('533', 'c', 'Institución responsable de la reproducción', 'Institución responsable de la reproducción', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('533', 'd', 'Fecha de la reproducción', 'Fecha de la reproducción', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('533', 'e', 'Descripción física de la reproducción', 'Descripción física de la reproducción', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('533', 'f', 'Mención de serie de la reproducción', 'Mención de serie de la reproducción', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('533', 'm', 'Fecha y/o designación secuencial de los originales reproducidos', 'Fecha y/o designación secuencial de los originales reproducidos', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('533', 'n', 'Nota sobre la reproducción', 'Nota sobre la reproducción', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('534', '3', 'Especificación de materiales', 'Especificación de materiales','0','0','','5','','','','0','-1', '', '', '', NULL),
		('534', '6', 'Enlace', 'Enlace', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'a', 'Encabezamiento principal del original', 'Encabezamiento principal del original', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'b', 'Mención de edición del original', 'Mención de edición del original', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'c', 'Publicación  distribución  etc. del original', 'Publicación  distribución  etc. del original', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'e', 'Descripción física  etc. del original', 'Descripción física  etc. del original', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'f', 'Mención de serie del original', 'Mención de serie del original', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'k', 'Título clave del original', 'Título clave del original', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'l', 'Localización del original', 'Localización del original', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'm', 'Datos específicos del material original', 'Datos específicos del material original', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'n', 'Nota sobre el original', 'Nota sobre el original', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'o', 'Otros identificadores del recurso', 'Otros identificadores del recurso','1','0','','5','','','','0','-6', '', '', '', NULL),
		('534', 'p', 'Frase introductoria', 'Frase introductoria', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 't', 'Mención de título del original', 'Mención de título del original', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'x', 'ISSN', 'ISSN', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'z', 'ISBN', 'ISBN', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('535', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('535', '6', 'Enlace', 'Enlace', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('535', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('535', 'a', 'Depositario', 'Depositario', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('535', 'b', 'Dirección postal', 'Dirección postal', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('535', 'c', 'País', 'País', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('535', 'd', 'Dirección de telecomunicaciones', 'Dirección de telecomunicaciones', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('535', 'g', 'Código de localización del depósito', 'Código de localización del depósito', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('536', '6', 'Enlace', 'Enlace', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('536', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('536', 'a', 'Texto de la nota', 'Texto de la nota', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('536', 'b', 'Número de contrato', 'Número de contrato', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('536', 'c', 'Número de subvención', 'Número de subvención', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('536', 'd', 'Número indiferenciado', 'Número indiferenciado', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('536', 'e', 'Número de elemento de programa', 'Número de elemento de programa', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('536', 'f', 'Número de proyecto', 'Número de proyecto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('536', 'g', 'Número de tarea', 'Número de tarea', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('536', 'h', 'Número de unidad de trabajo', 'Número de unidad de trabajo', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('537', '6', 'Linkage', 'Linkage', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('537', 'a', 'Source of data note', 'Source of data note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('538', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('538', '5', 'Institución que aplica el campo', 'Institución que aplica el campo','1','0','','5','','','','0','-6', '', '', '', NULL),
		('538', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('538', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('538', 'a', 'Nota de detalles del sistema', 'Nota de detalles del sistema', 0, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('538', 'i', 'Texto de visualización', 'Texto de visualización', 0, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('538', 'u', 'Identificador Uniforme del Recurso (URI)', 'Identificador Uniforme del Recurso (URI)', 1, 0, '', 5, '', '', '', 1, -1, '', '', '', NULL),
		('540', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('540', '5', 'Institución que aplica el campo', 'Institución que aplica el campo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('540', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('540', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('540', 'a', 'Condiciones de uso y reproducción', 'Condiciones de uso y reproducción', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('540', 'b', 'Autoridad competente', 'Autoridad competente', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('540', 'c', 'Autorización', 'Autorización', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('540', 'd', 'Usuarios autorizados', 'Usuarios autorizados', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('540', 'u', 'Identificador Uniforme del Recurso', 'Identificador Uniforme del Recurso', 1, 0, '', 5, '', '', '', 1, -6, '', '', '', NULL),
		('541', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('541', '5', 'Institución que aplica el campo', 'Institución que aplica el campo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('541', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('541', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('541', 'a', 'Fuente de adquisición', 'Fuente de adquisición', 0, 0, '', 5, '', '', '', NULL, 1, '', '', '', NULL),
		('541', 'b', 'Dirección', 'Dirección', 0, 0, '', 5, '', '', '', NULL, 1, '', '', '', NULL),
		('541', 'c', 'Forma de adquisición', 'Forma de adquisición', 0, 0, '', 5, '', '', '', NULL, 1, '', '', '', NULL),
		('541', 'd', 'Fecha de adquisición', 'Fecha de adquisición', 0, 0, '', 5, '', '', '', NULL, 1, '', '', '', NULL),
		('541', 'e', 'Número de registro', 'Número de registro', 0, 0, '', 5, '', '', '', NULL, 1, '', '', '', NULL),
		('541', 'f', 'Propietario', 'Propietario', 0, 0, '', 5, '', '', '', NULL, 1, '', '', '', NULL),
		('541', 'h', 'Precio de compra', 'Precio de compra', 0, 0, '', 5, '', '', '', NULL, 1, '', '', '', NULL),
		('541', 'n', 'Extensión', 'Extensión', 0, 0, '', 5, '', '', '', NULL, 1, '', '', '', NULL),
		('541', 'o', 'Tipo de unidad', 'Tipo de unidad', 1, 0, '', 5, '', '', '', NULL, 1, '', '', '', NULL),
		('542', '3', 'Especificación de materiales', 'Especificación de materiales','0','0','','5','','','','0','1', '', '', '', NULL),
		('542', '6', 'Enlace', 'Enlace','0','0','','5','','','','0','1', '', '', '', NULL),
		('542', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia','0','0','','5','','','','0','1', '', '', '', NULL),
		('542', 'a', 'Creador personal', 'Creador personal','0','0','','5','','','','0','1', '', '', '', NULL),
		('542', 'b', 'Fecha de fallecimiento del creador personal', 'Fecha de fallecimiento del creador personal','0','0','','5','','','','0','1', '', '', '', NULL),
		('542', 'c', 'Entidad creadora', 'Entidad creadora','0','0','','5','','','','0','1', '', '', '', NULL),
		('542', 'd', 'Títular del copyright', 'Títular del copyright','1','0','','5','','','','0','1', '', '', '', NULL),
		('542', 'e', 'Información de contacto del titular del copyright', 'Información de contacto del titular del copyright','1','0','','5','','','','0','1', '', '', '', NULL),
		('542', 'f', 'Mención de copyright', 'Mención de copyright','1','0','','5','','','','0','1', '', '', '', NULL),
		('542', 'g', 'Fecha de copyright', 'Fecha de copyright','0','0','','5','','','','0','1', '', '', '', NULL),
		('542', 'h', 'Fecha de renovación del copyright', 'Fecha de renovación del copyright','1','0','','5','','','','0','1', '', '', '', NULL),
		('542', 'i', 'Fecha de publicación', 'Fecha de publicación','0','0','','5','','','','0','1', '', '', '', NULL),
		('542', 'j', 'Fecha de creación', 'Fecha de creación','0','0','','5','','','','0','1', '', '', '', NULL),
		('542', 'k', 'Editor', 'Editor','1','0','','5','','','','0','1', '', '', '', NULL),
		('542', 'l', 'Estado del copyright', 'Estado del copyright','0','0','','5','','','','0','1', '', '', '', NULL),
		('542', 'm', 'Estado de la publicación', 'Estado de la publicación','0','0','','5','','','','0','1', '', '', '', NULL),
		('542', 'n', 'Nota', 'Nota','1','0','','5','','','','0','1', '', '', '', NULL),
		('542', 'o', 'Fecha de la búsqueda', 'Fecha de la búsqueda','0','0','','5','','','','0','1', '', '', '', NULL),
		('542', 'p', 'País de publicación o creación', 'País de publicación o creación','1','0','','5','','','','0','1', '', '', '', NULL),
		('542', 'q', 'Agencia que proporciona la información', 'Agencia que proporciona la información','0','0','','5','','','','0','1', '', '', '', NULL),
		('542', 'r', 'Jurisdicción de la mención de copyright', 'Jurisdicción de la mención de copyright','0','0','','5','','','','0','1', '', '', '', NULL),
		('542', 's', 'Fuente de la información', 'Fuente de la información','0','0','','5','','','','0','1', '', '', '', NULL),
		('542', 'u', 'Identificador Uniforme del Recurso (URI)', 'Identificador Uniforme del Recurso (URI)','1','0','','5','','','','0','1', '', '', '', NULL),
		('543', '6', 'Linkage', 'Linkage', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('543', 'a', 'Solicitation information note', 'Solicitation information note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('544', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('544', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('544', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('544', 'a', 'Entidad depositaria', 'Entidad depositaria', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('544', 'b', 'Dirección', 'Dirección', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('544', 'c', 'País', 'País', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('544', 'd', 'Título', 'Título', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('544', 'e', 'Procedencia', 'Procedencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('544', 'n', 'Nota', 'Nota', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('545', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('545', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('545', 'a', 'Datos biográficos o históricos', 'Datos biográficos o históricos', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('545', 'b', 'Ampliación de la nota', 'Ampliación de la nota', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('545', 'u', 'Identificador Uniforme del Recurso', 'Identificador Uniforme del Recurso', 1, 0, '', 5, '', '', '', 1, -6, '', '', '', NULL),
		('546', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('546', '6', 'Enlace', 'Enlace', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('546', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('546', 'a', 'Nota de lengua', 'Nota de lengua', 0, 0, NULL, 5, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('546', 'b', 'Información sobre el código o alfabeto', 'Información sobre el código o alfabeto', 1, 0, NULL, 5, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('547', '6', 'Enlace', 'Enlace', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('547', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('547', 'a', 'Nota de relación compleja con los títulos anteriores', 'Nota de relación compleja con los títulos anteriores', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('550', '6', 'Enlace', 'Enlace', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('550', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('550', 'a', 'Nota de entidad responsable', 'Nota de entidad responsable', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('552', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'a', 'Identificación del tipo de objeto', 'Identificación del tipo de objeto', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'b', 'Definición y fuente del tipo de objeto', 'Definición y fuente del tipo de objeto', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'c', 'Identificación del atributo', 'Identificación del atributo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'd', 'Definición y fuente del atributo', 'Definición y fuente del atributo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'e', 'Valor del ámbito', 'Valor del ámbito', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'f', 'Definición y fuente del valor del ámbito', 'Definición y fuente del valor del ámbito', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'g', 'Rango mínimo y máximo del ámbito', 'Rango mínimo y máximo del ámbito', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'h', 'Nombre y fuente del conjunto de códigos', 'Nombre y fuente del conjunto de códigos', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'i', 'Ámbito no representable', 'Ámbito no representable', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'j', 'Unidades de medida y resolución del atributo', 'Unidades de medida y resolución del atributo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'k', 'Fechas de inicio y finalización de los valores del atributo', 'Fechas de inicio y finalización de los valores del atributo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'l', 'Exactitud del valor del atributo', 'Exactitud del valor del atributo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'm', 'Explicación de la exactitud del valor del atributo', 'Explicación de la exactitud del valor del atributo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'n', 'Frecuencia de la medida del atributo', 'Frecuencia de la medida del atributo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'o', 'Resumen del objeto y su atributo', 'Resumen del objeto y su atributo', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'p', 'Referencia detallada del objeto y su atributo', 'Referencia detallada del objeto y su atributo', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'u', 'Identificador Uniforme del Recurso (URI)', 'Identificador Uniforme del Recurso (URI)', 1, 0, '', 5, '', '', '', 1, -6, '', '', '', NULL),
		('552', 'z', 'Texto del enlace', 'Texto del enlace', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('555', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('555', '6', 'Enlace', 'Enlace', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('555', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('555', 'a', 'Nota de índice acumulativo u otros instrumentos bibliográficos', 'Nota de índice acumulativo u otros instrumentos bibliográficos', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('555', 'b', 'Fuente de la adquisición', 'Fuente de la adquisición', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('555', 'c', 'Grado de control', 'Grado de control', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('555', 'd', 'Referencia bibliográfica', 'Referencia bibliográfica', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('555', 'u', 'Identificador Uniforme del Recurso', 'Identificador Uniforme del Recurso', 1, 0, NULL, 5, NULL, NULL, '', 1, -1, '', '', '', NULL),
		('556', '6', 'Enlace', 'Enlace', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('556', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('556', 'a', 'Nota de información sobre la documentación', 'Nota de información sobre la documentación', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('556', 'z', 'Número Internacional Normalizado para Libros', 'Número Internacional Normalizado para Libros', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('561', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('561', '5', 'Institución que aplica el campo', 'Institución que aplica el campo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('561', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('561', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('561', 'a', 'Procedencia', 'Procedencia', 0, 0, '', 5, '', '', '', NULL, 6, '', '', '', NULL),
		('561', 'u', 'Identificador Uniforme del Recurso', 'Identificador Uniforme del Recurso','1','0','','5','','','','0','6', '', '', '', NULL),
		('562', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('562', '5', 'Institución que aplica el campo', 'Institución que aplica el campo', 0, 0, NULL, -1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('562', '6', 'Enlace', 'Enlace', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('562', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('562', 'a', 'Marcas de identificación', 'Marcas de identificación', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('562', 'b', 'Identificación de la copia', 'Identificación de la copia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('562', 'c', 'Identificación de la versión', 'Identificación de la versión', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('562', 'd', 'Formato de presentación', 'Formato de presentación', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('562', 'e', 'Número de copias', 'Número de copias', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('563', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('563', '5', 'Institución que aplica el campo', 'Institución que aplica el campo', 0, 0, NULL, -1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('563', '6', 'Enlace', 'Enlace', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('563', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('563', 'a', 'Nota de encuadernación', 'Nota de encuadernación', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('563', 'u', 'Identificador Uniforme del Recurso (URI)', 'Identificador Uniforme del Recurso (URI)', 1, 0, NULL, 5, NULL, NULL, '', 1, -1, '', '', '', NULL),
		('565', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('565', '6', 'Enlace', 'Enlace', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('565', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('565', 'a', 'Número de casos /variables', 'Número de casos /variables', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('565', 'b', 'Nombre de la variable', 'Nombre de la variable', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('565', 'c', 'Unidad de análisis', 'Unidad de análisis', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('565', 'd', 'Muestra', 'Muestra', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('565', 'e', 'Esquema o código de ordenación', 'Esquema o código de ordenación', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('567', '6', 'Enlace', 'Enlace', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('567', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('567', 'a', 'Nota sobre la metodología', 'Nota sobre la metodología', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('570', '6', 'Linkage', 'Linkage', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('570', 'a', 'Editor note', 'Editor note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('570', 'z', 'Source of note information', 'Source of note information', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('580', '6', 'Enlace', 'Enlace', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('580', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('580', 'a', 'Nota de relación compleja', 'Nota de relación compleja', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('581', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('581', '6', 'Enlace', 'Enlace', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('581', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('581', 'a', 'Nota de publicaciones sobre los materiales descritos', 'Nota de publicaciones sobre los materiales descritos', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('581', 'z', 'Número Internacional Normalizado para Libros (ISBN)', 'Número Internacional Normalizado para Libros (ISBN)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('582', '6', 'Linkage', 'Linkage', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('582', 'a', 'Related computer files note', 'Related computer files note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('583', '2', 'Fuente del término', 'Fuente del término', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('583', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('583', '5', 'Institución que aplica el campo', 'Institución que aplica el campo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('583', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('583', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('583', 'a', 'Acción', 'Acción', 0, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'b', 'Código de identificación de la acción', 'Código de identificación de la acción', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'c', 'Fecha/hora de la acción', 'Fecha/hora de la acción', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'd', 'Intervalo de la acción', 'Intervalo de la acción', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'e', 'Contingencia de la acción', 'Contingencia de la acción', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'f', 'Autorización', 'Autorización', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'h', 'Autoridad competente', 'Autoridad competente', 0, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'i', 'Método de la acción', 'Método de la acción', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'j', 'Lugar de la acción', 'Lugar de la acción', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'k', 'Agente de la acción', 'Agente de la acción', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'l', 'Estado del material', 'Estado del material', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'n', 'Extensión', 'Extensión', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'o', 'Tipo de unidad', 'Tipo de unidad', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'u', 'Identificador Uniforme del Recurso (URI)', 'Identificador Uniforme del Recurso (URI)', 1, 0, '', 5, '', '', '', 1, -1, '', '', '', NULL),
		('583', 'x', 'Nota no pública', 'Nota no pública', 1, 0, '', 5, '', '', '', NULL, 4, '', '', '', NULL),
		('583', 'z', 'Nota pública', 'Nota pública', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('584', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('584', '5', 'Institución que aplica el campo', 'Institución que aplica el campo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('584', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('584', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('584', 'a', 'Crecimiento', 'Crecimiento', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('584', 'b', 'Frecuencia de uso', 'Frecuencia de uso', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('585', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('585', '5', 'Institución que aplica el campo', 'Institución que aplica el campo', 0, -6, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('585', '6', 'Enlace', 'Enlace', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('585', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('585', 'a', 'Nota de exposiciones', 'Nota de exposiciones', 0, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('586', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('586', '6', 'Enlace', 'Enlace', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('586', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('586', 'a', 'Nota de premios', 'Nota de premios', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('588', '5', 'Institución que aplica el campo', 'Institución que aplica el campo','0','0','','5','','','','0','-1', '', '', '', NULL),
		('588', '6', 'Enlace', 'Enlace','0','0','','5','','','','0','-1', '', '', '', NULL),
		('588', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia','1','0','','5','','','','0','-1', '', '', '', NULL),
		('588', 'a', 'Nota de fuente de la descripción', 'Nota de fuente de la descripción','0','0','','5','','','','0','-1', '', '', '', NULL),
		('590', '6', 'Linkage (RLIN)', 'Linkage (RLIN)', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('590', '8', 'Field link and sequence number (RLIN)', 'Field link and sequence number (RLIN)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('590', 'a', 'Local note', 'Local note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('590', 'b', 'Provenance (VM) [OBSOLETE]', 'Provenance (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('590', 'c', 'Condition of individual reels (VM) [OBSOLETE]', 'Condition of individual reels (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('590', 'd', 'Origin of safety copy (VM) [OBSOLETE]', 'Origin of safety copy (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('600', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','6','','','','0','0', '', '', '', NULL),
		('600', '2', 'Fuente del encabezamiento o término [600]', 'Fuente del encabezamiento o término [600]', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('600', '3', 'Especificación de materiales [600/700/800]', 'Especificación de materiales [600/700/800]', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', '4', 'Código de función', 'Código de función', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', '6', 'Enlace', 'Enlace', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('600', 'a', 'Nombre de persona', 'Nombre de persona', 0, 0, '', 6, '', 'PERSO_NAME', '', NULL, 0, '', '', '', NULL),
		('600', 'b', 'Numeración', 'Numeración', 0, 0, '', 6, '', '', '', NULL, -1, '', '', '', NULL),
		('600', 'c', 'Títulos y otros términos asociados al nombre', 'Títulos y otros términos asociados al nombre', 1, 0, '', 6, '', '', '', NULL, -1, '', '', '', NULL),
		('600', 'd', 'Fechas asociadas al nombre', 'Fechas asociadas al nombre', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('600', 'e', 'Término indicativo de función', 'Término indicativo de función', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'f', 'Fecha de publicación', 'Fecha de publicación', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'g', 'Información miscelánea', 'Información miscelánea', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'h', 'Tipo de material [600/700/800]', 'Tipo de material [600/700/800]', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'j', 'Calificador de atribución', 'Calificador de atribución', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'k', 'Subencabezamiento de forma', 'Subencabezamiento de forma', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'l', 'Lengua de la obra', 'Lengua de la obra', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'm', 'Medio de interpretación [600/700/800]', 'Medio de interpretación [600/700/800]', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'n', 'Número de parte o sección de la obra', 'Número de parte o sección de la obra', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'o', 'Arreglo [600/700/800]', 'Arreglo [600/700/800]', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'p', 'Nombre de parte o sección de la obra', 'Nombre de parte o sección de la obra', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'q', 'Forma desarrollada del nombre', 'Forma desarrollada del nombre', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('600', 'r', 'Tonalidad [600/700/800]', 'Tonalidad [600/700/800]', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 's', 'Versión [600/700/800]', 'Versión [600/700/800]', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 't', 'Título de la obra', 'Título de la obra', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('600', 'u', 'Filiación', 'Filiación', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'v', 'Subdivisión de forma [600]', 'Subdivisión de forma [600]', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('600', 'x', 'Subdivisión de materia general [600]', 'Subdivisión de materia general [600]', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('600', 'y', 'Subdivisión cronológica [600]', 'Subdivisión cronológica [600]', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('600', 'z', 'Subdivisión geográfica [600]', 'Subdivisión geográfica [600]', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('610', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','6','','','','0','0', '', '', '', NULL),
		('610', '2', 'Fuente del encabezamiento o término', 'Fuente del encabezamiento o término', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('610', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', '4', 'Código de función', 'Código de función', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', '6', 'Enlace', 'Enlace', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('610', 'a', 'Nombre de entidad corporativa o nombre de jurisdicción como elemento inicial', 'Nombre de entidad corporativa o nombre de jurisdicción como elemento inicial', 0, 0, '', 6, '', 'CORPO_NAME', '', NULL, 0, '', '', '', NULL),
		('610', 'b', 'Unidad subordinada', 'Unidad subordinada', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('610', 'c', 'Sede del congreso', 'Sede del congreso', 0, 0, '', 6, '', '', '', NULL, -1, '', '', '', NULL),
		('610', 'd', 'Fecha del congreso o de la firma de un tratado', 'Fecha del congreso o de la firma de un tratado', 1, 0, '', 6, '', '', '', NULL, -1, '', '', '', NULL),
		('610', 'e', 'Término indicativo de función', 'Término indicativo de función', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 'f', 'Fecha de publicación', 'Fecha de publicación', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 'g', 'Información miscelánea', 'Información miscelánea', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 'h', 'Tipo de material', 'Tipo de material', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 'k', 'Subencabezamiento de forma', 'Subencabezamiento de forma', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 'l', 'Lengua de la obra', 'Lengua de la obra', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 'm', 'Medio de interpretación', 'Medio de interpretación', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 'n', 'Número del congreso o número de parte o sección de la obra', 'Número del congreso o número de parte o sección de la obra', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 'o', 'Arreglo', 'Arreglo', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 'p', 'Nombre de parte o sección de la obra', 'Nombre de parte o sección de la obra', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 'r', 'Tonalidad', 'Tonalidad', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 's', 'Versión', 'Versión', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 't', 'Título de la obra', 'Título de la obra', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('610', 'u', 'Filiación', 'Filiación', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 'v', 'Subdivisión de forma', 'Subdivisión de forma', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('610', 'x', 'Subdivisión de materia general', 'Subdivisión de materia general', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('610', 'y', 'Subdivisión cronológica', 'Subdivisión cronológica', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('610', 'z', 'Subdivisión geográfica', 'Subdivisión geográfica', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('611', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','6','','','','0','0','','','', NULL),
		('611', '2', 'Fuente del encabezamiento o término', 'Fuente del encabezamiento o término', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('611', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', '4', 'Código de función', 'Código de función', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', '6', 'Enlace', 'Enlace', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('611', 'a', 'Nombre de congreso o nombre de jurisdicción como elemento inicial', 'Nombre de congreso o nombre de jurisdicción como elemento inicial', 0, 0, NULL, 6, NULL, 'MEETI_NAME', '', NULL, -1, '', '', '', NULL),
		('611', 'c', 'Sede del congreso', 'Sede del congreso', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('611', 'd', 'Fecha del congreso', 'Fecha del congreso', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('611', 'e', 'Unidad subordinada', 'Unidad subordinada', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('611', 'f', 'Fecha de publicación', 'Fecha de publicación', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', 'g', 'Información miscelánea', 'Información miscelánea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', 'h', 'Tipo de material', 'Tipo de material', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', 'j', 'Término indicativo de función', 'Término indicativo de función', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', 'k', 'Subencabezamiento de forma', 'Subencabezamiento de forma', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', 'l', 'Lengua de la obra', 'Lengua de la obra', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', 'n', 'Número del congreso o número de parte o sección de la obra', 'Número del congreso o número de parte o sección de la obra', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', 'p', 'Nombre de parte o sección de la obra', 'Nombre de parte o sección de la obra', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', 'q', 'Nombre de congreso a continuación de una jurisdicción como elemento inicial', 'Nombre de congreso a continuación de una jurisdicción como elemento inicial', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', 's', 'Versión', 'Versión', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', 't', 'Título de la obra', 'Título de la obra', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('611', 'u', 'Filiación', 'Filiación', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', 'v', 'Subdivisión de forma', 'Subdivisión de forma', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('611', 'x', 'Subdivisión de materia general', 'Subdivisión de materia general', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('611', 'y', 'Subdivisión cronológica', 'Subdivisión cronológica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('611', 'z', 'Subdivisión geográfica', 'Subdivisión geográfica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('630', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','6','','','','0','0', '', '', '', NULL),
		('630', '2', 'Fuente del encabezamiento o término', 'Fuente del encabezamiento o término', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('630', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', '4', 'Código de función', 'Código de función', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', '6', 'Enlace', 'Enlace', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('630', 'a', 'Título uniforme', 'Título uniforme', 0, 0, NULL, 6, NULL, 'UNIF_TITLE', '', NULL, 0, '', '', '', NULL),
		('630', 'd', 'Fecha de la firma de un tratado', 'Fecha de la firma de un tratado', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', 'e', 'Término indicativo de función', 'Término indicativo de función', 1, 0, '', 6, '', '', '', NULL, -1, '', '', '', NULL),
		('630', 'f', 'Fecha de publicación', 'Fecha de publicación', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', 'g', 'Información miscelánea', 'Información miscelánea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', 'h', 'Tipo de material', 'Tipo de material', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', 'k', 'Subencabezamiento de forma', 'Subencabezamiento de forma', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', 'l', 'Lengua de la obra', 'Lengua de la obra', 0, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('630', 'm', 'Medio de interpretación', 'Medio de interpretación', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', 'n', 'Número de parte o sección de la obra', 'Número de parte o sección de la obra', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', 'o', 'Mención de arreglo', 'Mención de arreglo', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', 'p', 'Nombre de parte o sección de la obra', 'Nombre de parte o sección de la obra', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', 'r', 'Tonalidad', 'Tonalidad', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', 's', 'Versión', 'Versión', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', 't', 'Título de la obra', 'Título de la obra', 0, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('630', 'v', 'Subdivisión de forma', 'Subdivisión de forma', 1, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('630', 'x', 'Subdivisión de materia general', 'Subdivisión de materia general', 1, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('630', 'y', 'Subdivisión cronológica', 'Subdivisión cronológica', 1, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('630', 'z', 'Subdivisión geográfica', 'Subdivisión geográfica', 1, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('648', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','6','','','','0','0', '', '', '', NULL),
		('648', '2', 'Fuente del encabezamiento o término', 'Fuente del encabezamiento o término', 0, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('648', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('648', '6', 'Enlace', 'Enlace', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('648', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('648', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('648', 'a', 'Término cronológico', 'Término cronológico', 0, 0, NULL, 6, NULL, 'CHRON_TERM', '', NULL, 0, '', '', '', NULL),
		('648', 'v', 'Subdivisión de forma', 'Subdivisión de forma', 1, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('648', 'x', 'Subdivisión de materia general', 'Subdivisión de materia general', 1, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('648', 'y', 'Subdivisión cronológica', 'Subdivisión cronológica', 1, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('648', 'z', 'Subdivisión geográfica', 'Subdivisión geográfica', 1, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('650', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','6','','','','0','0','','','', NULL),
		('650', '2', 'Fuente del encabezamiento o término', 'Fuente del encabezamiento o término', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('650', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('650', '4', 'Código de función', 'Código de función', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('650', '6', 'Enlace', 'Enlace', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('650', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('650', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('650', 'a', 'Término de materia o nombre geográfico como elemento inicial', 'Término de materia o nombre geográfico como elemento inicial', 0, 0, 'bibliosubject.subject', 6, '', 'TOPIC_TERM', '', 0, 0, '', '''6003'',''600a'',''600b'',''600c'',''600d'',''600e'',''600f'',''600g'',''600h'',''600k'',''600l'',''600m'',''600n'',''600o'',''600p'',''600r'',''600s'',''600t'',''600u'',''600x'',''600z'',''600y'',''600v'',''6103'',''610a'',''610b'',''610c'',''610d'',''610e'',''610f'',''610g'',''610h'',''610k'',''610l'',''610m'',''610n'',''610o'',''610p'',''610r'',''610s'',''610t'',''610u'',''610x'',''610z'',''610y'',''610v'',''6113'',''611a'',''611b'',''611c'',''611d'',''611e'',''611f'',''611g'',''611h'',''611k'',''611l'',''611m'',''611n'',''611o'',''611p'',''611r'',''611s'',''611t'',''611u'',''611x'',''611z'',''611y'',''611v'',''630a'',''630b'',''630c'',''630d'',''630e'',''630f'',''630g'',''630h'',''630k'',''630l'',''630m'',''630n'',''630o'',''630p'',''630r'',''630s'',''630t'',''630x'',''630z'',''630y'',''630v'',''6483'',''648a'',''648x'',''648z'',''648y'',''648v'',''6503'',''650b'',''650c'',''650d'',''650e'',''650x'',''650z'',''650y'',''650v'',''6513'',''651a'',''651b'',''651c'',''651d'',''651e'',''651x'',''651z'',''651y'',''651v'',''653a'',''6543'',''654a'',''654b'',''654x'',''654z'',''654y'',''654v'',''6553'',''655a'',''655b'',''655x'',''655z'',''655y'',''655v'',''6563'',''656a'',''656k'',''656x'',''656z'',''656y'',''656v'',''6573'',''657a'',''657x'',''657z'',''657y'',''657v'',''658a'',''658b'',''658c'',''658d'',''658v''', '', NULL),
		('650', 'b', 'Término de materia que sigue a un nombre geográfico como elemento inicial', 'Término de materia que sigue a un nombre geográfico como elemento inicial', 0, 0, '', 6, '', '', '', 0, -1, '', '', '', NULL),
		('650', 'c', 'Localización del acontecimiento', 'Localización del acontecimiento', 0, 0, '', 6, '', '', '', 0, -1, '', '', '', NULL),
		('650', 'd', 'Fechas vigentes', 'Fechas vigentes', 0, 0, '', 6, '', '', '', 0, -1, '', '', '', NULL),
		('650', 'e', 'Término indicativo de función', 'Término indicativo de función', 1, 0, '', 6, '', '', '', 0, -1, '', '', '', NULL),
		('650', 'v', 'Subdivisión de forma', 'Subdivisión de forma', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('650', 'x', 'Subdivisión de materia general', 'Subdivisión de materia general', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('650', 'y', 'Subdivisión cronológica', 'Subdivisión cronológica', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('650', 'z', 'Subdivisión geográfica', 'Subdivisión geográfica', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('651', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','6','','','','0','0','','','', NULL),
		('651', '2', 'Fuente del encabezamiento o término', 'Fuente del encabezamiento o término', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('651', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('651', '4', 'Código de función', 'Código de función', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('651', '6', 'Enlace', 'Enlace', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('651', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('651', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('651', 'a', 'Nombre geográfico', 'Nombre geográfico', 0, 0, '', 6, '', 'GEOGR_NAME', '', NULL, 0, '', '', '', NULL),
		('651', 'e', 'Término indicativo de función', 'Término indicativo de función', 1, 0, '', 6, '', '', '', NULL, -1, '', '', '', NULL),
		('651', 'v', 'Subdivisión de forma', 'Subdivisión de forma', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('651', 'x', 'Subdivisión de materia general', 'Subdivisión de materia general', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('651', 'y', 'Subdivisión cronológica', 'Subdivisión cronológica', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('651', 'z', 'Subdivisión geográfica', 'Subdivisión geográfica', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('652', 'a', 'Geographic name of place element', 'Geographic name of place element', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('652', 'x', 'General subdivision', 'General subdivision', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('652', 'y', 'Chronological subdivision', 'Chronological subdivision', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('652', 'z', 'Geographic subdivision', 'Geographic subdivision', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('653', '6', 'Enlace', 'Enlace', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('653', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('653', 'a', 'Término no controlado', 'Término no controlado', 1, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('654', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','6','','','','0','0', '', '', '', NULL),
		('654', '2', 'Fuente del encabezamiento o término', 'Fuente del encabezamiento o término', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('654', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('654', '4', 'Código de función', 'Código de función', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('654', '6', 'Enlace', 'Enlace', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('654', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('654', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('654', 'a', 'Término principal', 'Término principal', 1, 0, '', 6, '', 'TOPIC_TERM', '', NULL, 0, '', '', '', NULL),
		('654', 'b', 'Término no-principal(R)', 'Término no-principal(R)', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('654', 'c', 'Designación de faceta/jerarquía', 'Designación de faceta/jerarquía', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('654', 'e', 'Término indicativo de función', 'Término indicativo de función', 1, 0, '', 6, '', '', '', NULL, -1, '', '', '', NULL),
		('654', 'v', 'Subdivisión de forma', 'Subdivisión de forma', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('654', 'y', 'Subdivisión cronológica', 'Subdivisión cronológica', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('654', 'z', 'Subdivisión geográfica', 'Subdivisión geográfica', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('655', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','6','','','','0','0', '', '', '', NULL),
		('655', '2', 'Fuente del término', 'Fuente del término', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('655', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('655', '5', 'Institución que aplica el campo', 'Institución que aplica el campo', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('655', '6', 'Enlace', 'Enlace', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('655', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('655', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('655', 'a', 'Datos o término principal de género/forma', 'Datos o término principal de género/forma', 0, 0, '', 6, '', 'GENRE/FORM', '', NULL, 0, '', '', '', NULL),
		('655', 'b', 'Término no-principal', 'Término no-principal', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('655', 'c', 'Designación de faceta/jerarquía', 'Designación de faceta/jerarquía', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('655', 'v', 'Subdivisión de forma', 'Subdivisión de forma', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('655', 'x', 'Subdivisión de materia general', 'Subdivisión de materia general', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('655', 'y', 'Subdivisión cronológica', 'Subdivisión cronológica', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('655', 'z', 'Subdivisión geográfica', 'Subdivisión geográfica', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('656', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','6','','','','0','0', '', '', '', NULL),
		('656', '2', 'Fuente del término', 'Fuente del término', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('656', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('656', '6', 'Enlace', 'Enlace', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('656', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('656', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('656', 'a', 'Profesión', 'Profesión', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -6, '', '', '', NULL),
		('656', 'k', 'Forma', 'Forma', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('656', 'v', 'Subdivisión de forma', 'Subdivisión de forma', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('656', 'x', 'Subdivisión de materia general', 'Subdivisión de materia general', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('656', 'y', 'Subdivisión cronológica', 'Subdivisión cronológica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('656', 'z', 'Subdivisión geográfica', 'Subdivisión geográfica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('657', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','6','','','','0','0','','','', NULL),
		('657', '2', 'Fuente del término', 'Fuente del término', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('657', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('657', '6', 'Enlace', 'Enlace', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('657', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('657', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('657', 'a', 'Función', 'Función', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -6, '', '', '', NULL),
		('657', 'v', 'Subdivisión de forma', 'Subdivisión de forma', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('657', 'x', 'Subdivisión de materia general', 'Subdivisión de materia general', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('657', 'y', 'Subdivisión cronológica', 'Subdivisión cronológica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('657', 'z', 'Subdivisión geográfica', 'Subdivisión geográfica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('658', '2', 'Fuente del término o código', 'Fuente del término o código', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('658', '6', 'Enlace', 'Enlace', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('658', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('658', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('658', 'a', 'Objetivo curricular principal', 'Objetivo curricular principal', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, 0, '', '', '', NULL),
		('658', 'b', 'Objetivo curricular subordinado', 'Objetivo curricular subordinado', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('658', 'c', 'Código del currículo', 'Código del currículo', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('658', 'd', 'Factor de correlación', 'Factor de correlación', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('662', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','6','','','','0','0', '', '', '', NULL),
		('662', '2', 'Fuente del encabezamiento o término', 'Fuente del encabezamiento o término', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('662', '4', 'Código de función', 'Código de función', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('662', '6', 'Enlace', 'Enlace', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('662', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('662', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('662', 'a', 'País o entidad superior', 'País o entidad superior', 1, 0, '', 6, '', 'GEOGR_NAME', '', NULL, 0, '', '', '', NULL),
		('662', 'b', 'Jurisdicción política de primer nivel', 'Jurisdicción política de primer nivel', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('662', 'c', 'Jurisdicción política intermedia', 'Jurisdicción política intermedia', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('662', 'd', 'Ciudad', 'Ciudad', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('662', 'e', 'Término indicativo de función', 'Término indicativo de función', 1, 0, '', 6, '', '', '', NULL, -1, '', '', '', NULL),
		('662', 'f', 'Subdivisión de ciudad', 'Subdivisión de ciudad', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('662', 'g', 'Otras regiones o rasgos geográficos no jurisdiccionales', 'Otras regiones o rasgos geográficos no jurisdiccionales', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('662', 'h', 'Área extraterrestre', 'Área extraterrestre', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('690', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('690', '2', 'Source of heading or term', 'Source of heading or term', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('690', '3', 'Materials specified', 'Materials specified', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('690', '6', 'Linkage', 'Linkage', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('690', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('690', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('690', 'a', 'Topical term or geographic name as entry element', 'Topical term or geographic name as entry element', 0, 0, '', 6, '', 'TOPIC_TERM', '', 0, 0, '', '', '', NULL),
		('690', 'b', 'Topical term following geographic name as entry element', 'Topical term following geographic name as entry element', 0, 0, '', 6, '', '', '', 0, -1, '', '', '', NULL),
		('690', 'c', 'Location of event', 'Location of event', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('690', 'd', 'Active dates', 'Active dates', 0, 0, '', 6, '', '', '', 0, -1, '', '', '', NULL),
		('690', 'e', 'Relator term', 'Relator term', 0, 0, '', 6, '', '', '', 0, -1, '', '', '', NULL),
		('690', 'v', 'Form subdivision', 'Form subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('690', 'x', 'General subdivision', 'General subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('690', 'y', 'Chronological subdivision', 'Chronological subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('690', 'z', 'Geographic subdivision', 'Geographic subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('691', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('691', '2', 'Source of heading or term', 'Source of heading or term', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('691', '3', 'Materials specified', 'Materials specified', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('691', '6', 'Linkage', 'Linkage', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('691', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('691', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('691', 'a', 'Geographic name', 'Geographic name', 0, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -6, '', '', '', NULL),
		('691', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('691', 'v', 'Form subdivision', 'Form subdivision', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('691', 'x', 'General subdivision', 'General subdivision', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('691', 'y', 'Chronological subdivision', 'Chronological subdivision', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('691', 'z', 'Geographic subdivision', 'Geographic subdivision', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('696', '2', 'Source of heading or term', 'Source of heading or term', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', '3', 'Materials specified', 'Materials specified', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', '4', 'Relator code', 'Relator code', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', '6', 'Linkage', 'Linkage', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('696', 'a', 'Personal name', 'Personal name', 0, 0, '', 6, '', 'PERSO_NAME', '', NULL, -6, '', '', '', NULL),
		('696', 'b', 'Numeration', 'Numeration', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'c', 'Titles and other words associated with a name', 'Titles and other words associated with a name', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'd', 'Dates associated with a name', 'Dates associated with a name', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'e', 'Relator term', 'Relator term', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'f', 'Date of a work', 'Date of a work', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'h', 'Medium', 'Medium', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'j', 'Attribution qualifier', 'Attribution qualifier', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'k', 'Form subheading', 'Form subheading', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'l', 'Language of a work', 'Language of a work', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'm', 'Medium of performance for music', 'Medium of performance for music', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'n', 'Number of part/section of a work', 'Number of part/section of a work', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'o', 'Arranged statement for music', 'Arranged statement for music', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'q', 'Fuller form of name', 'Fuller form of name', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'r', 'Key for music', 'Key for music', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 's', 'Version', 'Version', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 't', 'Title of a work', 'Title of a work', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'u', 'Affiliation', 'Affiliation', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'v', 'Form subdivision', 'Form subdivision', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'x', 'General subdivision', 'General subdivision', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'y', 'Chronological subdivision', 'Chronological subdivision', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'z', 'Geographic subdivision', 'Geographic subdivision', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('697', '2', 'Source of heading or term', 'Source of heading or term', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', '3', 'Materials specified', 'Materials specified', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', '4', 'Relator code', 'Relator code', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', '6', 'Linkage', 'Linkage', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('697', 'a', 'Corporate name or jurisdiction name as entry element', 'Corporate name or jurisdiction name as entry element', 0, 0, '', 6, '', 'CORPO_NAME', '', NULL, -6, '', '', '', NULL),
		('697', 'b', 'Subordinate unit', 'Subordinate unit', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'c', 'Location of meeting', 'Location of meeting', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'd', 'Date of meeting or treaty signing', 'Date of meeting or treaty signing', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'e', 'Relator term', 'Relator term', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'f', 'Date of a work', 'Date of a work', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'h', 'Medium', 'Medium', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'k', 'Form subheading', 'Form subheading', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'l', 'Language of a work', 'Language of a work', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'm', 'Medium of performance for music', 'Medium of performance for music', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'n', 'Number of part/section/meeting', 'Number of part/section/meeting', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'o', 'Arranged statement for music', 'Arranged statement for music', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'r', 'Key for music', 'Key for music', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 's', 'Version', 'Version', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 't', 'Title of a work', 'Title of a work', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'u', 'Affiliation', 'Affiliation', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'v', 'Form subdivision', 'Form subdivision', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'x', 'General subdivision', 'General subdivision', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'y', 'Chronological subdivision', 'Chronological subdivision', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'z', 'Geographic subdivision', 'Geographic subdivision', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('698', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('698', '2', 'Source of heading or term', 'Source of heading or term', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', '3', 'Materials specified', 'Materials specified', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', '4', 'Relator code', 'Relator code', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', '6', 'Linkage', 'Linkage', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('698', 'a', 'Meeting name or jurisdiction name as entry element', 'Meeting name or jurisdiction name as entry element', 0, 0, NULL, 6, NULL, 'MEETI_NAME', '', NULL, -6, '', '', '', NULL),
		('698', 'b', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 1, 0, NULL, -1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'c', 'Location of meeting', 'Location of meeting', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'd', 'Date of meeting', 'Date of meeting', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'e', 'Subordinate unit', 'Subordinate unit', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'f', 'Date of a work', 'Date of a work', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'h', 'Medium', 'Medium', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'k', 'Form subheading', 'Form subheading', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'l', 'Language of a work', 'Language of a work', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'n', 'Number of part/section/meeting', 'Number of part/section/meeting', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'q', 'Name of meeting following jurisdiction name entry element', 'Name of meeting following jurisdiction name entry element', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 's', 'Version', 'Version', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 't', 'Title of a work', 'Title of a work', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'u', 'Affiliation', 'Affiliation', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'v', 'Form subdivision', 'Form subdivision', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'x', 'General subdivision', 'General subdivision', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'y', 'Chronological subdivision', 'Chronological subdivision', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'z', 'Geographic subdivision', 'Geographic subdivision', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('699', '2', 'Source of heading or term', 'Source of heading or term', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', '3', 'Materials specified', 'Materials specified', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', '6', 'Linkage', 'Linkage', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('699', 'a', 'Uniform title', 'Uniform title', 0, 0, NULL, 6, NULL, 'UNIF_TITLE', '', NULL, -6, '', '', '', NULL),
		('699', 'd', 'Date of treaty signing', 'Date of treaty signing', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'f', 'Date of a work', 'Date of a work', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'h', 'Medium', 'Medium', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'k', 'Form subheading', 'Form subheading', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'l', 'Language of a work', 'Language of a work', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'm', 'Medium of performance for music', 'Medium of performance for music', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'n', 'Number of part/section of a work', 'Number of part/section of a work', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'o', 'Arranged statement for music', 'Arranged statement for music', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'r', 'Key for music', 'Key for music', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 's', 'Version', 'Version', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 't', 'Title of a work', 'Title of a work', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'v', 'Form subdivision', 'Form subdivision', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'x', 'General subdivision', 'General subdivision', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'y', 'Chronological subdivision', 'Chronological subdivision', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('700', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','7','','','','0','0','','','', NULL),
		('700', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', '4', 'Código de función', 'Código de función', 1, 0, '', 7, '', '', '', NULL, 0, '', '', '', NULL),
		('700', '5', 'Institución que aplica el campo', 'Institución que aplica el campo', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', '6', 'Enlace', 'Enlace', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, '', '', '', NULL),
		('700', 'a', 'Nombre de persona', 'Nombre de persona', 0, 0, 'additionalauthors.author', 7, '', 'PERSO_NAME', '', NULL, 0, '', '', '', NULL),
		('700', 'b', 'Numeración', 'Numeración', 0, 0, '', 7, '', '', '', NULL, -1, '', '', '', NULL),
		('700', 'c', 'Títulos y otros términos asociados al nombre', 'Títulos y otros términos asociados al nombre', 1, 0, '', 7, '', '', '', NULL, -1, '', '', '', NULL),
		('700', 'd', 'Fechas asociadas al nombre', 'Fechas asociadas al nombre', 0, 0, '', 7, '', '', '', NULL, 0, '', '', '', NULL),
		('700', 'e', 'Término indicativo de función', 'Término indicativo de función', 1, 0, '', 7, '', '', '', NULL, 0, '', '', '', NULL),
		('700', 'f', 'Fecha de publicación', 'Fecha de publicación', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'g', 'Información miscelánea', 'Información miscelánea', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'h', 'Tipo de material', 'Tipo de material', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'j', 'Calificador de la atribución', 'Calificador de la atribución', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'k', 'Subencabezamiento de forma', 'Subencabezamiento de forma', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'l', 'Lengua de la obra', 'Lengua de la obra', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'm', 'Medio de interpretación', 'Medio de interpretación', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'n', 'Número de parte o sección de la obra', 'Número de parte o sección de la obra', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'o', 'Arreglo', 'Arreglo', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'p', 'Nombre de parte o sección de la obra', 'Nombre de parte o sección de la obra', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'q', 'Forma desarrollada del nombre', 'Forma desarrollada del nombre', 0, 0, '', 7, '', '', '', NULL, 0, '', '', '', NULL),
		('700', 'r', 'Tonalidad', 'Tonalidad', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 's', 'Versión', 'Versión', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 't', 'Título de la obra', 'Título de la obra', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'u', 'Filiación', 'Filiación', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'a', 'Personal name', 'Personal name', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'b', 'Numeration', 'Numeration', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'c', 'Titles and other words associated with a name', 'Titles and other words associated with a name', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'd', 'Dates associated with a name', 'Dates associated with a name', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'e', 'Relator term', 'Relator term', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'f', 'Date of a work', 'Date of a work', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'h', 'Medium', 'Medium', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'k', 'Form subheading', 'Form subheading', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'l', 'Language of a work', 'Language of a work', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'm', 'Medium of performance for music', 'Medium of performance for music', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'n', 'Number of part/section of a work', 'Number of part/section of a work', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'o', 'Arranged statement for music', 'Arranged statement for music', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'r', 'Key for music', 'Key for music', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 's', 'Version', 'Version', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 't', 'Title of a work', 'Title of a work', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','7','','','','0','0', '', '', '', NULL),
		('710', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', '4', 'Código de función', 'Código de función', 1, 0, '', 7, '', '', '', NULL, 0, '', '', '', NULL),
		('710', '5', 'Institución que aplica el campo', 'Institución que aplica el campo', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', '6', 'Enlace', 'Enlace', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, '', '', '', NULL),
		('710', 'a', 'Nombre de entidad o nombre de jurisdicción como elemento inicial', 'Nombre de entidad o nombre de jurisdicción como elemento inicial', 0, 0, '', 7, '', 'CORPO_NAME', '', NULL, 0, '', '', '', NULL),
		('710', 'b', 'Unidad subordinada', 'Unidad subordinada', 1, 0, '', 7, '', '', '', NULL, 0, '', '', '', NULL),
		('710', 'c', 'Sede del congreso', 'Sede del congreso', 0, 0, '', 7, '', '', '', NULL, -1, '', '', '', NULL),
		('710', 'd', 'Fecha del congreso o de la firma de un tratado', 'Fecha del congreso o de la firma de un tratado', 1, 0, '', 7, '', '', '', NULL, -1, '', '', '', NULL),
		('710', 'e', 'Término indicativo de función', 'Término indicativo de función', 1, 0, '', 7, '', '', '', NULL, 0, '', '', '', NULL),
		('710', 'f', 'Fecha de publicación', 'Fecha de publicación', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 'g', 'Información miscelánea', 'Información miscelánea', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 'h', 'Tipo de material', 'Tipo de material', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 'i', 'Información sobre la relación', 'Información sobre la relación','1','0','','7','','','','0','-6','','','', NULL),
		('710', 'k', 'Subencabezamiento de forma', 'Subencabezamiento de forma', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 'l', 'Lengua de la obra', 'Lengua de la obra', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 'm', 'Medio de interpretación', 'Medio de interpretación', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 'n', 'Número del congreso o número de parte o sección de la obra', 'Número del congreso o número de parte o sección de la obra', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 'o', 'Arreglo', 'Arreglo', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 'p', 'Nombre de parte o sección de la obra', 'Nombre de parte o sección de la obra', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 'r', 'Tonalidad', 'Tonalidad', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 's', 'Versión', 'Versión', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 't', 'Título de la obra', 'Título de la obra', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 'u', 'Filiación', 'Filiación', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('711', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','7','','','','0','0', '', '', '', NULL),
		('711', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', '4', 'Código de función', 'Código de función', 1, 0, NULL, 7, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('711', '5', 'Institución que aplica el campo', 'Institución que aplica el campo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', '6', 'Enlace', 'Enlace', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, '', '', '', NULL),
		('711', 'a', 'Nombre de congreso o nombre de jurisdicción como elemento inicial', 'Nombre de congreso o nombre de jurisdicción como elemento inicial', 0, 0, NULL, 7, NULL, 'MEETI_NAME', '', NULL, 0, '', '', '', NULL),
		('711', 'c', 'Sede del congreso', 'Sede del congreso', 0, 0, NULL, 7, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('711', 'd', 'Fecha del congreso', 'Fecha del congreso', 0, 0, NULL, 7, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('711', 'e', 'Unidad subordinada', 'Unidad subordinada', 1, 0, NULL, 7, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('711', 'f', 'Fecha de publicación', 'Fecha de publicación', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', 'g', 'Información miscelánea', 'Información miscelánea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', 'h', 'Tipo de material', 'Tipo de material', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', 'i', 'Información sobre la relación', 'Información sobre la relación','1','0','','7','','','','0','0','','','', NULL),
		('711', 'j', 'Término indicativo de función', 'Término indicativo de función', 1, 0, NULL, 7, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('711', 'k', 'Subencabezamiento de forma', 'Subencabezamiento de forma', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', 'l', 'Lengua de la obra', 'Lengua de la obra', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', 'n', 'Número del congreso o número de parte o sección de la obra', 'Número del congreso o número de parte o sección de la obra', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', 'p', 'Nombre de parte o sección de la obra', 'Nombre de parte o sección de la obra', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', 'q', 'Nombre del congreso a continuación de la jurisdicción como elemento inicial', 'Nombre del congreso a continuación de la jurisdicción como elemento inicial', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', 's', 'Versión', 'Versión', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', 't', 'Título de la obra', 'Título de la obra', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', 'u', 'Filiación', 'Filiación', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('715', 'a', 'Corporate name or jurisdiction name', 'Corporate name or jurisdiction name', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 'b', 'Subordinate unit', 'Subordinate unit', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 'e', 'Relator term', 'Relator term', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 'f', 'Date of a work', 'Date of a work', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 'h', 'Medium', 'Medium', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 'k', 'Form subheading', 'Form subheading', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 'l', 'Language of a work', 'Language of a work', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 'n', 'Number of part/section/meeting', 'Number of part/section/meeting', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 'r', 'Key for music', 'Key for music', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 's', 'Version', 'Version', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 't', 'Title of a work', 'Title of a work', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 'u', 'Nonprinting information', 'Nonprinting information', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('720', '4', 'Código de función', 'Código de función', 1, 0, NULL, 7, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('720', '6', 'Enlace', 'Enlace', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('720', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('720', 'a', 'Nombre', 'Nombre', 0, 0, '', 7, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('720', 'e', 'Término indicativo de función', 'Término indicativo de función', 1, 0, NULL, 7, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('730', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','7','','','','0','0', '', '', '', NULL),
		('730', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', '5', 'Institución que aplica el campo', 'Institución que aplica el campo', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', '6', 'Enlace', 'Enlace', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, '', '', '', NULL),
		('730', 'a', 'Título uniforme', 'Título uniforme', 0, 0, '', 7, '', 'UNIF_TITLE', '', NULL, -1, '', '', '', NULL),
		('730', 'd', 'Fecha de la firma de un tratado', 'Fecha de la firma de un tratado', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', 'f', 'Fecha de publicación', 'Fecha de publicación', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', 'g', 'Información miscelánea', 'Información miscelánea', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', 'h', 'Tipo de material', 'Tipo de material', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', 'i', 'Información sobre la relación', 'Información sobre la relación','1','0','','7','','','','0','-6', '', '', '', NULL),
		('730', 'k', 'Subencabezamiento de forma', 'Subencabezamiento de forma', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', 'l', 'Lengua de la obra', 'Lengua de la obra', 0, 0, '', 7, '', '', '', NULL, -1, '', '', '', NULL),
		('730', 'm', 'Medio de interpretación', 'Medio de interpretación', 1, 0, '', 7, '', '', '', NULL, -1, '', '', '', NULL),
		('730', 'n', 'Número de parte o sección de la obra', 'Número de parte o sección de la obra', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', 'o', 'Mención de arreglo', 'Mención de arreglo', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', 'p', 'Nombre de parte o sección de la obra', 'Nombre de parte o sección de la obra', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', 'r', 'Tonalidad', 'Tonalidad', 0, 0, '', 7, '', '', '', NULL, -1, '', '', '', NULL),
		('730', 's', 'Versión', 'Versión', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', 't', 'Título de la obra', 'Título de la obra', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('740', '5', 'Institución que aplica el campo', 'Institución que aplica el campo', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('740', '6', 'Enlace', 'Enlace', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('740', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('740', 'a', 'Título relacionado o analítico no controlado', 'Título relacionado o analítico no controlado', 0, 0, '', 7, '', '', '', NULL, -1, '', '', '', NULL),
		('740', 'h', 'Tipo de material', 'Tipo de material', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('740', 'n', 'Número de parte o sección de la obra', 'Número de parte o sección de la obra', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('740', 'p', 'Nombre de parte o sección de la obra', 'Nombre de parte o sección de la obra', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('751', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','7','','','','0','0', '', '', '', NULL),
		('751', '2', 'Fuente del encabezamiento o término', 'Fuente del encabezamiento o término','0','0','','7','','','','0','0', '', '', '', NULL),
		('751', '3', 'Especificación de materiales', 'Especificación de materiales','0','0','','7','','','','0','0', '', '', '', NULL),
		('751', '4', 'Código de función', 'Código de función','1','0','','7','','','','0','0', '', '', '', NULL),
		('751', '6', 'Enlace', 'Enlace','0','0','','7','','','','0','0', '', '', '', NULL),
		('751', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia','1','0','','7','','','','0','0', '', '', '', NULL),
		('751', 'a', 'Nombre geográfico', 'Nombre geográfico','0','0','','7','','','','0','0', '', '', '', NULL),
		('751', 'e', 'Término indicativo de función', 'Término indicativo de función','1','0','','7','','','','0','0', '', '', '', NULL),
		('752', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','7','','','','0','0', '', '', '', NULL),
		('752', '2', 'Fuente del encabezamiento o término', 'Fuente del encabezamiento o término', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('752', '6', 'Enlace', 'Enlace', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('752', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('752', 'a', 'País o entidad superior', 'País o entidad superior', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('752', 'b', 'Jurisdicción política de primer nivel', 'Jurisdicción política de primer nivel', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('752', 'c', 'Jurisdicción política intermedia', 'Jurisdicción política intermedia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('752', 'd', 'Ciudad', 'Ciudad', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('752', 'f', 'Subdivisión de ciudad', 'Subdivisión de ciudad', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('752', 'g', 'Otras regiones o rasgos geográficos no jurisdiccionales', 'Otras regiones o rasgos geográficos no jurisdiccionales', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('752', 'h', 'Área extraterrestre', 'Área extraterrestre', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('753', '6', 'Enlace', 'Enlace', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('753', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('753', 'a', 'Marca y modelo de la máquina', 'Marca y modelo de la máquina', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('753', 'b', 'Lenguaje de programación', 'Lenguaje de programación', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('753', 'c', 'Sistema operativo', 'Sistema operativo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('754', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','7','','','','0','0','','','', NULL),
		('754', '2', 'Fuente de la identificación taxonómica', 'Fuente de la identificación taxonómica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('754', '6', 'Enlace', 'Enlace', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('754', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('754', 'a', 'Nombre taxonómico', 'Nombre taxonómico', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('754', 'c', 'Categoría taxonómica', 'Categoría taxonómica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('754', 'd', 'Nombre común o alternativo', 'Nombre común o alternativo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('754', 'x', 'Nota interna', 'Nota interna', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('754', 'z', 'Nota pública', 'Nota pública', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('755', '2', 'Source of taxonomic identification', 'Source of taxonomic identification', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('755', '3', 'Materials specified', 'Materials specified', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('755', '6', 'Linkage', 'Linkage', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('755', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('755', 'a', 'Access term', 'Access term', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('755', 'x', 'General subdivision', 'General subdivision', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('755', 'y', 'Chronological subdivision', 'Chronological subdivision', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('755', 'z', 'Geographic subdivision', 'Geographic subdivision', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('760', '4', 'Código de relación', 'Código de relación','1','0','','7','','','','0','-6', '', '', '', NULL),
		('760', '6', 'Enlace', 'Enlace', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', '7', 'Subcampo de control', 'Subcampo de control', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'a', 'Encabezamiento principal', 'Encabezamiento principal', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'b', 'Edición', 'Edición', 0, 0, NULL, 7, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('760', 'c', 'Información adicional', 'Información adicional', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'd', 'Lugar  editor y fecha de publicación', 'Lugar  editor y fecha de publicación', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'g', 'Parte(s) relacionada(s)', 'Parte(s) relacionada(s)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'h', 'Descripción física', 'Descripción física', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'i', 'Información sobre la relación', 'Información sobre la relación', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'm', 'Detalles específicos del material', 'Detalles específicos del material', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'o', 'Otro identificador del documento', 'Otro identificador del documento', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 's', 'Título uniforme', 'Título uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 't', 'Título', 'Título', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'w', 'Número de control del registro relacionado', 'Número de control del registro relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'y', 'CODEN', 'CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', '4', 'Código de relación', 'Código de relación','1','0','','7','','','','0','-6', '', '', '', NULL),
		('762', '6', 'Enlace', 'Enlace', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', '7', 'Subcampo de control', 'Subcampo de control', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'a', 'Encabezamiento principal', 'Encabezamiento principal', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'b', 'Edición', 'Edición', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'c', 'Información adicional', 'Información adicional', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'd', 'Lugar  editor y fecha de publicación', 'Lugar  editor y fecha de publicación', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'g', 'Parte(s) relacionada(s)', 'Parte(s) relacionada(s)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'h', 'Descripción física', 'Descripción física', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'i', 'Información sobre la relación', 'Información sobre la relación', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'm', 'Detalles específicos del material', 'Detalles específicos del material', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'o', 'Otro identificador del documento', 'Otro identificador del documento', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 's', 'Título uniforme', 'Título uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 't', 'Título', 'Título', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'w', 'Número de control del registro relacionado', 'Número de control del registro relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'y', 'CODEN', 'CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', '6', 'Enlace', 'Enlace', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', '4', 'Código de relación', 'Código de relación','1','0','','7','','','','0','-6', '', '', '', NULL),
		('765', '7', 'Subcampo de control', 'Subcampo de control', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'a', 'Encabezamiento principal', 'Encabezamiento principal', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'b', 'Edición', 'Edición', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'c', 'Información adicional', 'Información adicional', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'd', 'Lugar  editor y fecha de publicación', 'Lugar  editor y fecha de publicación', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'g', 'Parte(s) relacionada(s)', 'Parte(s) relacionada(s)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'h', 'Descripción física', 'Descripción física', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'i', 'Información sobre la relación', 'Información sobre la relación', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'k', 'Datos de la serie del documento relacionado', 'Datos de la serie del documento relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'm', 'Detalles específicos del material', 'Detalles específicos del material', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'o', 'Otro identificador del documento', 'Otro identificador del documento', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'r', 'Número de informe', 'Número de informe', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 's', 'Título uniforme', 'Título uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 't', 'Título', 'Título', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'u', 'Número Normalizado de Informe Técnico (ISRN)', 'Número Normalizado de Informe Técnico (ISRN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'w', 'Número de control del registro relacionado', 'Número de control del registro relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'y', 'CODEN', 'CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'z', 'Número Internacional Normalizado para Libros (ISBN)', 'Número Internacional Normalizado para Libros (ISBN)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', '4', 'Código de relación', 'Código de relación','1','0','','7','','','','0','-6', '', '', '', NULL),
		('767', '6', 'Enlace', 'Enlace', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', '7', 'Subcampo de control', 'Subcampo de control', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'a', 'Encabezamiento principal', 'Encabezamiento principal', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'b', 'Edición', 'Edición', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'c', 'Información adicional', 'Información adicional', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'd', 'Lugar  editor y fecha de publicación', 'Lugar  editor y fecha de publicación', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'g', 'Parte(s) relacionada(s)', 'Parte(s) relacionada(s)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'h', 'Descripción física', 'Descripción física', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'i', 'Información sobre la relación', 'Información sobre la relación', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'k', 'Datos de la serie del documento relacionado', 'Datos de la serie del documento relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'm', 'Detalles específicos del material', 'Detalles específicos del material', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'o', 'Otro identificador del documento', 'Otro identificador del documento', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'r', 'Número de informe', 'Número de informe', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 's', 'Título uniforme', 'Título uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 't', 'Título', 'Título', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'u', 'Número Normalizado de Informe Técnico (ISRN)', 'Número Normalizado de Informe Técnico (ISRN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'w', 'Número de control del registro relacionado', 'Número de control del registro relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'y', 'CODEN', 'CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'z', 'Número Internacional Normalizado para Libros (ISBN)', 'Número Internacional Normalizado para Libros (ISBN)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', '4', 'Código de relación', 'Código de relación','1','0','','7','','','','0','-6', '', '', '', NULL),
		('770', '6', 'Enlace', 'Enlace', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', '7', 'Subcampo de control', 'Subcampo de control', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'a', 'Encabezamiento principal', 'Encabezamiento principal', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'b', 'Edición', 'Edición', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'c', 'Información adicional', 'Información adicional', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'd', 'Lugar  editor y fecha de publicación', 'Lugar  editor y fecha de publicación', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'g', 'Parte(s) relacionada(s)', 'Parte(s) relacionada(s)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'h', 'Descripción física', 'Descripción física', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'i', 'Información sobre la relación', 'Información sobre la relación', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'k', 'Datos de la serie del documento relacionado', 'Datos de la serie del documento relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'm', 'Detalles específicos del material', 'Detalles específicos del material', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'o', 'Otro identificador del documento', 'Otro identificador del documento', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'r', 'Número de informe', 'Número de informe', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 's', 'Título uniforme', 'Título uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 't', 'Título', 'Título', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'u', 'Número Normalizado de Informe Técnico (ISRN)', 'Número Normalizado de Informe Técnico (ISRN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'w', 'Número de control del registro relacionado', 'Número de control del registro relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'y', 'CODEN', 'CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'z', 'Número Internacional Normalizado para Libros (ISBN)', 'Número Internacional Normalizado para Libros (ISBN)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', '4', 'Código de relación', 'Código de relación','1','0','','7','','','','0','-6', '', '', '', NULL),
		('772', '6', 'Enlace', 'Enlace', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', '7', 'Subcampo de control', 'Subcampo de control', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'a', 'Encabezamiento principal', 'Encabezamiento principal', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'b', 'Edición', 'Edición', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'c', 'Información adicional', 'Información adicional', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'd', 'Lugar  editor y fecha de publicación', 'Lugar  editor y fecha de publicación', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'g', 'Parte(s) relacionada(s)', 'Parte(s) relacionada(s)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'h', 'Descripción física', 'Descripción física', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'i', 'Información sobre la relación', 'Información sobre la relación', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'k', 'Datos de la serie del documento relacionado', 'Datos de la serie del documento relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'm', 'Detalles específicos del material', 'Detalles específicos del material', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'o', 'Otro identificador del documento', 'Otro identificador del documento', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'r', 'Número de informe', 'Número de informe', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 's', 'Título uniforme', 'Título uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 't', 'Título', 'Título', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'u', 'Número Normalizado de Informe Técnico (ISRN)', 'Número Normalizado de Informe Técnico (ISRN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'w', 'Número de control del registro relacionado', 'Número de control del registro relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'y', 'CODEN', 'CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'z', 'Número Internacional Normalizado para Libros (ISBN)', 'Número Internacional Normalizado para Libros (ISBN)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', '4', 'Código de relación', 'Código de relación','1','0','','7','','','','0','-6', '', '', '', NULL),
		('773', '6', 'Enlace', 'Enlace', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', '7', 'Subcampo de control', 'Subcampo de control', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'a', 'Encabezamiento principal', 'Encabezamiento principal', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'b', 'Edición', 'Edición', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'd', 'Lugar  editor y fecha de publicación', 'Lugar  editor y fecha de publicación', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'g', 'Parte(s) relacionada(s)', 'Parte(s) relacionada(s)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'h', 'Descripción física', 'Descripción física', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'i', 'Información sobre la relación', 'Información sobre la relación', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'k', 'Datos de la serie del documento relacionado', 'Datos de la serie del documento relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'm', 'Detalles específicos del material', 'Detalles específicos del material', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'o', 'Otro identificador del documento', 'Otro identificador del documento', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'p', 'Título abreviado', 'Título abreviado', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'r', 'Número de informe', 'Número de informe', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 's', 'Título uniforme', 'Título uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 't', 'Título', 'Título', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'u', 'Número Normalizado de Informe Técnico (ISRN)', 'Número Normalizado de Informe Técnico (ISRN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'w', 'Número de control del registro relacionado', 'Número de control del registro relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'y', 'CODEN', 'CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'z', 'Número Internacional Normalizado para Libros (ISBN)', 'Número Internacional Normalizado para Libros (ISBN)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', '4', 'Código de relación', 'Código de relación','1','0','','7','','','','0','-6', '', '', '', NULL),
		('774', '6', 'Enlace', 'Enlace', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', '7', 'Subcampo de control', 'Subcampo de control', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'a', 'Encabezamiento principal', 'Encabezamiento principal', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'b', 'Edición', 'Edición', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'c', 'Información adicional', 'Información adicional', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'd', 'Lugar  editor y fecha de publicación', 'Lugar  editor y fecha de publicación', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'g', 'Parte(s) relacionada(s)', 'Parte(s) relacionada(s)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'h', 'Descripción física', 'Descripción física', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'i', 'Información sobre la relación', 'Información sobre la relación', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'k', 'Datos de la serie del documento relacionado', 'Datos de la serie del documento relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'm', 'Detalles específicos del material', 'Detalles específicos del material', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'o', 'Otro identificador del documento', 'Otro identificador del documento', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'r', 'Número de informe', 'Número de informe', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 's', 'Título uniforme', 'Título uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 't', 'Título', 'Título', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'u', 'Número Normalizado de Informe Técnico (ISRN)', 'Número Normalizado de Informe Técnico (ISRN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'w', 'Número de control del registro relacionado', 'Número de control del registro relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'y', 'CODEN', 'CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'z', 'Número Internacional Normalizado para Libros (ISBN)', 'Número Internacional Normalizado para Libros (ISBN)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', '4', 'Código de relación', 'Código de relación','1','0','','7','','','','0','-6', '', '', '', NULL),
		('775', '6', 'Enlace', 'Enlace', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', '7', 'Subcampo de control', 'Subcampo de control', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'a', 'Encabezamiento principal', 'Encabezamiento principal', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'b', 'Edición', 'Edición', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'c', 'Información adicional', 'Información adicional', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'd', 'Lugar  editor y fecha de publicación', 'Lugar  editor y fecha de publicación', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'e', 'Código de lengua', 'Código de lengua', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'f', 'Código de país', 'Código de país', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'g', 'Parte(s) relacionada(s)', 'Parte(s) relacionada(s)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'h', 'Descripción física', 'Descripción física', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'i', 'Información sobre la relación', 'Información sobre la relación', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'k', 'Datos de la serie del documento relacionado', 'Datos de la serie del documento relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'm', 'Detalles específicos del material', 'Detalles específicos del material', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'o', 'Otro identificador del documento', 'Otro identificador del documento', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'r', 'Número de informe', 'Número de informe', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 's', 'Título uniforme', 'Título uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 't', 'Título', 'Título', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'u', 'Número Normalizado de Informe Técnico (ISRN)', 'Número Normalizado de Informe Técnico (ISRN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'w', 'Número de control del registro relacionado', 'Número de control del registro relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'y', 'CODEN', 'CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'z', 'Número Internacional Normalizado para Libros (ISBN)', 'Número Internacional Normalizado para Libros (ISBN)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', '4', 'Código de relación', 'Código de relación','1','0','','7','','','','0','-6', '', '', '', NULL),
		('776', '6', 'Enlace', 'Enlace', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', '7', 'Subcampo de control', 'Subcampo de control', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'a', 'Encabezamiento principal', 'Encabezamiento principal', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'b', 'Edición', 'Edición', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'c', 'Información adicional', 'Información adicional', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'd', 'Lugar  editor y fecha de publicación', 'Lugar  editor y fecha de publicación', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'g', 'Parte(s) relacionada(s)', 'Parte(s) relacionada(s)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'h', 'Descripción física', 'Descripción física', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'i', 'Información sobre la relación', 'Información sobre la relación', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'k', 'Datos de la serie del documento relacionado', 'Datos de la serie del documento relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'm', 'Detalles específicos del material', 'Detalles específicos del material', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'o', 'Otro identificador del documento', 'Otro identificador del documento', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'r', 'Número de informe', 'Número de informe', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 's', 'Título uniforme', 'Título uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 't', 'Título', 'Título', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'u', 'Número Normalizado de Informe Técnico (ISRN)', 'Número Normalizado de Informe Técnico (ISRN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'w', 'Número de control del registro relacionado', 'Número de control del registro relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'y', 'CODEN', 'CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'z', 'Número Internacional Normalizado para Libros (ISBN)', 'Número Internacional Normalizado para Libros (ISBN)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', '4', 'Código de relación', 'Código de relación','1','0','','7','','','','0','-6', '', '', '', NULL),
		('777', '6', 'Enlace', 'Enlace', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', '7', 'Subcampo de control', 'Subcampo de control', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'a', 'Encabezamiento principal', 'Encabezamiento principal', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'b', 'Edición', 'Edición', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'c', 'Información adicional', 'Información adicional', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'd', 'Lugar  editor y fecha de publicación', 'Lugar  editor y fecha de publicación', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'g', 'Parte(s) relacionada(s)', 'Parte(s) relacionada(s)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'h', 'Descripción física', 'Descripción física', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'i', 'Información sobre la relación', 'Información sobre la relación', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'k', 'Datos de la serie del documento relacionado', 'Datos de la serie del documento relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'm', 'Detalles específicos del material', 'Detalles específicos del material', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'o', 'Otro identificador del documento', 'Otro identificador del documento', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 's', 'Título uniforme', 'Título uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 't', 'Título', 'Título', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'w', 'Número de control del registro relacionado', 'Número de control del registro relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'y', 'CODEN', 'CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', '4', 'Código de relación', 'Código de relación','1','0','','7','','','','0','-6', '', '', '', NULL),
		('780', '6', 'Enlace', 'Enlace', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', '7', 'Subcampo de control', 'Subcampo de control', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'a', 'Encabezamiento principal', 'Encabezamiento principal', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'b', 'Edición', 'Edición', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'c', 'Información adicional', 'Información adicional', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'd', 'Lugar  editor y fecha de publicación', 'Lugar  editor y fecha de publicación', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'g', 'Parte(s) relacionada(s)', 'Parte(s) relacionada(s)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'h', 'Descripción física', 'Descripción física', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'i', 'Información sobre la relación', 'Información sobre la relación', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'k', 'Datos de la serie del documento relacionado', 'Datos de la serie del documento relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'm', 'Detalles específicos del material', 'Detalles específicos del material', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'o', 'Otro identificador del documento', 'Otro identificador del documento', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'r', 'Número de informe', 'Número de informe', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 's', 'Título uniforme', 'Título uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 't', 'Título', 'Título', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'u', 'Número Normalizado de Informe Técnico (ISRN)', 'Número Normalizado de Informe Técnico (ISRN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'w', 'Número de control del registro relacionado', 'Número de control del registro relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'y', 'CODEN', 'CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'z', 'Número Internacional Normalizado para Libros (ISBN)', 'Número Internacional Normalizado para Libros (ISBN)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', '4', 'Código de relación', 'Código de relación','1','0','','7','','','','0','-6', '', '', '', NULL),
		('785', '6', 'Enlace', 'Enlace', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', '7', 'Subcampo de control', 'Subcampo de control', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'a', 'Encabezamiento principal', 'Encabezamiento principal', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'b', 'Edición', 'Edición', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'c', 'Información adicional', 'Información adicional', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'd', 'Lugar  editor y fecha de publicación', 'Lugar  editor y fecha de publicación', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'g', 'Parte(s) relacionada(s)', 'Parte(s) relacionada(s)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'h', 'Descripción física', 'Descripción física', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'i', 'Información sobre la relación', 'Información sobre la relación', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'k', 'Datos de la serie del documento relacionado', 'Datos de la serie del documento relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'm', 'Detalles específicos del material', 'Detalles específicos del material', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'o', 'Otro identificador del documento', 'Otro identificador del documento', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'r', 'Número de informe', 'Número de informe', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 's', 'Título uniforme', 'Título uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 't', 'Título', 'Título', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'u', 'Número Normalizado de Informe Técnico (ISRN)', 'Número Normalizado de Informe Técnico (ISRN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'w', 'Número de control del registro relacionado', 'Número de control del registro relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'y', 'CODEN', 'CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'z', 'Número Internacional Normalizado para Libros (ISBN)', 'Número Internacional Normalizado para Libros (ISBN)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', '4', 'Código de relación', 'Código de relación','1','0','','7','','','','0','-6', '', '', '', NULL),
		('786', '6', 'Enlace', 'Enlace', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', '7', 'Subcampo de control', 'Subcampo de control', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'a', 'Encabezamiento principal', 'Encabezamiento principal', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'b', 'Edición', 'Edición', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'c', 'Información adicional', 'Información adicional', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'd', 'Lugar  editor y fecha de publicación', 'Lugar  editor y fecha de publicación', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'g', 'Parte(s) relacionada(s)', 'Parte(s) relacionada(s)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'h', 'Descripción física', 'Descripción física', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'i', 'Información sobre la relación', 'Información sobre la relación', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'j', 'Periodo de duración del contenido', 'Periodo de duración del contenido', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'k', 'Datos de la serie del documento relacionado', 'Datos de la serie del documento relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'm', 'Detalles específicos del material', 'Detalles específicos del material', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'o', 'Otro identificador del documento', 'Otro identificador del documento', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'p', 'Título abreviado', 'Título abreviado', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'r', 'Número de informe', 'Número de informe', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 's', 'Título uniforme', 'Título uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 't', 'Título', 'Título', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'u', 'Número Normalizado de Informe Técnico (ISRN)', 'Número Normalizado de Informe Técnico (ISRN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'v', 'Contribución de la fuente', 'Contribución de la fuente','0','0','','7','','','','0','-6', '', '', '', NULL),
		('786', 'w', 'Número de control del registro relacionado', 'Número de control del registro relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'y', 'CODEN', 'CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'z', 'Número Internacional Normalizado para Libros (ISBN)', 'Número Internacional Normalizado para Libros (ISBN)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', '4', 'Código de relación', 'Código de relación','1','0','','7','','','','0','-6', '', '', '', NULL),
		('787', '6', 'Enlace', 'Enlace', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', '7', 'Subcampo de control', 'Subcampo de control', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'a', 'Encabezamiento principal', 'Encabezamiento principal', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'b', 'Edición', 'Edición', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'c', 'Información adicional', 'Información adicional', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'd', 'Lugar  editor y fecha de publicación', 'Lugar  editor y fecha de publicación', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'g', 'Parte(s) relacionada(s)', 'Parte(s) relacionada(s)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'h', 'Descripción física', 'Descripción física', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'i', 'Información sobre la relación', 'Información sobre la relación', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'k', 'Datos de la serie del documento relacionado', 'Datos de la serie del documento relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'm', 'Detalles específicos del material', 'Detalles específicos del material', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'o', 'Otro identificador del documento', 'Otro identificador del documento', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'r', 'Número de informe', 'Número de informe', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 's', 'Título uniforme', 'Título uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 't', 'Título', 'Título', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'u', 'Número Normalizado de Informe Técnico (ISRN)', 'Número Normalizado de Informe Técnico (ISRN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'w', 'Número de control del registro relacionado', 'Número de control del registro relacionado', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'y', 'CODEN', 'CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'z', 'Número Internacional Normalizado para Libros (ISBN)', 'Número Internacional Normalizado para Libros (ISBN)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('789', '%', '%', '%', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('789', '2', '2', '2', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', '3', '3', '3', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', '4', '4', '4', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', '5', '5', '5', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', '6', '6', '6', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', '7', '7', '7', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', '8', '8', '8', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', '9', '9', '9', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'a', 'a', 'a', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'b', 'b', 'b', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'c', 'c', 'c', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'd', 'd', 'd', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'e', 'e', 'e', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'f', 'f', 'f', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'g', 'g', 'g', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'h', 'h', 'h', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'i', 'i', 'i', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'j', 'j', 'j', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'k', 'k', 'k', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'l', 'l', 'l', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'm', 'm', 'm', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'n', 'n', 'n', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'o', 'o', 'o', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'p', 'p', 'p', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'q', 'q', 'q', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'r', 'r', 'r', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 's', 's', 's', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 't', 't', 't', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'u', 'u', 'u', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'v', 'v', 'v', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'w', 'w', 'w', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'x', 'x', 'x', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'y', 'y', 'y', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'z', 'z', 'z', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('796', '3', 'Materials specified', 'Materials specified', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', '4', 'Relator code', 'Relator code', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', '5', 'Institution to which field applies', 'Institution to which field applies', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', '6', 'Linkage', 'Linkage', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, '', '', '', NULL),
		('796', 'a', 'Personal name', 'Personal name', 0, 0, '', 7, '', 'PERSO_NAME', '', NULL, -6, '', '', '', NULL),
		('796', 'b', 'Numeration', 'Numeration', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'c', 'Titles and other words associated with a name', 'Titles and other words associated with a name', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'd', 'Dates associated with a name', 'Dates associated with a name', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'e', 'Relator term', 'Relator term', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'f', 'Date of a work', 'Date of a work', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'h', 'Medium', 'Medium', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'j', 'Attribution qualifier', 'Attribution qualifier', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'k', 'Form subheading', 'Form subheading', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'l', 'Language of a work', 'Language of a work', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'm', 'Medium of performance for music', 'Medium of performance for music', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'n', 'Number of part/section of a work', 'Number of part/section of a work', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'o', 'Arranged statement for music', 'Arranged statement for music', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'q', 'Fuller form of name', 'Fuller form of name', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'r', 'Key for music', 'Key for music', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 's', 'Version', 'Version', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 't', 'Title of a work', 'Title of a work', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'u', 'Affiliation', 'Affiliation', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('797', '3', 'Materials specified', 'Materials specified', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', '4', 'Relator code', 'Relator code', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', '5', 'Institution to which field applies', 'Institution to which field applies', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', '6', 'Linkage', 'Linkage', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, '', '', '', NULL),
		('797', 'a', 'Corporate name or jurisdiction name as entry element', 'Corporate name or jurisdiction name as entry element', 0, 0, '', 7, '', 'CORPO_NAME', '', NULL, -6, '', '', '', NULL),
		('797', 'b', 'Subordinate unit', 'Subordinate unit', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'c', 'Location of meeting', 'Location of meeting', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'd', 'Date of meeting or treaty signing', 'Date of meeting or treaty signing', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'e', 'Relator term', 'Relator term', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'f', 'Date of a work', 'Date of a work', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'h', 'Medium', 'Medium', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'k', 'Form subheading', 'Form subheading', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'l', 'Language of a work', 'Language of a work', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'm', 'Medium of performance for music', 'Medium of performance for music', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'n', 'Number of part/section/meeting', 'Number of part/section/meeting', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'o', 'Arranged statement for music', 'Arranged statement for music', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'r', 'Key for music', 'Key for music', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 's', 'Version', 'Version', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 't', 'Title of a work', 'Title of a work', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'u', 'Affiliation', 'Affiliation', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('798', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, '', '', '', NULL),
		('798', '3', 'Materials specified', 'Materials specified', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', '4', 'Relator code', 'Relator code', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', '5', 'Institution to which field applies', 'Institution to which field applies', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', '6', 'Linkage', 'Linkage', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, '', '', '', NULL),
		('798', 'a', 'Meeting name or jurisdiction name as entry element', 'Meeting name or jurisdiction name as entry element', 0, 0, NULL, 7, NULL, 'MEETI_NAME', '', NULL, -6, '', '', '', NULL),
		('798', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'c', 'Location of meeting', 'Location of meeting', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'd', 'Date of meeting', 'Date of meeting', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'e', 'Subordinate unit', 'Subordinate unit', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'f', 'Date of a work', 'Date of a work', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'h', 'Medium', 'Medium', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'k', 'Form subheading', 'Form subheading', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'l', 'Language of a work', 'Language of a work', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'n', 'Number of part/section/meeting', 'Number of part/section/meeting', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'q', 'Name of meeting following jurisdiction name entry element', 'Name of meeting following jurisdiction name entry element', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 's', 'Version', 'Version', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 't', 'Title of a work', 'Title of a work', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'u', 'Affiliation', 'Affiliation', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('799', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('799', '3', 'Materials specified', 'Materials specified', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', '5', 'Institution to which field applies', 'Institution to which field applies', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', '6', 'Linkage', 'Linkage', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, '', '', '', NULL),
		('799', 'a', 'Uniform title', 'Uniform title', 0, 0, '', 7, '', 'UNIF_TITLE', '', NULL, -6, '', '', '', NULL),
		('799', 'd', 'Date of treaty signing', 'Date of treaty signing', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 'f', 'Date of a work', 'Date of a work', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 'h', 'Medium', 'Medium', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 'k', 'Form subheading', 'Form subheading', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 'l', 'Language of a work', 'Language of a work', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 'm', 'Medium of performance for music', 'Medium of performance for music', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 'n', 'Number of part/section of a work', 'Number of part/section of a work', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 'o', 'Arranged statement for music', 'Arranged statement for music', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 'r', 'Key for music', 'Key for music', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 's', 'Version', 'Version', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 't', 'Title of a work', 'Title of a work', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('800', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','8','','','','0','0', '', '', '', NULL),
		('800', '3', 'Especificación de materiales', 'Especificación de materiales','0','0','','8','','','','0','-1', '', '', '', NULL),
		('800', '4', 'Código de función', 'Código de función', 1, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('800', '5', 'Institución que aplica el campo', 'Institución que aplica el campo','1','0','','8','','','','0','-6', '', '', '', NULL),
		('800', '6', 'Enlace', 'Enlace', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('800', 'a', 'Nombre de persona', 'Nombre de persona', 0, 0, '', 8, '', 'PERSO_NAME', '', NULL, -1, '', '', '', NULL),
		('800', 'b', 'Numeración', 'Numeración', 0, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('800', 'c', 'Títulos y otros términos asociadas al nombre', 'Títulos y otros términos asociadas al nombre', 1, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('800', 'd', 'Fechas asociadas al nombre', 'Fechas asociadas al nombre', 0, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('800', 'e', 'Término indicativo de función', 'Término indicativo de función', 1, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('800', 'f', 'Fecha de publicación', 'Fecha de publicación', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'g', 'Información miscelánea', 'Información miscelánea', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'h', 'Tipo de material', 'Tipo de material', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'j', 'Calificador de la atribución', 'Calificador de la atribución', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'k', 'Subencabezamiento de forma', 'Subencabezamiento de forma', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'l', 'Lengua de la obra', 'Lengua de la obra', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'm', 'Medio de interpretación', 'Medio de interpretación', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'n', 'Número de parte o sección de la obra', 'Número de parte o sección de la obra', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'o', 'Arreglo', 'Arreglo', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'p', 'Nombre de parte o sección de la obra', 'Nombre de parte o sección de la obra', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'q', 'Forma desarrollada del nombre', 'Forma desarrollada del nombre', 0, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('800', 'r', 'Tonalidad', 'Tonalidad', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 's', 'Versión', 'Versión', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 't', 'Título de la obra', 'Título de la obra', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'u', 'Filiación', 'Filiación', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'v', 'Designación de volumen o secuencia', 'Designación de volumen o secuencia', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'w', 'Número de control del registro bibliográfico', 'Número de control del registro bibliográfico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('800', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)','0','0','','8','','','','0','-6', '', '', '', NULL),
		('810', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','8','','','','0','0', '', '', '', NULL),
		('810', '3', 'Especificación de materiales', 'Especificación de materiales','0','0','','8','','','','0','0', '', '', '', NULL),
		('810', '4', 'Código de función', 'Código de función', 1, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('810', '5', 'Institución que aplica el campo', 'Institución que aplica el campo','1','0','','8','','','','0','-6', '', '', '', NULL),
		('810', '6', 'Enlace', 'Enlace', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('810', 'a', 'Nombre de entidad o nombre de jurisdicción como elemento inicial', 'Nombre de entidad o nombre de jurisdicción como elemento inicial', 0, 0, '', 8, '', 'CORPO_NAME', '', NULL, -1, '', '', '', NULL),
		('810', 'b', 'Unidad subordinada', 'Unidad subordinada', 1, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('810', 'c', 'Sede del congreso', 'Sede del congreso', 0, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('810', 'd', 'Fecha del congreso o de la firma de un tratado', 'Fecha del congreso o de la firma de un tratado', 1, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('810', 'e', 'Término indicativo de función', 'Término indicativo de función', 1, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('810', 'f', 'Fecha de publicación', 'Fecha de publicación', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'g', 'Información miscelánea', 'Información miscelánea', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'h', 'Tipo de material', 'Tipo de material', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'k', 'Subencabezamiento de forma', 'Subencabezamiento de forma', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'l', 'Lengua de la obra', 'Lengua de la obra', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'm', 'Medio de interpretación', 'Medio de interpretación', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'n', 'Número del congreso o número de parte o sección de la obra', 'Número del congreso o número de parte o sección de la obra', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'o', 'Arreglo', 'Arreglo', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'p', 'Nombre de parte o sección de la obra', 'Nombre de parte o sección de la obra', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'r', 'Tonalidad', 'Tonalidad', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 's', 'Versión', 'Versión', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 't', 'Título de la obra', 'Título de la obra', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'u', 'Filiación', 'Filiación', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'v', 'Designación de volumen o secuencia', 'Designación de volumen o secuencia', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'w', 'Número de control del registro bibliográfico', 'Número de control del registro bibliográfico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('810', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)','0','0','','8','','','','0','-6', '', '', '', NULL),
		('811', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','8','','','','0','0', '', '', '', NULL),
		('811', '3', 'Especificación de materiales', 'Especificación de materiales','0','0','','8','','','','0','0', '', '', '', NULL),
		('811', '4', 'Código de función', 'Código de función', 1, 0, NULL, 8, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('811', '5', 'Institución que aplica el campo', 'Institución que aplica el campo','1','0','','8','','','','0','-6', '', '', '', NULL),
		('811', '6', 'Enlace', 'Enlace', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('811', 'a', 'Nombre de congreso o nombre de jurisdicción como elemento inicial', 'Nombre de congreso o nombre de jurisdicción como elemento inicial', 0, 0, NULL, 8, NULL, 'MEETI_NAME', '', NULL, -1, '', '', '', NULL),
		('811', 'c', 'Sede del congreso', 'Sede del congreso', 0, 0, NULL, 8, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('811', 'd', 'Fecha del congreso', 'Fecha del congreso', 0, 0, NULL, 8, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('811', 'e', 'Unidad subordinada', 'Unidad subordinada', 1, 0, NULL, 8, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('811', 'f', 'Fecha de publicación', 'Fecha de publicación', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 'g', 'Información miscelánea', 'Información miscelánea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 'h', 'Tipo de material', 'Tipo de material', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 'j', 'Término indicativo de función', 'Término indicativo de función', 1, 0, NULL, 8, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('811', 'k', 'Subencabezamiento de forma', 'Subencabezamiento de forma', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 'l', 'Lengua de la obra', 'Lengua de la obra', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 'n', 'Número del congreso o número de parte o sección de la obra', 'Número del congreso o número de parte o sección de la obra', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 'p', 'Nombre de parte o sección de la obra', 'Nombre de parte o sección de la obra', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 'q', 'Nombre del congreso a continuación de la jurisdicción como elemento inicial', 'Nombre del congreso a continuación de la jurisdicción como elemento inicial', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 's', 'Versión', 'Versión', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 't', 'Título de la obra', 'Título de la obra', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 'u', 'Filiación', 'Filiación', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 'v', 'Designación de volumen o secuencia', 'Designación de volumen o secuencia', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 'w', 'Número de control del registro bibliográfico', 'Número de control del registro bibliográfico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)','0','0','','8','','','','0','-6', '', '', '', NULL),
		('830', '0', 'Número de control del registro de autoridad', 'Número de control del registro de autoridad','1','0','','8','','','','0','0', '', '', '', NULL),
		('830', '3', 'Especificación de materiales', 'Especificación de materiales','0','0','','8','','','','0','0', '', '', '', NULL),
		('830', '5', 'Institución que aplica el campo', 'Institución que aplica el campo','1','0','','8','','','','0','0', '', '', '', NULL),
		('830', '6', 'Enlace', 'Enlace', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('830', 'a', 'Título uniforme', 'Título uniforme', 0, 0, '', 8, '', 'UNIF_TITLE', '', NULL, -1, '', '', '', NULL),
		('830', 'd', 'Fecha de la firma de un tratado', 'Fecha de la firma de un tratado', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', 'f', 'Fecha de publicación', 'Fecha de publicación', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', 'g', 'Información miscelánea', 'Información miscelánea', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', 'h', 'Tipo de material', 'Tipo de material', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', 'k', 'Subencabezamiento de forma', 'Subencabezamiento de forma', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', 'l', 'Lengua de la obra', 'Lengua de la obra', 0, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('830', 'm', 'Medio de interpretación', 'Medio de interpretación', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', 'n', 'Número de parte o sección de la obra', 'Número de parte o sección de la obra', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', 'o', 'Arreglo', 'Arreglo', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', 'p', 'Nombre de parte o sección de la obra', 'Nombre de parte o sección de la obra', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', 'r', 'Tonalidad', 'Tonalidad', 0, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('830', 's', 'Versión', 'Versión', 0, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('830', 't', 'Título de la obra', 'Título de la obra', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', 'v', 'Designación de volumen o secuencia', 'Designación de volumen o secuencia', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', 'w', 'Número de control del registro bibliográfico', 'Número de control del registro bibliográfico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('830', 'x', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)', 'Número Internacional Normalizado para Publicaciones Seriadas (ISSN)','0','0','','8','','','','0','-6','','','', NULL),
		('841', 'a', 'Type of record', 'Type of record', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('841', 'b', 'Fixed-length data elements', 'Fixed-length data elements', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('841', 'e', 'Encoding level', 'Encoding level', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('842', '6', 'Linkage', 'Linkage', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('842', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('842', 'a', 'Textual physical form designator', 'Textual physical form designator', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('843', '3', 'Materials specified', 'Materials specified', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('843', '6', 'Linkage', 'Linkage', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('843', '7', 'Fixed-length data elements of reproduction', 'Fixed-length data elements of reproduction', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('843', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('843', 'a', 'Type of reproduction', 'Type of reproduction', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('843', 'b', 'Place of reproduction', 'Place of reproduction', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('843', 'c', 'Agency responsible for reproduction', 'Agency responsible for reproduction', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('843', 'd', 'Date of reproduction', 'Date of reproduction', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('843', 'e', 'Physical description of reproduction', 'Physical description of reproduction', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('843', 'f', 'Series statement of reproduction', 'Series statement of reproduction', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('843', 'm', 'Dates of publication and/or sequential designation of issues reproduced', 'Dates of publication and/or sequential designation of issues reproduced', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('843', 'n', 'Note about reproduction', 'Note about reproduction', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('844', '6', 'Linkage', 'Linkage', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('844', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('844', 'a', 'Name of unit', 'Name of unit', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('845', '3', 'Materials specified', 'Materials specified', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('845', '5', 'Institution to which field applies', 'Institution to which field applies', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('845', '6', 'Linkage', 'Linkage', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('845', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('845', 'a', 'Terms governing use and reproduction', 'Terms governing use and reproduction', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('845', 'b', 'Jurisdiction', 'Jurisdiction', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('845', 'c', 'Authorization', 'Authorization', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('845', 'd', 'Authorized users', 'Authorized users', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('845', 'u', 'Uniform Resource Identifier', 'Uniform Resource Identifier','1','0','','8','','','','0','5','','','', NULL),
		('850', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('850', 'a', 'Institución que posee los fondos', 'Institución que posee los fondos', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('851', '3', 'Materials specified', 'Materials specified', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('851', '6', 'Linkage', 'Linkage', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('851', 'a', 'Name (custodian or owner)', 'Name (custodian or owner)', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('851', 'b', 'Institutional division', 'Institutional division', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('851', 'c', 'Street address', 'Street address', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('851', 'd', 'Country', 'Country', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('851', 'e', 'Location of units', 'Location of units', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('851', 'f', 'Item number', 'Item number', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('851', 'g', 'Repository location code', 'Repository location code', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('852', '2', 'Fuente del sistema de clasificación o colocación', 'Fuente del sistema de clasificación o colocación', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', '6', 'Enlace', 'Enlace', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'a', 'Localización', 'Localización', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'b', 'Sublocalización o colección', 'Sublocalización o colección', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'c', 'Ubicación en estantería', 'Ubicación en estantería', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'e', 'Dirección', 'Dirección', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'f', 'Información codificada de la localización en otra ubicación', 'Información codificada de la localización en otra ubicación', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'g', 'Información no codificada de la localización en otra ubicación', 'Información no codificada de la localización en otra ubicación', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'h', 'Parte de la signatura que corresponde a la clasificación', 'Parte de la signatura que corresponde a la clasificación', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'i', 'Parte de la signatura que identifica al ejemplar', 'Parte de la signatura que identifica al ejemplar', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'j', 'Número de control en estantería', 'Número de control en estantería', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'k', 'Prefijo de la signatura', 'Prefijo de la signatura', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'l', 'Forma del título por la que se ordena', 'Forma del título por la que se ordena', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'm', 'Sufijo de la signatura', 'Sufijo de la signatura', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'n', 'Código del país', 'Código del país', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'p', 'Designación de la unidad física', 'Designación de la unidad física', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'q', 'Condición de la unidad física', 'Condición de la unidad física', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 's', 'Código de copyright sobre la tarifa del artículo', 'Código de copyright sobre la tarifa del artículo', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 't', 'Número de copia', 'Número de copia', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'u', 'Identificador Uniforme del Recurso (URI)', 'Identificador Uniforme del Recurso (URI)', 1, 0, '', 8, '', '', '', 1, 5, '', '', '', NULL),
		('852', 'x', 'Nota no pública', 'Nota no pública', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'z', 'Nota pública', 'Nota pública', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', '2', 'Source of caption abbreviation', 'Source of caption abbreviation','1','0','','8','','','','0','5', '', '', '', NULL),
		('853', '3', 'Materials specified', 'Materials specified', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', '6', 'Linkage', 'Linkage', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', '8', 'Field link and sequence number', 'Field link and sequence number', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'a', 'First level of enumeration', 'First level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'b', 'Second level of enumeration', 'Second level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'c', 'Third level of enumeration', 'Third level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'd', 'Fourth level of enumeration', 'Fourth level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'e', 'Fifth level of enumeration', 'Fifth level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'f', 'Sixth level of enumeration', 'Sixth level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'g', 'Alternative numbering scheme, first level of enumeration', 'Alternative numbering scheme, first level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'h', 'Alternative numbering scheme, second level of enumeration', 'Alternative numbering scheme, second level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'i', 'First level of chronology', 'First level of chronology', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'j', 'Second level of chronology', 'Second level of chronology', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'k', 'Third level of chronology', 'Third level of chronology', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'l', 'Fourth level of chronology', 'Fourth level of chronology', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'm', 'Alternative numbering scheme, chronology', 'Alternative numbering scheme, chronology', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'n', 'Pattern note', 'Pattern note', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'o', 'Type of unit', 'Type of unit','1','0','','8','','','','0','5', '', '', '', NULL),
		('853', 'p', 'Number of pieces per issuance', 'Number of pieces per issuance', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 't', 'Copy', 'Copy', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'u', 'Bibliographic units per next higher level', 'Bibliographic units per next higher level', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'v', 'Numbering continuity', 'Numbering continuity', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'w', 'Frequency', 'Frequency', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'x', 'Calendar change', 'Calendar change', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'y', 'Regularity pattern', 'Regularity pattern', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'z', 'Numbering scheme', 'Numbering scheme', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', '2', 'Source of caption abbreviation', 'Source of caption abbreviation','1','0','','8','','','','0','5', '', '', '', NULL),
		('854', '3', 'Materials specified', 'Materials specified', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', '6', 'Linkage', 'Linkage', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', '8', 'Field link and sequence number', 'Field link and sequence number', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'a', 'First level of enumeration', 'First level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'b', 'Second level of enumeration', 'Second level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'c', 'Third level of enumeration', 'Third level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'd', 'Fourth level of enumeration', 'Fourth level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'e', 'Fifth level of enumeration', 'Fifth level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'f', 'Sixth level of enumeration', 'Sixth level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'g', 'Alternative numbering scheme, first level of enumeration', 'Alternative numbering scheme, first level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'h', 'Alternative numbering scheme, second level of enumeration', 'Alternative numbering scheme, second level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'i', 'First level of chronology', 'First level of chronology', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'j', 'Second level of chronology', 'Second level of chronology', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'k', 'Third level of chronology', 'Third level of chronology', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'l', 'Fourth level of chronology', 'Fourth level of chronology', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'm', 'Alternative numbering scheme, chronology', 'Alternative numbering scheme, chronology', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'n', 'Pattern note', 'Pattern note', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'o', 'Type of unit', 'Type of unit','1','0','','8','','','','0','5', '', '', '', NULL),
		('854', 'p', 'Number of pieces per issuance', 'Number of pieces per issuance', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 't', 'Copy', 'Copy', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'u', 'Bibliographic units per next higher level', 'Bibliographic units per next higher level', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'v', 'Numbering continuity', 'Numbering continuity', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'w', 'Frequency', 'Frequency', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'x', 'Calendar change', 'Calendar change', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'y', 'Regularity pattern', 'Regularity pattern', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'z', 'Numbering scheme', 'Numbering scheme', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', '2', 'Source of caption abbreviation', 'Source of caption abbreviation','1','0','','8','','','','0','5', '', '', '', NULL),
		('855', '3', 'Materials specified', 'Materials specified', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', '6', 'Linkage', 'Linkage', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'a', 'First level of enumeration', 'First level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'b', 'Second level of enumeration', 'Second level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'c', 'Third level of enumeration', 'Third level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'd', 'Fourth level of enumeration', 'Fourth level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'e', 'Fifth level of enumeration', 'Fifth level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'f', 'Sixth level of enumeration', 'Sixth level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'g', 'Alternative numbering scheme, first level of enumeration', 'Alternative numbering scheme, first level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'h', 'Alternative numbering scheme, second level of enumeration', 'Alternative numbering scheme, second level of enumeration', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'i', 'First level of chronology', 'First level of chronology', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'j', 'Second level of chronology', 'Second level of chronology', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'k', 'Third level of chronology', 'Third level of chronology', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'l', 'Fourth level of chronology', 'Fourth level of chronology', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'm', 'Alternative numbering scheme, chronology', 'Alternative numbering scheme, chronology', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'n', 'Pattern note', 'Pattern note', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'p', 'Number of pieces per issuance', 'Number of pieces per issuance', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 't', 'Copy', 'Copy', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'u', 'Bibliographic units per next higher level', 'Bibliographic units per next higher level', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'v', 'Numbering continuity', 'Numbering continuity', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'w', 'Frequency', 'Frequency', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'x', 'Calendar change', 'Calendar change', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'y', 'Regularity pattern', 'Regularity pattern', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'z', 'Numbering scheme', 'Numbering scheme', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('856', '2', 'Método de acceso', 'Método de acceso', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('856', '3', 'Especificación de materiales', 'Especificación de materiales', 0, 0, '', 8, '', '', '', 0, 0, '', '', '', NULL),
		('856', '6', 'Enlace', 'Enlace', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('856', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia', 1, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('856', 'a', 'Nombre del host', 'Nombre del host', 1, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'b', 'Número de acceso', 'Número de acceso', 1, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'c', 'Información sobre la compresión', 'Información sobre la compresión', 1, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'd', 'Ruta', 'Ruta', 1, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'f', 'Nombre electrónico', 'Nombre electrónico', 1, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'h', 'Procesador de la petición', 'Procesador de la petición', 0, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'i', 'Instrucción', 'Instrucción', 1, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'j', 'Bits por segundo', 'Bits por segundo', 0, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'k', 'Contraseña', 'Contraseña', 0, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'l', 'Proceso de conexión (Logon)', 'Proceso de conexión (Logon)', 0, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'm', 'Contacto para facilitar el acceso', 'Contacto para facilitar el acceso', 1, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'n', 'Nombre de la localización del host', 'Nombre de la localización del host', 0, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'o', 'Sistema operativo', 'Sistema operativo', 0, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'p', 'Puerto', 'Puerto', 0, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'q', 'Tipo de formato electrónico', 'Tipo de formato electrónico', 0, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'r', 'Parámetros', 'Parámetros', 0, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 's', 'Tamaño del fichero', 'Tamaño del fichero', 1, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 't', 'Emulación del terminal', 'Emulación del terminal', 1, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'u', 'Identificador Uniforme del Recurso (URI)', 'Identificador Uniforme del Recurso (URI)', 1, 0, 'biblioitems.url', 8, '', '', '', 1, 0, '', '', '', NULL),
		('856', 'v', 'Horario en del acceso está disponible', 'Horario en del acceso está disponible', 1, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'w', 'Número de control del registro', 'Número de control del registro', 1, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'x', 'Nota no pública', 'Nota no pública', 1, 0, '', 8, '', '', '', 0, 1, '', '', '', NULL),
		('856', 'y', 'Texto del enlace', 'Texto del enlace', 1, 0, '', 8, '', '', '', 0, 0, '', '', '', NULL),
		('856', 'z', 'Nota pública', 'Nota pública', 1, 0, '', 8, '', '', '', 0, 0, '', '', '', NULL),
		('859', 'b', 'Operator\'s initials, OID (RLIN)', 'Operator\'s initials, OID (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('859', 'c', 'Cataloger\'s initials, CIN (RLIN)', 'Cataloger\'s initials, CIN (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('859', 'd', 'TDC (RLIN)', 'TDC (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('859', 'l', 'LIB (RLIN)', 'LIB (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('859', 'p', 'PRI (RLIN)', 'PRI (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('859', 'r', 'REG (RLIN)', 'REG (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('859', 'v', 'VER (RLIN)', 'VER (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('859', 'x', 'LDEL (RLIN)', 'LDEL (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', '6', 'Linkage ', 'Linkage ','0','0','','8','','','','0','5', '', '', '', NULL),
		('863', '8', 'Field link and sequence number', 'Field link and sequence number','0','0','','8','','','','0','5', '', '', '', NULL),
		('863', 'a', 'First level of enumeration', 'First level of enumeration','0','0','','8','','','','0','5', '', '', '', NULL),
		('863', 'b', 'Second level of enumeration ', 'Second level of enumeration ','0','0','','8','','','','0','5', '', '', '', NULL),
		('863', 'c', 'Third level of enumeration', 'Third level of enumeration','0','0','','8','','','','0','5', '', '', '', NULL),
		('863', 'd', 'Fourth level of enumeration', 'Fourth level of enumeration','0','0','','8','','','','0','5', '', '', '', NULL),
		('863', 'e', 'Fifth level of enumeration', 'Fifth level of enumeration','0','0','','8','','','','0','5', '', '', '', NULL),
		('863', 'f', 'Sixth level of enumeration', 'Sixth level of enumeration','0','0','','8','','','','0','5', '', '', '', NULL),
		('863', 'g', 'Alternative numbering scheme, first level of enumeration', 'Alternative numbering scheme, first level of enumeration','0','0','','8','','','','0','5', '', '', '', NULL),
		('863', 'h', 'Alternative numbering scheme, second level of enumeration', 'Alternative numbering scheme, second level of enumeration','0','0','','8','','','','0','5', '', '', '', NULL),
		('863', 'i', 'First level of chronology ', 'First level of chronology ','0','0','','8','','','','0','5', '', '', '', NULL),
		('863', 'j', 'Second level of chronology', 'Second level of chronology','0','0','','8','','','','0','5', '', '', '', NULL),
		('863', 'k', 'Third level of chronology', 'Third level of chronology','0','0','','8','','','','0','5', '', '', '', NULL),
		('863', 'l', 'Fourth level of chronology', 'Fourth level of chronology','0','0','','8','','','','0','5', '', '', '', NULL),
		('863', 'm', 'Alternative numbering scheme, chronology', 'Alternative numbering scheme, chronology','0','0','','8','','','','0','5', '', '', '', NULL),
		('863', 'n', 'Converted Gregorian year', 'Converted Gregorian year','0','0','','8','','','','0','5', '', '', '', NULL),
		('863', 'o', 'Type of unit', 'Type of unit','1','0','','8','','','','0','5', '', '', '', NULL),
		('863', 'p', 'Piece designation', 'Piece designation','0','0','','8','','','','0','5', '', '', '', NULL),
		('863', 'q', 'Piece physical condition', 'Piece physical condition','0','0','','8','','','','0','5', '', '', '', NULL),
		('863', 's', 'Copyright article-fee code ', 'Copyright article-fee code ','1','0','','8','','','','0','5', '', '', '', NULL),
		('863', 't', 'Copy number', 'Copy number','0','0','','8','','','','0','5', '', '', '', NULL),
		('863', 'w', 'Break indicator ', 'Break indicator ','0','0','','8','','','','0','5', '', '', '', NULL),
		('863', 'x', 'Nonpublic note', 'Nonpublic note','1','0','','8','','','','0','5', '', '', '', NULL),
		('863', 'z', 'Public note', 'Public note','1','0','','8','','','','0','5', '', '', '', NULL),
		('864', '6', 'Linkage ', 'Linkage ','0','0','','8','','','','0','5', '', '', '', NULL),
		('864', '8', 'Field link and sequence number', 'Field link and sequence number','0','0','','8','','','','0','5', '', '', '', NULL),
		('864', 'a', 'First level of enumeration', 'First level of enumeration','0','0','','8','','','','0','5', '', '', '', NULL),
		('864', 'b', 'Second level of enumeration ', 'Second level of enumeration ','0','0','','8','','','','0','5', '', '', '', NULL),
		('864', 'c', 'Third level of enumeration', 'Third level of enumeration','0','0','','8','','','','0','5', '', '', '', NULL),
		('864', 'd', 'Fourth level of enumeration', 'Fourth level of enumeration','0','0','','8','','','','0','5', '', '', '', NULL),
		('864', 'e', 'Fifth level of enumeration', 'Fifth level of enumeration','0','0','','8','','','','0','5', '', '', '', NULL),
		('864', 'f', 'Sixth level of enumeration', 'Sixth level of enumeration','0','0','','8','','','','0','5', '', '', '', NULL),
		('864', 'g', 'Alternative numbering scheme, first level of enumeration', 'Alternative numbering scheme, first level of enumeration','0','0','','8','','','','0','5', '', '', '', NULL),
		('864', 'h', 'Alternative numbering scheme, second level of enumeration', 'Alternative numbering scheme, second level of enumeration','0','0','','8','','','','0','5', '', '', '', NULL),
		('864', 'i', 'First level of chronology ', 'First level of chronology ','0','0','','8','','','','0','5', '', '', '', NULL),
		('864', 'j', 'Second level of chronology', 'Second level of chronology','0','0','','8','','','','0','5', '', '', '', NULL),
		('864', 'k', 'Third level of chronology', 'Third level of chronology','0','0','','8','','','','0','5', '', '', '', NULL),
		('864', 'l', 'Fourth level of chronology', 'Fourth level of chronology','0','0','','8','','','','0','5', '', '', '', NULL),
		('864', 'm', 'Alternative numbering scheme, chronology', 'Alternative numbering scheme, chronology','0','0','','8','','','','0','5', '', '', '', NULL),
		('864', 'n', 'Converted Gregorian year', 'Converted Gregorian year','0','0','','8','','','','0','5', '', '', '', NULL),
		('864', 'o', 'Type of unit', 'Type of unit','1','0','','8','','','','0','5', '', '', '', NULL),
		('864', 'p', 'Piece designation', 'Piece designation','0','0','','8','','','','0','5', '', '', '', NULL),
		('864', 'q', 'Piece physical condition', 'Piece physical condition','0','0','','8','','','','0','5', '', '', '', NULL),
		('864', 's', 'Copyright article-fee code ', 'Copyright article-fee code ','1','0','','8','','','','0','5', '', '', '', NULL),
		('864', 't', 'Copy number', 'Copy number','0','0','','8','','','','0','5', '', '', '', NULL),
		('864', 'w', 'Break indicator ', 'Break indicator ','0','0','','8','','','','0','5', '', '', '', NULL),
		('864', 'x', 'Nonpublic note', 'Nonpublic note','1','0','','8','','','','0','5', '', '', '', NULL),
		('864', 'z', 'Public note', 'Public note','1','0','','8','','','','0','5', '', '', '', NULL),
		('865', '6', 'Linkage ', 'Linkage ','0','0','','8','','','','0','5', '', '', '', NULL),
		('865', '8', 'Field link and sequence number', 'Field link and sequence number','0','0','','8','','','','0','5', '', '', '', NULL),
		('865', 'a', 'First level of enumeration', 'First level of enumeration','0','0','','8','','','','0','5', '', '', '', NULL),
		('865', 'b', 'Second level of enumeration ', 'Second level of enumeration ','0','0','','8','','','','0','5', '', '', '', NULL),
		('865', 'c', 'Third level of enumeration', 'Third level of enumeration','0','0','','8','','','','0','5', '', '', '', NULL),
		('865', 'd', 'Fourth level of enumeration', 'Fourth level of enumeration','0','0','','8','','','','0','5', '', '', '', NULL),
		('865', 'e', 'Fifth level of enumeration', 'Fifth level of enumeration','0','0','','8','','','','0','5', '', '', '', NULL),
		('865', 'f', 'Sixth level of enumeration', 'Sixth level of enumeration','0','0','','8','','','','0','5', '', '', '', NULL),
		('865', 'g', 'Alternative numbering scheme, first level of enumeration', 'Alternative numbering scheme, first level of enumeration','0','0','','8','','','','0','5', '', '', '', NULL),
		('865', 'h', 'Alternative numbering scheme, second level of enumeration', 'Alternative numbering scheme, second level of enumeration','0','0','','8','','','','0','5', '', '', '', NULL),
		('865', 'i', 'First level of chronology ', 'First level of chronology ','0','0','','8','','','','0','5', '', '', '', NULL),
		('865', 'j', 'Second level of chronology', 'Second level of chronology','0','0','','8','','','','0','5', '', '', '', NULL),
		('865', 'k', 'Third level of chronology', 'Third level of chronology','0','0','','8','','','','0','5', '', '', '', NULL),
		('865', 'l', 'Fourth level of chronology', 'Fourth level of chronology','0','0','','8','','','','0','5', '', '', '', NULL),
		('865', 'm', 'Alternative numbering scheme, chronology', 'Alternative numbering scheme, chronology','0','0','','8','','','','0','5', '', '', '', NULL),
		('865', 'n', 'Converted Gregorian year', 'Converted Gregorian year','0','0','','8','','','','0','5', '', '', '', NULL),
		('865', 'o', 'Type of unit', 'Type of unit','1','0','','8','','','','0','5', '', '', '', NULL),
		('865', 'p', 'Piece designation', 'Piece designation','0','0','','8','','','','0','5', '', '', '', NULL),
		('865', 'q', 'Piece physical condition', 'Piece physical condition','0','0','','8','','','','0','5', '', '', '', NULL),
		('865', 's', 'Copyright article-fee code ', 'Copyright article-fee code ','1','0','','8','','','','0','5', '', '', '', NULL),
		('865', 't', 'Copy number', 'Copy number','0','0','','8','','','','0','5', '', '', '', NULL),
		('865', 'v', 'Issuing date', 'Issuing date','1','0','','8','','','','0','5', '', '', '', NULL),
		('865', 'w', 'Break indicator ', 'Break indicator ','0','0','','8','','','','0','5', '', '', '', NULL),
		('865', 'x', 'Nonpublic note', 'Nonpublic note','1','0','','8','','','','0','5', '', '', '', NULL),
		('865', 'z', 'Public note', 'Public note','1','0','','8','','','','0','5', '', '', '', NULL),
		('866', '2', 'Source of notation', 'Source of notation','0','0','','8','','','','0','5', '', '', '', NULL),
		('866', '6', 'Linkage', 'Linkage', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('866', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('866', 'a', 'Textual holdings', 'Textual holdings', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('866', 'x', 'Nonpublic note', 'Nonpublic note', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('866', 'z', 'Public note', 'Public note', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('867', '2', 'Source of notation', 'Source of notation','0','0','','8','','','','0','5', '', '', '', NULL),
		('867', '6', 'Linkage', 'Linkage', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('867', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('867', 'a', 'Textual holdings', 'Textual holdings', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('867', 'x', 'Nonpublic note', 'Nonpublic note', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('867', 'z', 'Public note', 'Public note', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('868', '2', 'Source of notation', 'Source of notation','0','0','','8','','','','0','5', '', '', '', NULL),
		('868', '6', 'Linkage', 'Linkage', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('868', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('868', 'a', 'Textual holdings', 'Textual holdings', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('868', 'x', 'Nonpublic note', 'Nonpublic note', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('868', 'z', 'Public note', 'Public note', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('870', '4', 'Relator code', 'Relator code', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', '6', 'Linkage', 'Linkage', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'a', 'Personal name', 'Personal name', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'b', 'Numeration', 'Numeration', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'c', 'Titles and other words associated with a name', 'Titles and other words associated with a name', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'd', 'Dates associated with a name', 'Dates associated with a name', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'e', 'Relator term', 'Relator term', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'f', 'Date of a work', 'Date of a work', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'j', 'Tag and sequence number', 'Tag and sequence number', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'k', 'Form subheading', 'Form subheading', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'l', 'Language of a work', 'Language of a work', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'n', 'Number of part/section of a work', 'Number of part/section of a work', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'q', 'Fuller form of name', 'Fuller form of name', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 't', 'Title of a work', 'Title of a work', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'u', 'Affiliation', 'Affiliation', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', '4', 'Relator code', 'Relator code', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', '6', 'Linkage', 'Linkage', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'a', 'Corporate name or jurisdiction name as entry element', 'Corporate name or jurisdiction name as entry element', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'b', 'Subordinate unit', 'Subordinate unit', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'c', 'Location of meeting', 'Location of meeting', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'd', 'Date of meeting or treaty signing', 'Date of meeting or treaty signing', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'e', 'Relator term', 'Relator term', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'f', 'Date of a work', 'Date of a work', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'j', 'Tag and sequence number', 'Tag and sequence number', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'k', 'Form subheading', 'Form subheading', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'l', 'Language of a work', 'Language of a work', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'n', 'Number of part/section/meeting', 'Number of part/section/meeting', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 't', 'Title of a work', 'Title of a work', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'u', 'Affiliation', 'Affiliation', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('872', '4', 'Relator code', 'Relator code', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', '6', 'Linkage', 'Linkage', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'a', 'Meeting name or jurisdiction name as entry element', 'Meeting name or jurisdiction name as entry element', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'c', 'Location of meeting', 'Location of meeting', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'd', 'Date of meeting', 'Date of meeting', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'e', 'Subordinate unit', 'Subordinate unit', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'f', 'Date of a work', 'Date of a work', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'j', 'Tag and sequence number', 'Tag and sequence number', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('872', 'k', 'Form subheading', 'Form subheading', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'l', 'Language of a work', 'Language of a work', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'n', 'Number of part/section/meeting', 'Number of part/section/meeting', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'q', 'Name of meeting following jurisdiction name entry element', 'Name of meeting following jurisdiction name entry element', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 't', 'Title of a work', 'Title of a work', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'u', 'Affiliation', 'Affiliation', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('873', '6', 'Linkage', 'Linkage', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'a', 'Uniform title', 'Uniform title', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'd', 'Date of treaty signing', 'Date of treaty signing', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'f', 'Date of a work', 'Date of a work', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'h', 'Medium', 'Medium', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'j', 'Tag and sequence number', 'Tag and sequence number', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'k', 'Form subheading', 'Form subheading', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'l', 'Language of a work', 'Language of a work', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'm', 'Medium of performance for music', 'Medium of performance for music', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'n', 'Number of part/section of a work', 'Number of part/section of a work', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'o', 'Arranged statement for music', 'Arranged statement for music', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'r', 'Key for music', 'Key for music', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 's', 'Version', 'Version', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 't', 'Title of a work', 'Title of a work', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('876', '3', 'Materials specified', 'Materials specified', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', '6', 'Linkage', 'Linkage', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', '8', 'Field link and sequence number', 'Field link and sequence number', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'd', 'Date acquired', 'Date acquired', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'e', 'Source of acquisition', 'Source of acquisition', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'j', 'Item status', 'Item status', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'l', 'Temporary location', 'Temporary location', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'p', 'Piece designation', 'Piece designation', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 't', 'Copy number', 'Copy number', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'x', 'Nonpublic note', 'Nonpublic note', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'z', 'Public note', 'Public note', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', '3', 'Materials specified', 'Materials specified', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', '6', 'Linkage', 'Linkage', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', '8', 'Field link and sequence number', 'Field link and sequence number', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'd', 'Date acquired', 'Date acquired', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'e', 'Source of acquisition', 'Source of acquisition', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'j', 'Item status', 'Item status', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'l', 'Temporary location', 'Temporary location', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'p', 'Piece designation', 'Piece designation', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 't', 'Copy number', 'Copy number', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'x', 'Nonpublic note', 'Nonpublic note', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'z', 'Public note', 'Public note', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', '3', 'Materials specified', 'Materials specified', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', '6', 'Linkage', 'Linkage', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', '8', 'Field link and sequence number', 'Field link and sequence number', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'd', 'Date acquired', 'Date acquired', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'e', 'Source of acquisition', 'Source of acquisition', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'j', 'Item status', 'Item status', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'l', 'Temporary location', 'Temporary location', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'p', 'Piece designation', 'Piece designation', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 't', 'Copy number', 'Copy number', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'x', 'Nonpublic note', 'Nonpublic note', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'z', 'Public note', 'Public note', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('880', '0', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', '1', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', '2', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', '3', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', '4', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', '5', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', '6', 'Enlace', 'Enlace','0','0','','8','','','','0','-6', '', '', '', NULL),
		('880', '7', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', '8', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', '9', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'a', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'b', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'c', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'd', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'e', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'f', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'g', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'h', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'i', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'j', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'k', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'l', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'm', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'n', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'o', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'p', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'q', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'r', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 's', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 't', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'u', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'v', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'w', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'x', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'y', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('880', 'z', 'El mismo del campo asociado', 'El mismo del campo asociado','1','0','','8','','','','0','-6', '', '', '', NULL),
		('882', '6', 'Enlace', 'Enlace','0','0','','8','','','','0','5', '', '', '', NULL),
		('882', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia','1','0','','8','','','','0','5', '', '', '', NULL),
		('882', 'a', 'Título que sustituye al registro eliminado', 'Título que sustituye al registro eliminado','1','0','','8','','','','0','5', '', '', '', NULL),
		('882', 'i', 'Texto explicativo', 'Texto explicativo','1','0','','8','','','','0','5', '', '', '', NULL),
		('882', 'w', 'Número de control del registro bibliográfico que sustituye al eliminado', 'Número de control del registro bibliográfico que sustituye al eliminado','1','0','','8','','','','0','5', '', '', '', NULL),
		('883', '0', '- Enlace', '- Enlace','1','0','','8','','','','0','5', '', '', '', NULL),
		('883', '8', 'Enlace entre campos y número de secuencia', 'Enlace entre campos y número de secuencia','1','0','','8','','','','0','5', '', '', '', NULL),
		('883', 'a', 'Proceso de generación', 'Proceso de generación','0','0','','8','','','','0','5', '', '', '', NULL),
		('883', 'c', 'Valor de confianza', 'Valor de confianza','0','0','','8','','','','0','5', '', '', '', NULL),
		('883', 'd', 'Fecha de generación', 'Fecha de generación','0','0','','8','','','','0','5', '', '', '', NULL),
		('883', 'q', 'Agencia de generación', 'Agencia de generación','0','0','','8','','','','0','5', '', '', '', NULL),
		('883', 'u', 'Identificador Uniforme del Recurso (URI)', 'Identificador Uniforme del Recurso (URI)','0','0','','8','','','','0','5', '', '', '', NULL),
		('883', 'w', 'Número de control del registro bibliográfico', 'Número de control del registro bibliográfico','1','0','','8','','','','0','5', '', '', '', NULL),
		('883', 'x', 'Fecha de fin de validez', 'Fecha de fin de validez','0','0','','8','','','','0','5', '', '', '', NULL),
		('886', '0', '0', '0','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', '1', '1', '1','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', '2', 'Fuente de los datos', 'Fuente de los datos','0','0','','8','','','','0','-6', '', '', '', NULL),
		('886', '3', '3', '3','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', '4', '4', '4','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', '5', '5', '5','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', '6', '6', '6','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', '7', '7', '7','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', '8', '8', '8','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', '9', '9', '9','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'a', 'Etiqueta del campo de otro formato MARC', 'Etiqueta del campo de otro formato MARC','0','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'b', 'Contenido del campo de otro formato MARC', 'Contenido del campo de otro formato MARC','0','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'c', 'c', 'c','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'd', 'd', 'd','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'e', 'e', 'e','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'f', 'f', 'f','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'g', 'g', 'g','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'h', 'h', 'h','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'i', 'i', 'i','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'j', 'j', 'j','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'k', 'k', 'k','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'l', 'l', 'l','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'm', 'm', 'm','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'n', 'n', 'n','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'o', 'o', 'o','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'p', 'p', 'p','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'q', 'q', 'q','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'r', 'r', 'r','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 's', 's', 's','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 't', 't', 't','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'u', 'u', 'u','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'v', 'v', 'v','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'w', 'w', 'w','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'x', 'x', 'x','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'y', 'y', 'y','1','0','','8','','','','0','-6', '', '', '', NULL),
		('886', 'z', 'z', 'z','1','0','','8','','','','0','-6', '', '', '', NULL),
		('887', '2', 'Fuente de los datos', 'Fuente de los datos', 0, 0, NULL, 8, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('887', 'a', 'Contenido del campo no-MARC', 'Contenido del campo no-MARC', 0, 0, NULL, 8, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('896', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('896', '4', 'Relator code', 'Relator code', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', '6', 'Linkage', 'Linkage', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('896', 'a', 'Personal name', 'Personal name', 0, 0, '', 8, '', 'PERSO_NAME', '', NULL, -6, '', '', '', NULL),
		('896', 'b', 'Numeration', 'Numeration', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'c', 'Titles and other words associated with a name', 'Titles and other words associated with a name', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'd', 'Dates associated with a name', 'Dates associated with a name', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'e', 'Relator term', 'Relator term', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'f', 'Date of a work', 'Date of a work', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'h', 'Medium', 'Medium', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'j', 'Attribution qualifier', 'Attribution qualifier', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'k', 'Form subheading', 'Form subheading', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'l', 'Language of a work', 'Language of a work', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'm', 'Medium of performance for music', 'Medium of performance for music', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'n', 'Number of part/section of a work', 'Number of part/section of a work', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'o', 'Arranged statement for music', 'Arranged statement for music', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'q', 'Fuller form of name', 'Fuller form of name', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'r', 'Key for music', 'Key for music', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 's', 'Version', 'Version', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 't', 'Title of a work', 'Title of a work', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'u', 'Affiliation', 'Affiliation', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'v', 'Volume/sequential designation', 'Volume/sequential designation', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('897', '4', 'Relator code', 'Relator code', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', '6', 'Linkage', 'Linkage', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('897', 'a', 'Corporate name or jurisdiction name as entry element', 'Corporate name or jurisdiction name as entry element', 0, 0, '', 8, '', 'CORPO_NAME', '', NULL, -6, '', '', '', NULL),
		('897', 'b', 'Subordinate unit', 'Subordinate unit', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'c', 'Location of meeting', 'Location of meeting', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'd', 'Date of meeting or treaty signing', 'Date of meeting or treaty signing', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'e', 'Relator term', 'Relator term', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'f', 'Date of a work', 'Date of a work', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'h', 'Medium', 'Medium', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'k', 'Form subheading', 'Form subheading', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'l', 'Language of a work', 'Language of a work', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'm', 'Medium of performance for music', 'Medium of performance for music', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'n', 'Number of part/section/meeting', 'Number of part/section/meeting', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'o', 'Arranged statement for music', 'Arranged statement for music', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'r', 'Key for music', 'Key for music', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 's', 'Version', 'Version', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 't', 'Title of a work', 'Title of a work', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'u', 'Affiliation', 'Affiliation', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'v', 'Volume/sequential designation', 'Volume/sequential designation', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('898', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('898', '4', 'Relator code', 'Relator code', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', '6', 'Linkage', 'Linkage', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', '8', 'Field link and sequence number ', 'Field link and sequence number ', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('898', 'a', 'Meeting name or jurisdiction name as entry element', 'Meeting name or jurisdiction name as entry element', 0, 0, NULL, 8, NULL, 'MEETI_NAME', '', NULL, -6, '', '', '', NULL),
		('898', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'c', 'Location of meeting', 'Location of meeting', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'd', 'Date of meeting', 'Date of meeting', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'e', 'Subordinate unit', 'Subordinate unit', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'f', 'Date of a work', 'Date of a work', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'h', 'Medium', 'Medium', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'k', 'Form subheading', 'Form subheading', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'l', 'Language of a work', 'Language of a work', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'n', 'Number of part/section/meeting', 'Number of part/section/meeting', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'q', 'Name of meeting following jurisdiction name entry element', 'Name of meeting following jurisdiction name entry element', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 's', 'Version', 'Version', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 't', 'Title of a work', 'Title of a work', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'u', 'Affiliation', 'Affiliation', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'v', 'Volume/sequential designation', 'Volume/sequential designation', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('899', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('899', '6', 'Linkage', 'Linkage', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('899', 'a', 'Uniform title', 'Uniform title', 0, 0, '', 8, '', 'UNIF_TITLE', '', NULL, -6, '', '', '', NULL),
		('899', 'd', 'Date of treaty signing', 'Date of treaty signing', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 'f', 'Date of a work', 'Date of a work', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 'h', 'Medium', 'Medium', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 'k', 'Form subheading', 'Form subheading', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 'l', 'Language of a work', 'Language of a work', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 'm', 'Medium of performance for music', 'Medium of performance for music', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 'n', 'Number of part/section of a work', 'Number of part/section of a work', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 'o', 'Arranged statement for music', 'Arranged statement for music', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 'r', 'Key for music', 'Key for music', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 's', 'Version', 'Version', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 't', 'Title of a work', 'Title of a work', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 'v', 'Volume number/sequential designation', 'Volume number/sequential designation', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('900', '4', 'Relator code', 'Relator code', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', '6', 'Linkage', 'Linkage', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'a', 'Personal name', 'Personal name', 0, 0, '', 9, '', '', '', 0, 5, '', '''110a'', ''700a'', ''710a''', '', NULL),
		('900', 'b', 'Numeration', 'Numeration', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'c', 'Titles and other words associated with a name', 'Titles and other words associated with a name', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'd', 'Dates associated with a name', 'Dates associated with a name', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'e', 'Relator term', 'Relator term', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'f', 'Date of a work', 'Date of a work', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'j', 'Attribution qualifier', 'Attribution qualifier', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'k', 'Form subheading', 'Form subheading', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'l', 'Language of a work', 'Language of a work', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'n', 'Number of part/section of a work', 'Number of part/section of a work', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'q', 'Fuller form of name', 'Fuller form of name', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 't', 'Title of a work', 'Title of a work', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'u', 'Affiliation', 'Affiliation', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('901', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('908', 'a', 'Put command parameter', 'Put command parameter', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('910', 'a', 'User-option data', 'User-option data', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('911', '4', 'Relator code', 'Relator code', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', '6', 'Linkage', 'Linkage', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'a', 'Meeting name or jurisdiction name as entry element', 'Meeting name or jurisdiction name as entry element', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'c', 'Location of meeting', 'Location of meeting', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'd', 'Date of meeting', 'Date of meeting', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'e', 'Subordinate unit', 'Subordinate unit', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'f', 'Date of a work', 'Date of a work', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'k', 'Form subheading', 'Form subheading', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'l', 'Language of a work', 'Language of a work', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'n', 'Number of part/section/meeting', 'Number of part/section/meeting', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'q', 'Name of meeting following jurisdiction name entry element', 'Name of meeting following jurisdiction name entry element', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 't', 'Title of a work', 'Title of a work', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'u', 'Affiliation', 'Affiliation', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', '6', 'Linkage', 'Linkage', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'a', 'Uniform title', 'Uniform title', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'd', 'Date of treaty signing', 'Date of treaty signing', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'f', 'Date of a work', 'Date of a work', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'h', 'Medium', 'Medium', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'k', 'Form subheading', 'Form subheading', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'l', 'Language of a work', 'Language of a work', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'm', 'Medium of performance for music', 'Medium of performance for music', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'n', 'Number of part/section of a work', 'Number of part/section of a work', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'o', 'Arranged statement for music', 'Arranged statement for music', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'r', 'Key for music', 'Key for music', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 's', 'Version', 'Version', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 't', 'Title of a work', 'Title of a work', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('936', 'a', 'OCLC control number(s) of parallel record(s) (OCLC); Piece used for cataloging, PUC (RLIN)', 'OCLC control number(s) of parallel record(s) (OCLC); Piece used for cataloging, PUC (RLIN)', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', '6', 'Linkage', 'Linkage', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 'a', 'Uniform title', 'Uniform title', 0, 0, '', 9, '', '', '', 1, -6, '', '', '', NULL),
		('940', 'd', 'Date of treaty signing', 'Date of treaty signing', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 'f', 'Date of a work', 'Date of a work', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 'h', 'Medium', 'Medium', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 'k', 'Form subheading', 'Form subheading', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 'l', 'Language of a work', 'Language of a work', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 'm', 'Medium of performance for music', 'Medium of performance for music', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 'n', 'Number of part/section of a work', 'Number of part/section of a work', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 'o', 'Arranged statement for music', 'Arranged statement for music', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 'r', 'Key for music', 'Key for music', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 's', 'Version', 'Version', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('941', 'a', 'Romanized title', 'Romanized title', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('941', 'h', 'Medium', 'Medium', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('943', '6', 'Enlace', 'Enlace', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', '8', 'Vínculo de campo y número de secuencia', 'Vínculo de campo y número de secuencia', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 'a', 'Título uniforme', 'Título uniforme', 0, 0, '', 9, '', '', '', 1, 5, '', '', '130', NULL),
		('943', 'd', 'Fecha de firma de un tratado', 'Fecha de firma de un tratado', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 'f', 'Fecha de una obra', 'Fecha de una obra', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 'g', 'Información miscelánea', 'Información miscelánea', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 'h', 'Medio físico', 'Medio físico', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 'k', 'Subencabezamiento de forma', 'Subencabezamiento de forma', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 'l', 'Idioma de una obra', 'Idioma de una obra', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 'm', 'Medio de ejecución musical', 'Medio de ejecución musical', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 'n', 'Número de la parte/sección de la obra', 'Número de la parte/sección de la obra', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 'o', 'Mención de arreglo para la música', 'Mención de arreglo para la música', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 'p', 'Nombre de una parte/sección de una obra', 'Nombre de una parte/sección de una obra', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 'r', 'Clave para la música', 'Clave para la música', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 's', 'Versión', 'Versión', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('945', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', '0', '0 (OCLC)', '0 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', '1', '1 (OCLC)', '1 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', '2', '2 (OCLC)', '2 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', '3', '3 (OCLC)', '3 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', '4', '4 (OCLC)', '4 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', '5', '5 (OCLC)', '5 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', '6', '6 (OCLC)', '6 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', '7', '7 (OCLC)', '7 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', '8', '8 (OCLC)', '8 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', '9', '9 (OCLC)', '9 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'a', 'Series part designator, SPT (RLIN)', 'Series part designator, SPT (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('948', 'b', 'b (OCLC)', 'b (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'c', 'c (OCLC)', 'c (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'd', 'd (OCLC)', 'd (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'e', 'e (OCLC)', 'e (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'f', 'f (OCLC)', 'f (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'g', 'g (OCLC)', 'g (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'h', 'h (OCLC)', 'h (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'i', 'i (OCLC)', 'i (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'j', 'j (OCLC)', 'j (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'k', 'k (OCLC)', 'k (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'l', 'l (OCLC)', 'l (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'm', 'm (OCLC)', 'm (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'n', 'n (OCLC)', 'n (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'o', 'o (OCLC)', 'o (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'p', 'p (OCLC)', 'p (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'q', 'q (OCLC)', 'q (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'r', 'r (OCLC)', 'r (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 's', 's (OCLC)', 's (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 't', 't (OCLC)', 't (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'u', 'u (OCLC)', 'u (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'v', 'v (OCLC)', 'v (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'w', 'w (OCLC)', 'w (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'x', 'x (OCLC)', 'x (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'y', 'y (OCLC)', 'y (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'z', 'z (OCLC)', 'z (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('950', 'a', 'Número de clasificación, LCLA (RLIN)', 'Número de clasificación, LCLA (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'b', 'Número de libro/signatura integra', 'Número de libro/signatura integra', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'd', 'Texto libre adicional de sellado de la signatura', 'Texto libre adicional de sellado de la signatura', 1, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'e', 'Texto libre adicional o perfil de sellado seguido  a la signatura', 'Texto libre adicional o perfil de sellado seguido  a la signatura', 1, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'f', 'Nivel de localización del pie de página', 'Nivel de localización del pie de página', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'h', 'Nivel de localización de salida de transacción histórica', 'Nivel de localización de salida de transacción histórica', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'i', 'Nivel de localización de solicitud extra de tarjeta', 'Nivel de localización de solicitud extra de tarjeta', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'l', 'localización permanente en estantería', 'localización permanente en estantería', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'n', 'Nivel de localización adicional de nota', 'Nivel de localización adicional de nota', 1, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'p', 'Nivel de localización del explorador', 'Nivel de localización del explorador', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 't', 'Nivel de localización de campo suprimido', 'Nivel de localización de campo suprimido', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'u', 'Notas no impresas', 'Notas no impresas', 1, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'v', 'Volúmenes', 'Volúmenes', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'w', 'Código estado de subscripción', 'Código estado de subscripción', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'y', 'Fecha', 'Fecha', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'z', 'Retención', 'Retención', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('951', '2', 'Fuente del encabezamiento o término', 'Fuente del encabezamiento o término', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('951', '3', 'Materiales especificados', 'Materiales especificados', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('951', '6', 'Enlace', 'Enlace', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('951', '8', 'Vínculo de campo y Número de secuencia', 'Vínculo de campo y Número de secuencia', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('951', 'a', 'Nombre geográfico', 'Nombre geográfico', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('951', 'b', 'Nombre geográfico como elemento de entrada [OBSOLETE]', 'Nombre geográfico como elemento de entrada [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('951', 'v', 'Subdivisión de forma', 'Subdivisión de forma', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('951', 'x', 'Subdivisión general', 'Subdivisión general', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('951', 'y', 'Subdivisión cronológica', 'Subdivisión cronológica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('951', 'z', 'Subdivisión geográfica', 'Subdivisión geográfica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('955', 'a', 'Número de clasificación', 'Número de clasificación', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('955', 'b', 'Número de libro/número de trabajo integro', 'Número de libro/número de trabajo integro', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('955', 'c', 'Información de copia y material de descripción', 'Información de copia y material de descripción', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('955', 'h', 'Estado de la copia—para fechas anteriores', 'Estado de la copia—para fechas anteriores', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('955', 'i', 'Estado de copia', 'Estado de copia', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('955', 'l', 'Localización permanente en la estantería', 'Localización permanente en la estantería', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('955', 'q', 'Número de control de adquisición', 'Número de control de adquisición', 1, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('955', 'r', 'Número de control de circulación', 'Número de control de circulación', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('955', 's', 'Nota de lista de estantería', 'Nota de lista de estantería', 1, 0, '', 9, '', '', '', 1, 5, '', '', '', NULL),
		('955', 'u', 'Nota de no impresión', 'Nota de no impresión', 1, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('956', '2', 'Método de acceso', 'Método de acceso', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', '3', 'Materiales especificados', 'Materiales especificados', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', '6', 'Enlace', 'Enlace', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', '8', 'Vínculo de campo y Número de secuencia', 'Vínculo de campo y Número de secuencia', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'a', 'Nombre de equipo', 'Nombre de equipo', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'b', 'Número de acceso', 'Número de acceso', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'c', 'Información sobre compresión', 'Información sobre compresión', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'd', 'Ruta', 'Ruta', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'f', 'Nombre electrónico', 'Nombre electrónico', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'h', 'Procesador de petición', 'Procesador de petición', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'i', 'Instrucción', 'Instrucción', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'j', 'Bits por segundo', 'Bits por segundo', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'k', 'Contraseña', 'Contraseña', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'l', 'Comenzar sesión', 'Comenzar sesión', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'm', 'Contacto de ayuda para el acceso', 'Contacto de ayuda para el acceso', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'n', 'Nombre de localización de fuente en el subcampo', 'Nombre de localización de fuente en el subcampo', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'o', 'Sistema operativo', 'Sistema operativo', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'p', 'Puerto', 'Puerto', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'q', 'Tipo de formato electrónico', 'Tipo de formato electrónico', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'r', 'Configuraciones', 'Configuraciones', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 's', 'Tamaño de archivo', 'Tamaño de archivo', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 't', 'Emulación del terminal', 'Emulación del terminal', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'u', 'Identificador uniforme de recurso', 'Identificador uniforme de recurso', 1, 0, '', 9, '', '', '', 1, -6, '', '', '', NULL),
		('956', 'v', 'Método de horas de acceso disponible', 'Método de horas de acceso disponible', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'w', 'Número de control del registro', 'Número de control del registro', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'x', 'Nota  no pública', 'Nota  no pública', 1, 0, '', 9, '', '', '', 0, 6, '', '', '', NULL),
		('956', 'y', 'Texto de enlace', 'Texto de enlace', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'z', 'Nota pública', 'Nota pública', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('960', '3', 'Materials specified, MATL', 'Materials specified, MATL', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('960', 'a', 'Physical location, PLOC (RLIN)', 'Physical location, PLOC (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('967', 'a', 'GNR (RLIN)', 'GNR (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('967', 'c', 'PSI (RLIN)', 'PSI (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('980', '4', 'Relator code', 'Relator code', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', '6', 'Linkage', 'Linkage', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'a', 'Personal name', 'Personal name', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'b', 'Numeration', 'Numeration', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'c', 'Titles and other words associated with a name', 'Titles and other words associated with a name', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'd', 'Dates associated with a name', 'Dates associated with a name', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'e', 'Relator term', 'Relator term', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'f', 'Date of a work', 'Date of a work', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'h', 'Medium', 'Medium', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'j', 'Attribution qualifier', 'Attribution qualifier', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'k', 'Form subheading', 'Form subheading', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'l', 'Language of a work', 'Language of a work', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'm', 'Medium of performance for music', 'Medium of performance for music', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'n', 'Number of part/section of a work', 'Number of part/section of a work', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'o', 'Arranged statement for music', 'Arranged statement for music', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'q', 'Fuller form of name', 'Fuller form of name', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'r', 'Key for music', 'Key for music', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 's', 'Version', 'Version', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 't', 'Title of a work', 'Title of a work', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'u', 'Affiliation', 'Affiliation', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'v', 'Volume/sequential designation', 'Volume/sequential designation', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', '4', 'Relator code', 'Relator code', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', '6', 'Linkage', 'Linkage', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'a', 'Corporate name or jurisdiction name as entry element', 'Corporate name or jurisdiction name as entry element', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'b', 'Subordinate unit', 'Subordinate unit', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'c', 'Location of meeting', 'Location of meeting', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'd', 'Date of meeting or treaty signing', 'Date of meeting or treaty signing', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'e', 'Relator term', 'Relator term', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'f', 'Date of a work', 'Date of a work', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'h', 'Medium', 'Medium', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'k', 'Form subheading', 'Form subheading', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'l', 'Language of a work', 'Language of a work', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'm', 'Medium of performance for music', 'Medium of performance for music', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'n', 'Number of part/section/meeting', 'Number of part/section/meeting', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'o', 'Arranged statement for music', 'Arranged statement for music', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'r', 'Key for music', 'Key for music', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 's', 'Version', 'Version', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 't', 'Title of a work', 'Title of a work', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'u', 'Affiliation', 'Affiliation', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'v', 'Volume/sequential designation', 'Volume/sequential designation', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('982', '4', 'Relator code', 'Relator code', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', '6', 'Linkage', 'Linkage', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', '8', 'Field link and sequence number ', 'Field link and sequence number ', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'a', 'Meeting name or jurisdiction name as entry element', 'Meeting name or jurisdiction name as entry element', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'c', 'Location of meeting', 'Location of meeting', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'd', 'Date of meeting', 'Date of meeting', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'e', 'Subordinate unit', 'Subordinate unit', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'f', 'Date of a work', 'Date of a work', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'h', 'Medium', 'Medium', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'k', 'Form subheading', 'Form subheading', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'l', 'Language of a work', 'Language of a work', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'n', 'Number of part/section/meeting', 'Number of part/section/meeting', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'q', 'Name of meeting following jurisdiction name entry element', 'Name of meeting following jurisdiction name entry element', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 's', 'Version', 'Version', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 't', 'Title of a work', 'Title of a work', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'u', 'Affiliation', 'Affiliation', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'v', 'Volume/sequential designation', 'Volume/sequential designation', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('983', '6', 'Linkage', 'Linkage', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', '8', 'Field link and sequence number', 'Field link and sequence number', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'a', 'Uniform title', 'Uniform title', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'd', 'Date of treaty signing', 'Date of treaty signing', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'f', 'Date of a work', 'Date of a work', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'g', 'Miscellaneous information', 'Miscellaneous information', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'h', 'Medium', 'Medium', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'k', 'Form subheading', 'Form subheading', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'l', 'Language of a work', 'Language of a work', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'm', 'Medium of performance for music', 'Medium of performance for music', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'n', 'Number of part/section of a work', 'Number of part/section of a work', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'o', 'Arranged statement for music', 'Arranged statement for music', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'p', 'Name of part/section of a work', 'Name of part/section of a work', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'r', 'Key for music', 'Key for music', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 's', 'Version', 'Version', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 't', 'Title of a work', 'Title of a work', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'v', 'Volume number/sequential designation', 'Volume number/sequential designation', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('984', 'a', 'Holding library identification number', 'Holding library identification number', 0, 0, '', 9, '', '', '', NULL, 5, '', '', '', NULL),
		('984', 'b', 'Physical description codes', 'Physical description codes', 1, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('984', 'c', 'Call number', 'Call number', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('984', 'd', 'Volume or other numbering', 'Volume or other numbering', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('984', 'e', 'Dates', 'Dates', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('984', 'f', 'Completeness note', 'Completeness note', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('984', 'g', 'Referral note', 'Referral note', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('984', 'h', 'Retention note', 'Retention note', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('987', 'a', 'Romanization/conversion identifier', 'Romanization/conversion identifier', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('987', 'b', 'Agency that converted, created or reviewed', 'Agency that converted, created or reviewed', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('987', 'c', 'Date of conversion or review', 'Date of conversion or review', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('987', 'd', 'Status code', 'Status code', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('987', 'e', 'Version of conversion program used', 'Version of conversion program used', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('987', 'f', 'Note', 'Note', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('990', 'a', 'Link information for 9XX fields', 'Link information for 9XX fields', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('990', 'b', 'Link information for field corresponding to 9XX field', 'Link information for field corresponding to 9XX field', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('995', '0', 'Withdrawn status [LOCAL, KOHA]', 'Withdrawn status [LOCAL, KOHA]', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', '1', 'Lost status [LOCAL, KOHA]', 'Lost status [LOCAL, KOHA]', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', '2', 'System code (specific classification or other scheme and edition) [LOCAL, KOHA]', 'System code (specific classification or other scheme and edition) [LOCAL, KOHA]', 0, 0, '', 9, '', '', '', NULL, 5, '', '', '', NULL),
		('995', '3', 'Use restrictions [LOCAL, KOHA]', 'Use restrictions [LOCAL, KOHA]', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', '4', 'Koha normalized classification for sorting [LOCAL, KOHA]', 'Koha normalized classification for sorting [LOCAL, KOHA]', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', '5', 'Coded location qualifier [LOCAL, KOHA]', 'Coded location qualifier [LOCAL, KOHA]', 1, 0, '', 9, '', '', '', NULL, 5, '', '', '', NULL),
		('995', '6', 'Copy number [LOCAL, KOHA]', 'Copy number [LOCAL, KOHA]', 0, 0, '', 9, '', '', '', NULL, 5, '', '', '', NULL),
		('995', '7', 'Uniform Resource Identifier [LOCAL, KOHA]', 'Uniform Resource Identifier [LOCAL, KOHA]', 1, 0, '', 9, '', '', '', 1, 5, '', '', '', NULL),
		('995', '8', 'Koha collection [LOCAL, KOHA]', 'Koha collection [LOCAL, KOHA]', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', '9', 'Internal item number (Koha itemnumber, autogenerated) [LOCAL, KOHA]', 'Internal item number (Koha itemnumber, autogenerated) [LOCAL, KOHA]', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'a', 'Origin of the item (home branch) (free text)', 'Origin of the item (home branch) (free text)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'b', 'Origin of item (home branch) (coded)', 'Origin of item (home branch) (coded)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'c', 'Lending or holding organisation (holding branch) (free text)', 'Lending or holding organisation (holding branch) (free text)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'd', 'Lending or holding organisation (holding branch) code', 'Lending or holding organisation (holding branch) code', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'e', 'Genre detail', 'Genre detail', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'f', 'Barcode', 'Barcode', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'g', 'Barcode prefix', 'Barcode prefix', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'h', 'Barcode incrementation', 'Barcode incrementation', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'i', 'Barcode suffix', 'Barcode suffix', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'j', 'Section', 'Section', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'k', 'Call number (full call number)', 'Call number (full call number)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'l', 'Numbering (volume or other part)', 'Numbering (volume or other part)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'm', 'Date of loan or deposit', 'Date of loan or deposit', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'n', 'Expiration of loan date', 'Expiration of loan date', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'o', 'Circulation type (not for loan)', 'Circulation type (not for loan)', 1, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'p', 'Serial', 'Serial', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'q', 'Intended audience (age level)', 'Intended audience (age level)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'r', 'Type of item and material', 'Type of item and material', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 's', 'Acquisition mode', 'Acquisition mode', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 't', 'Genre', 'Genre', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'u', 'Copy note', 'Copy note', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'v', 'Periodical number', 'Periodical number', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'w', 'Recipient organisation code', 'Recipient organisation code', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'x', 'Recipient organisation, free text', 'Recipient organisation, free text', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'y', 'Recipient parent organisation code', 'Recipient parent organisation code', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'z', 'Recipient parent organisation, free text', 'Recipient parent organisation, free text', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('998', 'b', 'Operator\'s initials, OID (RLIN)', 'Operator\'s initials, OID (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('998', 'c', 'Cataloger\'s initials, CIN (RLIN)', 'Cataloger\'s initials, CIN (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('998', 'd', 'First date, FD (RLIN)', 'First date, FD (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('998', 'i', 'RINS (RLIN)', 'RINS (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('998', 'l', 'LI (RLIN)', 'LI (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('998', 'n', 'NUC (RLIN)', 'NUC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('998', 'p', 'PROC (RLIN)', 'PROC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('998', 's', 'CC (RLIN)', 'CC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('998', 't', 'RTYP (RLIN)', 'RTYP (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('998', 'w', 'PLINK (RLIN)', 'PLINK (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL);


UPDATE `marc_subfield_structure` SET maxlength=24 WHERE tagfield='000';
UPDATE `marc_subfield_structure` SET maxlength=40 WHERE tagfield='008';
